2015-11-08  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer xpalloc to doubling buffers by hand

	* src/lread.c (grow_read_buffer): New function, which uses xpalloc.
	(read1): Use it for simplicity.
	* src/macros.c (store_kbd_macro_char):
	* src/minibuf.c (read_minibuf_noninteractive):
	* src/term.c (encode_terminal_code):
	* src/xrdb.c (magic_db):
	Prefer xpalloc to growing buffers by hand.
	This doesn’t fix any bugs, but simplifies the code a bit.

2015-11-08  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib

	This incorporates:
	2015-11-05 timespec-sub: fix overflow bug; add tests
	2015-11-04 intprops: revise _WRAPV macros, revert _OVERFLOW
	2015-11-03 intprops: add parentheses
	* lib/intprops.h, lib/timespec-add.c, lib/timespec-sub.c:
	Copy from gnulib.

2015-11-07  David Reitter  <david.reitter@gmail.com>

	Provide NS notification objects where required to eliminate warnings

	* nsterm.m (windowDidResize:, toggleFullScreen:):
	Call notification functions with notification objects
	as per delegate APIs.

2015-11-07  Noam Postavsky  <npostavs@users.sourceforge.net>

	Add test for bug #21824

	* test/automated/buffer-tests.el: New file.
	(overlay-modification-hooks-message-other-buf): New test.

2015-11-07  Kelvin White  <kwhite@gnu.org>

	* lisp/erc/erc-pcomplete.el (pcomplete-erc-nicks): Fix bug#18771.

2015-11-07  David Reitter  <david.reitter@gmail.com>

	Ignore fullscreen exit notifications on NS when frame is dead

	* nsterm.m (windowDidResize:, windowWillExitFullScreen:)
	(windowDidExitFullScreen:): Return if frame is dead.
	These functions may be called when a fullscreen frame
	is closed; they are called before, not after.

	May address Bug#21428.

2015-11-07  Eli Zaretskii  <eliz@gnu.org>

	Speed up lookup in redisplay--variables

	* lisp/frame.el (redisplay--variables): Make it a hash-table.

	* src/xdisp.c (maybe_set_redisplay): Access redisplay--variables
	as a hash-table.  This speeds up this function by an order of
	magnitude: where previously a setq was slowed down by 100% by
	introducing the maybe_set_redisplay test, it is now only 5%
	slower.
	(syms_of_xdisp) <redisplay--variables>: Doc fix.

2015-11-07  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/emacs-lisp/cl-macs.el (cl-defstruct): Fix a bug.

	The defsubst was being created as:
	    (cl-defsubst name (args) ("DOC") ...)

	* test/automated/cl-lib-tests.el (cl-lib-struct-constructors):
	Add test.

2015-11-07  Mihai Olteanu  <mihai_olteanu@fastmail.fm>  (tiny change)

	Update doc string of hexl-mode

	* lisp/hexl.el (hexl-mode): Doc fix.  (Bug#21800)

2015-11-07  Eli Zaretskii  <eliz@gnu.org>

	Fix error in copy-abbrev-table

	* lisp/abbrev.el (define-abbrev): Don't erase the :abbrev-table-modiff
	property of the abbrev-table.  (Bug#21828)

	* test/automated/abbrev-tests.el: New file.

2015-11-07  Michael Albinus  <michael.albinus@gmx.de>

	Add test to auto-revert-tests.el for Bug#21841

	* test/automated/auto-revert-tests.el
	(auto-revert-test01-auto-revert-several-files): New test.
	(auto-revert-test02-auto-revert-tail-mode)
	(auto-revert-test03-auto-revert-mode-dired): Rename them.

2015-11-07  Martin Rudalics  <rudalics@gmx.at>

	* doc/lispref/windows.texi (Coordinates and Windows): Fix typo.

2015-11-07  Martin Rudalics  <rudalics@gmx.at>

	In x_consider_frame_title don't set title of tooltip frames

	* src/xdisp.c (x_consider_frame_title): Return immediately for
	tooltip frames to avoid displaying empty tooltips.

2015-11-06  Anders Lindgren  <andlind@gmail.com>

	Fixed NextStep fullscreen problem (bug#21770).

	* src/nsterm.m (ns_constrain_all_frames): Don't constrain
	fullscreen frames.

2015-11-06  Eli Zaretskii  <eliz@gnu.org>

	Ensure redisplay after evaluation

	* lisp/progmodes/elisp-mode.el (elisp--eval-last-sexp):
	Revert last change.
	* lisp/frame.el (redisplay--variables): Populate the
	redisplay--variables list.
	* src/xdisp.c (maybe_set_redisplay): New function.
	(syms_of_xdisp) <redisplay--variables>: New variable.
	* src/window.h (maybe_set_redisplay): Declare prototype.
	* src/data.c (set_internal): Call maybe_set_redisplay.  (Bug#21835)

2015-11-06  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/subr-tests.el (subr-test-when): Fix again.

2015-11-06  Eli Zaretskii  <eliz@gnu.org>

	Don't invoke overlay modification hooks in wrong buffer

	* src/buffer.c (report_overlay_modification): When called with
	AFTER non-zero, don't invoke overlay modification hooks if the
	buffer recorded in last_overlay_modification_hooks is different
	from the current buffer.  (Bug#21824)

2015-11-06  Juanma Barranquero  <lekktu@gmail.com>

	* admin/notes/repo: Fix a few obsolete references to Bazaar.

2015-11-06  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/subr-tests.el (subr-test-when): Fix test.

2015-11-06  Martin Rudalics  <rudalics@gmx.at>

	Avoid division by zero crash observed by Yuan MEI

	See http://lists.gnu.org/archive/html/emacs-devel/2015-11/msg00194.html.

	* src/dispnew.c (required_matrix_height, required_matrix_width):
	Avoid division by zero.
	* src/xterm.c (x_term_init): Init dpyinfo->smallest_font_height and
	dpyinfo->smallest_char_width to 1.

2015-11-06  Eli Zaretskii  <eliz@gnu.org>

	Ensure redisplay after "C-x C-e"

	* lisp/progmodes/elisp-mode.el (elisp--eval-last-sexp): Make sure
	redisplay happens to account for any side effects of the evaluated
	sexp.  (Bug#21835)

2015-11-06  Michael Albinus  <michael.albinus@gmx.de>

	Skip some file notification tests for cygwin

	* test/automated/file-notify-tests.el (file-notify--test-with-events):
	Remove argument TIMEOUT.  Adapt all callees.
	(file-notify-test02-events, file-notify-test04-file-validity):
	Skip for cygwin.  (Bug#21804)

2015-11-05  Stephen Leake  <stephen_leake@stephe-leake.org>

	* lisp/progmodes/xref.el: Require semantic/symref during compilation.

2015-11-05  Daiki Ueno  <ueno@gnu.org>

	Suppress redundant Pinentry startup messages

	* lisp/net/pinentry.el (pinentry-start): Add optional QUIET argument.
	* lisp/epg.el: Declare `pinentry-start'.
	(epg--start): Call `pinentry-start' with QUIET argument set.

2015-11-05  Xue Fuqiao  <xfq.free@gmail.com>

	* doc/emacs/ack.texi (Acknowledgments): Updates.

2015-11-05  Juanma Barranquero  <lekktu@gmail.com>

	* test/automated/elisp-mode-test.el: Silence some run-time warnings.
	(xref-elisp-deftest): Bind `find-file-suppress-same-file-warnings' to t.

2015-11-05  Tassilo Horn  <tsdh@gnu.org>

	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-alist):
	Add prettification support for \times.

2015-11-05  Juanma Barranquero  <lekktu@gmail.com>

	* test/automated/process-tests.el: Skip tests when bash is unavailable.
	(process-test-sentinel-accept-process-output)
	(process-test-sentinel-sit-for): skip-unless bash executable found.

2015-11-05  Eli Zaretskii  <eliz@gnu.org>

	Add test for bug #21831

	* test/automated/process-tests.el
	(start-process-should-not-modify-arguments): New test.  (Bug#21831)
	Suggested by Nicolas Richard <youngfrog@members.fsf.org>

2015-11-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/eieio-compat.el: Typo caught by tests.

	(eieio--generic-static-object-generalizer): Fix typo.
	* test/automated/eieio-tests.el: Byte-compile it again.  It looks
	like the underlying cause of bug#17852 was fixed in the mean time.

2015-11-04  Artur Malabarba  <bruce.connor.am@gmail.com>

	Revert "* lisp/subr.el (when): Use `macroexp-progn'"

	This reverts commit 8e843831eaf271801836b7a3e4dd3b4fb0bb72b8.
	It breaks bootstrapping (duh).

2015-11-04  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/files.el (report-errors): Obsolete.

	(normal-mode, hack-local-variables, dir-locals-find-file):
	Use `with-demoted-errors' instead.

2015-11-04  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/subr.el (when): Use `macroexp-progn'.

	* test/automated/subr-tests.el (subr-test-when): New test.

2015-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* lisp/progmodes/xref.el: Doc fixes.
	(xref-make-file-location, xref-make-buffer-location, xref-make)
	(xref-make-bogus-location, xref-make-match): Add cross-references.
	(xref--insert-xrefs): Fix typo in docstring.

2015-11-04  Anders Lindgren  <andlind@gmail.com>

	Render fringe bitmaps correctly on NextStep (bug#21301)

	The fringe bitmaps were inverted, the background was not transparent,
	the image data was horizontally mirrored, and periodic fringe bitmaps
	were not supported.

	* src/nsimage.m ([EmacsImage initFromXBM:width:height:fg:bg:]):
	When both background and foreground colors are 0, set the background
	alpha channel to 0 (making the background transparent).  When
	copying the image data, do this from the most significant bit
	(leftmost) to the least (rightmost), to avoid mirroring.
	* src/nsterm.m (ns_draw_fringe_bitmap): Don't invert the image bits.
	Add support for periodic images (e.g. the empty line indicator).

2015-11-03  Michael Heerdegen  <michael_heerdegen@web.de>

	* lisp/emacs-lisp/pcase.el (pcase): Tweak docstring.

2015-11-03  Nicolas Petton  <nicolas@petton.fr>

	* admin/MAINTAINERS: Add seq-tests.el, map-tests.el, and thunk-tests.el.

	* admin/MAINTAINERS: Add thunk.el.

2015-11-03  Jay Belanger  <jay.p.belanger@gmail.com>

	* lisp/calc/calc (calc-bug-address): Change maintainer address.

2015-11-03  Michael Albinus  <michael.albinus@gmx.de>

	Fix a stupid error in gfilenotify.c

	* src/gfilenotify.c (dir_monitor_callback): Cancel monitor only,
	if we've got a `deleted' signal AND the file name is the watched one.

2015-11-03  Stephen Leake  <stephen_leake@stephe-leake.org>

	Fix Bug#21816; case insensitive file system in elisp-mode-tests.el

	* test/automated/elisp-mode-tests.el (xref-elisp-test-run):
	Use case-insensitive string compare for file names.
	(emacs-test-dir): Add 'downcase' to cause case differences (at
	least on my system).

2015-11-02  Juanma Barranquero  <lekktu@gmail.com>

	flymake-tests.el (warning-predicate-rx-gcc): Fix check

	* test/automated/flymake-tests.el (warning-predicate-rx-gcc):
	Also check that "make" is available, not just "gcc".

2015-11-02  Ken Brown  <kbrown@cornell.edu>

	Document behavior of collation on Cygwin

	* test/automated/fns-tests.el (fns-tests-collate-sort): Mark as
	expected failure on Cygwin.
	* doc/lispref/strings.texi (Text Comparison): Document that
	punctuation and whitespace are not ignored for sorting on Cygwin.

2015-11-02  Dani Moncayo  <dmoncayo@gmail.com>

	* build-aux/msys-to-w32: Prevent double slashes in w32 path list.

2015-11-01  Glenn Morris  <rgm@gnu.org>

	* lisp/progmodes/f90.el (f90-no-block-limit): Add associate.
	(Bug#21794)
	* test/automated/f90.el (f90-test-bug21794): New test.

2015-11-01  Juanma Barranquero  <lekktu@gmail.com>

	Fix incompatibility with TCC in test for bug#18745

	* test/automated/process-tests.el (process-test-quoted-batfile):
	Remove spaces unrelated to the bug being tested.

2015-11-01  Michael Albinus  <michael.albinus@gmx.de>

	Improve completion in tramp-gvfs.el

	* lisp/net/tramp-gvfs.el (tramp-zeroconf-parse-device-names):
	Rename from `tramp-zeroconf-parse-service-device-names'.
	(tramp-zeroconf-parse-webdav-device-names): Remove.  Code merged
	with `tramp-zeroconf-parse-device-names'.
	(tramp-gvfs-parse-device-names): New defun.
	(top): Use it when `tramp-zeroconf-parse-device-names' is not
	applicable.

	* lisp/net/tramp.el (tramp-set-completion-function): The argument
	could also be a zeroconf service type.

2015-10-31  Thomas Fitzsimmons  <fitzsim@fitzsim.org>

	* lisp/net/ntlm.el: Change version to 2.0.0.

2015-10-31  Juanma Barranquero  <lekktu@gmail.com>

	Fix bug#21762
	* lisp/progmodes/python.el (python-syntax-closing-paren-p): Check with
	`eql' instead of `=' to accommodate the case that (syntax-after (point))
	returns nil.
	* test/automated/python-tests.el (python-indent-inside-paren-7):
	New test.

2015-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* test/automated/python-tests.el: Avoid warnings.
	(python-tests-with-temp-buffer, python-tests-with-temp-file):
	Bind `python-indent-guess-indent-offset' to nil.

2015-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* src/alloc.c: Silence compiler warnings.
	(pointers_fit_in_lispobj_p, mmap_lisp_allowed_p): #ifdef DOUG_LEA_MALLOC.

2015-10-31  Jackson Ray Hamilton  <jackson@jacksonrayhamilton.com>

	* etc/NEWS: Fix js-jsx-mode entry punctuation.

2015-10-31  Jackson Ray Hamilton  <jackson@jacksonrayhamilton.com>

	Add JSX indentation via js-jsx-mode  (Bug#21799)

	* progmodes/js.el: Add JSX indentation support.
	(js--jsx-end-tag-re)
	(js--jsx-after-tag-re): New variables.
	(js--jsx-find-before-tag)
	(js--jsx-indented-element-p)
	(js--as-sgml)
	(js--expression-in-sgml-indent-line)
	(js-jsx-indent-line)
	(js-jsx-mode): New functions.
	* test/indent/js-jsx.el: New file.
	* etc/NEWS: Add information about js-jsx-mode.

2015-10-31  Michael Albinus  <michael.albinus@gmx.de>

	Minor fix in filenotify.el

	* lisp/filenotify.el (file-notify--event-file-name)
	(file-notify--event-file1-name): Normalize result with
	`directory-file-name'.

2015-10-31  Eli Zaretskii  <eliz@gnu.org>

	Avoid errors in redisplay--pre-redisplay-functions

	* lisp/emacs-lisp/cursor-sensor.el (cursor-sensor--detect): Don't
	use 'bobp', instead compare window-point with 1.  (Bug#21730)

2015-10-30  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib

	This incorporates:
	2015-10-30 intprops: add WRAPV and const flavors for GCC 5
	2015-10-25 stdalign: port to Sun C 5.9
	* doc/misc/texinfo.tex, lib/intprops.h, lib/stdalign.in.h:
	Copy from gnulib.

2015-10-30  Eli Zaretskii  <eliz@gnu.org>

	* src/w32proc.c (_NLSCMPERROR): Fix a typo in the name of this macro.
	(w32_compare_strings): Adjust for the correction.

2015-10-30  Michael Albinus  <michael.albinus@gmx.de>

	* test/automated/vc-tests.el (vc-test--state)
	(vc-test--working-revision, vc-test--checkout-model):
	Add result messages.

2015-10-30  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/faces-tests.el: Add another test

2015-10-30  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/faces.el (faces--attribute-at-point): Fix bug
	introduced by previous commit.

2015-10-30  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/faces-tests.el: New file.

2015-10-30  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/faces.el: Refactor common code and fix a bug.
	(faces--attribute-at-point): New function.  Fix a bug when the
	face at point is a list of faces and the desired attribute is not
	on the first one.
	(foreground-color-at-point, background-color-at-point): Use it.

2015-10-30  Przemysław Wojnowski  <esperanto@cumego.com>

	* etc/tutorials/TUTORIAL.translators: Fix PL names.

2015-10-30  Juanma Barranquero  <lekktu@gmail.com>

	* lisp/character-fold.el: Provide `character-fold'.

2015-10-30  Tassilo Horn  <tsdh@gnu.org>

	* etc/themes/tsdh-dark-theme.el (tsdh-dark): Add more faces
	for Gnus and ivy.

2015-10-30  Michael Albinus  <michael.albinus@gmx.de>

	Some minor fixes for tramp-gvfs.el

	* lisp/net/tramp-gvfs.el (tramp-gvfs-handle-file-attributes):
	An attribute returned by gvfs-info might be empty.  In case of
	undetermined uid or gid, return "UNKNOWN" or -1, respectively.
	(tramp-zeroconf-parse-service-device-names): New defun.
	Derived from `tramp-zeroconf-parse-workstation-device-names'.
	(top): Add completion functions for "afp" and "smb" methods.

2015-10-30  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/character-fold-tests.el: New file

2015-10-30  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/sort-tests.el: New file.
	Tests in this file are randomly generated and then tested with
	regular, reverse, and case-fold sorting.

2015-10-30  Eli Zaretskii  <eliz@gnu.org>

	Describe known problems with pinning Emacs to taskbar

	* etc/PROBLEMS: Describe the problem with pinning Emacs to taskbar
	on Windows 10.  For the details, see the discussion starting at
	http://lists.gnu.org/archive/html/help-emacs-windows/2015-09/msg00000.html.

2015-10-30  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: Avoid an error that blocks isearch.
	(isearch-update): Don't error if `isearch--current-buffer' has
	been killed.

	* test/automated/isearch-tests.el (isearch--test-update):
	New file.

2015-10-30  Phil Sainty  <psainty@orcon.net.nz>

	Fix documentation of 'beginning/end-of-buffer'

	* lisp/simple.el (beginning-of-buffer, end-of-buffer): Clarify
	conditions under which the mark will be pushed at the previous
	position.  (Bug#21748)

2015-10-30  Tassilo Horn  <tsdh@gnu.org>

	Add RefTeX feature idea: editing RefTeX TOC buffers

	More face defs for ivy, swiper, ace-window, eshell

2015-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/gnus/auth-source.el: Silence lexical-binding warnings.
	(auth-source-netrc-use-gpg-tokens): Simplify (symbol-value 'VAR) to
	just VAR.
	(auth-source-backend-parse): Use make-instance.
	(auth-source-search): Remove unused key args.
	Remove unused vars `accessor-key' and `backend'.  Avoid `eval'.
	(auth-source-search-backends): Use slot names rather than their initarg.
	(auth-source-netrc-create):
	(auth-source-delete):
	(auth-source-secrets-create, auth-source-plstore-search)
	(auth-source-macos-keychain-create, auth-source-macos-keychain-search)
	(auth-source-plstore-create, auth-source-netrc-search)
	(auth-source-netrc-parse): Remove unused key args.
	(auth-source-forget+): Simplify the arglist.
	(auth-source-macos-keychain-search-items)
	(auth-source-token-passphrase-callback-function): Mark unused args.
	(auth-source-epa-extract-gpg-token): Remove unused var `plain'.
	(pp-escape-newlines): Declare.
	(auto-source--symbol-keyword): New function.
	(auth-source-plstore-create, auth-source-netrc-create)
	(auth-source-netrc-normalize): Use it.
	(auth-source-netrc-search): Don't pass :delete to
	auth-source-netrc-parse since it doesn't use it.
	(auth-source-plstore-create, auth-source-netrc-create): Use plist-get
	symbol-value to index in keyword args.
	(auth-source-macos-keychain-result-append): Avoid setq.
	(auth-source-netrc-create): Remove unused vars `file' and `add'.
	(auth-source-user-or-password): Remove unused var `cname'.

2015-10-29  Juri Linkov  <juri@linkov.net>

	* lisp/dired.el (dired-unmark-all-files-query): Declare.
	(dired-unmark-all-files): Let-bind it and use instead of ‘query’.
	(Bug#21746)

2015-10-29  Juri Linkov  <juri@linkov.net>

	* lisp/ielm.el (ielm-indent-line): Use non-nil arg of comint-bol
	to go to the beginning of text line instead of command line.
	http://lists.gnu.org/archive/html/emacs-devel/2015-10/msg02360.html

2015-10-29  Eli Zaretskii  <eliz@gnu.org>

	Fix encoding of saving *Help* buffers

	* lisp/help-fns.el (describe-function-1): If we use curved quotes,
	set help buffer's buffer-file-coding-system to UTF-8.  (Bug#21780)

2015-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/cl-generic.el: Add (major-mode MODE) context.
	(cl--generic-derived-specializers): New function.
	(cl--generic-derived-generalizer): New generalizer.
	(cl-generic-generalizers): New specializer (derived-mode MODE).
	(cl--generic-split-args): Apply the rewriter, if any.
	(cl-generic-define-context-rewriter): New macro.
	(major-mode): Use it to define a new context-rewriter, so we can write
	`(major-mode MODE)' instead of `(major-mode (derived-mode MODE))'.

	* lisp/frame.el (window-system): New context-rewriter so we can write
	`(window-system VAL)' instead of (window-system (eql VAL)).
	(cl--generic-split-args): Apply the rewriter, if any.
	(frame-creation-function): Use the new syntax.

	* lisp/term/x-win.el (window-system-initialization)
	(handle-args-function, frame-creation-function)
	(gui-backend-set-selection, gui-backend-selection-owner-p)
	(gui-backend-selection-exists-p, gui-backend-get-selection):
	* lisp/term/w32-win.el (window-system-initialization)
	(handle-args-function, frame-creation-function)
	(gui-backend-set-selection, gui-backend-get-selection)
	(gui-backend-selection-owner-p, gui-backend-selection-exists-p):
	* lisp/term/pc-win.el (gui-backend-get-selection)
	(gui-backend-selection-exists-p, gui-backend-selection-owner-p)
	(gui-backend-set-selection, window-system-initialization)
	(frame-creation-function, handle-args-function):
	* lisp/term/ns-win.el (window-system-initialization)
	(handle-args-function, frame-creation-function)
	(gui-backend-set-selection, gui-backend-selection-exists-p)
	(gui-backend-get-selection):
	* lisp/startup.el (handle-args-function):
	* lisp/term/xterm.el (gui-backend-get-selection)
	(gui-backend-set-selection): Use the new syntax.

2015-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* test/indent/css-mode.css: Add tests for url(...) syntax.

2015-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/smie.el: Use `declare' for `pure'.
	(smie-precs->prec2, smie-merge-prec2s, smie-bnf->prec2)
	(smie-prec2->grammar): Use `declare'.

2015-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/cl-generic.el: Accommodate future changes.
	(cl--generic-generalizer): Add `name' field.
	(cl-generic-make-generalizer): Add corresponding `name' argument.
	(cl-generic-define-generalizer): New macro.
	(cl--generic-head-generalizer, cl--generic-eql-generalizer)
	(cl--generic-struct-generalizer, cl--generic-typeof-generalizer)
	(cl--generic-t-generalizer): Use it.
	(cl-generic-ensure-function): Add `noerror' argument.
	(cl-generic-define): Use it so we don't follow aliases.
	(cl-generic-define-method): Preserve pre-existing ordering of methods.
	(cl--generic-arg-specializer): New function.
	(cl--generic-cache-miss): Use it.
	(cl-generic-generalizers): Only fset a temporary definition
	during bootstrap.
	(cl--generic-struct-tag, cl--generic-struct-specializers):
	Allow extra arguments.

	* lisp/emacs-lisp/eieio-compat.el
	(eieio--generic-static-symbol-generalizer)
	(eieio--generic-static-object-generalizer):
	Use cl-generic-define-generalizer.
	(eieio--generic-static-symbol-specializers): Allow extra arguments.

	* lisp/emacs-lisp/eieio-core.el (eieio--generic-generalizer)
	(eieio--generic-subclass-generalizer):
	Use cl-generic-define-generalizer.
	(eieio--generic-subclass-specializers): Allow extra arguments.

2015-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/bytecomp.el (compile-defun): Add defvars in scope.

2015-10-29  Michael Albinus  <michael.albinus@gmx.de>

	Add "afp" method to Tramp

	* doc/misc/tramp.texi (GVFS based methods): Describe `afp' method.

	* lisp/net/tramp-gvfs.el (tramp-gvfs-methods): Add "afp" method.
	(tramp-gvfs-handle-expand-file-name)
	(tramp-gvfs-handler-mounted-unmounted)
	(tramp-gvfs-connection-mounted-p, tramp-gvfs-mount-spec)
	(tramp-gvfs-maybe-open-connection): Support also "afp".
	(tramp-gvfs-handle-file-attributes): Handle the case of empty
	"owner::user" and "owner::group" entries.

2015-10-29  Andy Moreton  <andrewjmoreton@gmail.com>

	Handle negative coordinates in ‘x_calc_absolute_position’

	* src/w32term.c (x_calc_absolute_position): Find display origin to
	allow for negative coordinates.

2015-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	(internal--syntax-propertize): Save match-data here (bug#21766)

	* lisp/emacs-lisp/syntax.el (internal--syntax-propertize): Save match-data.
	* lisp/simple.el (delete-trailing-whitespace): Undo last change.

2015-10-28  Dmitry Gutov  <dgutov@yandex.ru>

	Don't require default-directory to end with a slash

	* doc/lispref/files.texi (Magic File Names): Document the change
	in unhandled-file-name-directory.

	* lisp/url/url-handlers.el
	(url-handler-unhandled-file-name-directory): Update accordingly.

	* src/buffer.c (default-directory): Update the docsting.

	* src/fileio.c (unhandled-file-name-directory): Default to calling
	`file-name-as-directory'
	(http://lists.gnu.org/archive/html/emacs-devel/2015-10/msg02294.html).

2015-10-28  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: Delete some outdated comments.

2015-10-28  Vibhav Pant  <vibhavp@gmail.com>

	Fix eshell/clear not working if the output has a small line count

	* lisp/eshell/esh-mode.el (eshell/clear): Use (window-size) as the
	number of newlines to be inserted. This fixes the issue where
	eshell/clear wouldn't work if the prompt was not at the bottom of the
	window, and the output wasn't too long.

2015-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/files.el (write-file): Use vc-refresh-state.

	* lisp/autorevert.el (auto-revert-handler): Use vc-refresh-state.

	* lisp/vc/pcvs.el (cvs-revert-if-needed): Use vc-refresh-state.

2015-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/macroexp.el: Tweak macroexp-if optimizations.
	(macroexp-unprogn): Make sure we never return an empty list.
	(macroexp-if): Remove unused (and unsafe) optimization.
	Optimize (if A T (if B T E)) into (if (or A B) T E) instead, which does
	occur occasionally.

2015-10-28  Juanma Barranquero  <lekktu@gmail.com>

	Fix bug#21766 and add test
	* lisp/simple.el (delete-trailing-whitespace): Save match data when
	calling `skip-syntax-backward'.
	* test/automated/simple-test.el (simple-delete-trailing-whitespace):
	New test.

2015-10-28  Artur Malabarba  <bruce.connor.am@gmail.com>

	* doc/lispref/sequences.texi (Sequence Functions): Fix typo.

2015-10-28  Paul Eggert  <eggert@cs.ucla.edu>

	* src/dispnew.c (init_display): Simplify overflow checking.

2015-10-28  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/character-fold.el (character-fold-to-regexp): Fix case
	where string ends in space

2015-10-28  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/emacs-lisp/seq.el (seq-mapn): New function.

	* doc/lispref/sequences.texi (Sequence Functions): Document seq-mapn.

2015-10-28  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/character-fold.el: Make compatible with lax-whitespace.
	(character-fold-to-regexp): Rework internals to play nice with
	lax-whitespacing.

	When the user types a space, we want to match the table entry for
	?\s, which is generally a regexp like "[ ...]".  However, the
	`search-spaces-regexp' variable doesn't "see" spaces inside these
	regexp constructs, so we need to use "\\( \\|[ ...]\\)" instead (to
	manually expose a space).

	Furthermore, the lax search engine acts on a bunch of spaces, not
	on individual spaces, so if the string contains sequential spaces
	like "  ", we need to keep them grouped together like this:
	"\\(  \\|[ ...][ ...]\\)".

2015-10-28  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: Refactor momentary messages.
	(isearch--momentary-message): New function.
	(isearch-toggle-lax-whitespace, isearch-toggle-case-fold)
	(isearch-toggle-invisible): Use it.

2015-10-28  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: Define all toggles with `isearch-define-mode-toggle'.
	(isearch-define-mode-toggle): New macro.
	(isearch-toggle-invisible): Rename to
	`isearch-define-mode-toggle'.
	(isearch-toggle-case-fold, isearch-toggle-invisible)
	(isearch-toggle-regexp, isearch-toggle-lax-whitespace): Define
	with `isearch-define-mode-toggle'.

2015-10-28  Michael Albinus  <michael.albinus@gmx.de>

	Avoid using `add-to-list' on a let-local var in tramp-smb.el

	* lisp/net/tramp-compat.el (tramp-compat-delete-dups): New defun.
	* lisp/net/tramp-smb.el (tramp-smb-handle-directory-files): Use it.

2015-10-28  Michael Albinus  <michael.albinus@gmx.de>

	* lisp/net/tramp-smb.el (tramp-smb-handle-directory-files):
	Revert 692bce5b9eccfae19ae2a5a23a9ccd8d6bf86076, `delete-dups'
	does not exist in XEmacs 21.4.

2015-10-28  Anders Lindgren  <andlind@gmail.com>

	Fixed OS X startup crash

	Input events started to arrive before ns_term_init() was finished.
	Solved by blocking input.  This also seems to correct the "You
	can't open the application "Emacs" because it may be damaged or
	incomplete" error issued when double-clicking on the Emacs
	application.

	* nsterm.m (ns_constrain_all_frames, ns_init_term): Block input.
	* nsterm.m (ns_send_appdefined, EmacsApp): Trace output.

2015-10-28  Artur Malabarba  <bruce.connor.am@gmail.com>

	* src/process.c (Fget_buffer_process): Improve docstring.
	Document the fact that it doesn't return dead processes.

2015-10-28  Anders Lindgren  <andlind@gmail.com>

	Fix incorrect NextStep tool-bar-mode -- wrong number of rows in frame.

	* nsterm.h (struct ns_output): New flag, in_animation.
	* nsfns.m (Fx_create_frame): Initialize in_animation flag.
	* nsmenu.m (free_frame_tool_bar, update_frame_tool_bar): Set
	in_animation flag around call to "setVisible". Set new tool bar
	height before call to setVisible.
	* nsterm.m (x_set_window_size): Don't call [view setRow:
	andColumns:] as this fools the subsequent call to updateFrameSize
	from performing the real resize.
	(windowDidResize): Don't update anything when in_animation is
	non-zero.

	Trace output.

	* nsmenu.m (free_frame_tool_bar, update_frame_tool_bar)
	(EmacsToolbar):
	* nsterm.m (x_set_window_size, updateFrameSize)
	([EmacsView setRows: andColumns:])

2015-10-28  Nicolas Petton  <nicolas@petton.fr>

	* lisp/emacs-lisp/thunk.el (thunk-delay): Fix the macro.

2015-10-28  Tassilo Horn  <tsdh@gnu.org>

	Prettify TeX macros not ending in a word char

	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-compose-p):
	Prettify macros which don't end in a word character.

2015-10-27  Dmitry Gutov  <dgutov@yandex.ru>

	Pipe Hg commit descriptions through 'tabindent'

	* lisp/vc/vc-hg.el (vc-hg-log-format): Pipe commit description
	through 'tabindent'.
	(vc-hg-log-view-mode): Set tab-width to 2 locally.
	(http://lists.gnu.org/archive/html/emacs-devel/2015-10/msg02259.html)

2015-10-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/net/tramp-smb.el: Avoid using `add-to-list' on a let-local var.
	(tramp-smb-handle-directory-files): Use `delete-dups'.

	* lisp/net/tramp.el (auto-save-file-name-transforms): Declare.

2015-10-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/international/ccl.el: Use lexical-binding.
	(ccl-compile-if): Remove unused var `false-ic'.
	(ccl-compile-write-repeat): Remove unused var `i'.
	(ccl-compile-map-single): Remove unused var `id'.
	(ccl-dump, ccl-dump-binary): Use explicit let-binding to bind the
	dynamic var `ccl-code'.

2015-10-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/json.el (json-new-object): Optimize trivial `list' call.

2015-10-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/help.el: Fix bug with incorrect arglist string.
	(help-add-fundoc-usage): Don't mistake a mis-formatted string
	for a list.

2015-10-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/gnus/gnus-topic.el: Silence some warnings.
	(gnus-topic-prepare-topic): Remove unused var `topic'.
	(gnus-topic-remove-topic): Mark unused arg `hide'.
	(gnus-tmp-header): Declare.
	(gnus-topic-goto-missing-group): Remove unused var `entry'.
	(gnus-topic-unmark-topic): Mark unused arg `dummy'.
	(gnus-topic-copy-matching): Mark unused arg `copyp'.
	Move initialization of `topic' into its declaration.

2015-10-27  Stephen Leake  <stephen_leake@stephe-leake.org>

	Minor CEDET fixes

	* lisp/cedet/cedet-global.el (cedet-gnu-global-gtags-call):
	Handle warnings from gtags about invalid options.
	(cedet-gnu-global-create/update-database): Do incremental update
	properly.

	* lisp/cedet/ede/generic.el (ede-enable-generic-projects):
	Get monotone root right.

2015-10-27  Michael Albinus  <michael.albinus@gmx.de>

	Fall back to polling in autorevert when needed

	* lisp/autorevert.el (auto-revert-notify-handler): When a
	`stopped' event arrives from file notification, fall back to polling.

	* test/automated/file-notify-tests.el
	(file-notify-test03-autorevert): Extend test for polling when file
	notification ceases to work.

2015-10-27  Dmitry Gutov  <dgutov@yandex.ru>

	Show full commit messages in 'hg log' when appropriate

	* lisp/vc/vc-hg.el (vc-hg-log-format): New variable.
	(vc-hg-print-log, vc-hg-expanded-log-entry): Use it.
	(http://lists.gnu.org/archive/html/emacs-devel/2015-10/msg02191.html)

2015-10-27  Nicolas Petton  <nicolas@petton.fr>

	Use a plain SVG file for the icon

	* etc/images/icons/hicolor/scalable/apps/emacs.svg: Use a plain SVG
	  format instead of the Inkscape SVG format.

2015-10-27  Michael Albinus  <michael.albinus@gmx.de>

	Fix subtle bug in auto-revert-tests.el

	* test/automated/auto-revert-tests.el
	(auto-revert-test02-auto-revert-mode-dired): Narrow *Messages*
	buffer where it belongs to.  (Bug#21668)

2015-10-26  Nicolas Petton  <nicolas@petton.fr>

	* lisp/emacs-lisp/map.el: Better docstrings.

	* lisp/emacs-lisp/seq.el: Better docstrings.

	* lisp/emacs-lisp/seq.el: Rename all seq arguments to sequence.

2015-10-26  Phillip Lord  <phillip.lord@russet.org.uk>

	* lisp/emacs-lisp/ert.el: Print results without newline escaping.

2015-10-26  Stephen Leake  <stephen_leake@stephe-leake.org>

	Clarify that load-path contents should be directory file names

	* doc/lispref/files.texi (Directory Names): Define and use "directory
	file name".  Recommend `expand-file-name'.

	* src/lread.c (load-path): Fix doc string; elements are directory file
	names.

2015-10-26  Eli Zaretskii  <eliz@gnu.org>

	Fix simple-test.el test

	* test/automated/simple-test.el (simple-test--dummy-buffer):
	Make sure indentation doesn't use TABs, otherwise the 6th test
	might fail.

2015-10-26  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/net/eww.el (eww-bookmark-prepare): Use truncate-string-to-width.
	`substring' does not account for full width characters.

2015-10-26  Michael Albinus  <michael.albinus@gmx.de>

	Further work on `stopped' events in filenotify.el

	* doc/lispref/os.texi (File Notifications): Rework examples.

	* lisp/filenotify.el (file-notify--rm-descriptor): Optional parameter.
	(file-notify--rm-descriptor, file-notify-callback): Improve check
	for sending `stopped' event.
	(file-notify-add-watch): Check for more events for `inotify'.

	* test/automated/file-notify-tests.el
	(file-notify--test-expected-events): New defvar.
	(file-notify--test-with-events): Use it.
	(file-notify--test-cleanup): Make it more robust when deleting
	directories.
	(file-notify--test-event-test): Check also for watched directories.
	(file-notify--test-event-handler): Suppress temporary .#files.
	(file-notify-test02-events, file-notify-test04-file-validity):
	Rework `stopped' events.
	(file-notify-test05-dir-validity): Wait for events when appropriate.

2015-10-26  Artur Malabarba  <bruce.connor.am@gmail.com>

	* src/keyboard.c (post-command-hook): Shorten docstring.

2015-10-26  Tassilo Horn  <tsdh@gnu.org>

	Fix infinite loop in sh-script's SMIE code

	* lisp/progmodes/sh-script.el (sh-smie-sh-forward-token): Fix infinite
	loop (bug#21747).

2015-10-25  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el (search-default-regexp-mode): Revert to nil.
	Character-fold search _still_ doesn't play well with
	lax-whitespace.  So disable it by default (again) for now.

2015-10-25  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: No visual feedback for default search mode.
	During an isearch where character-folding is the default, we don't
	want to take up minibuffer space just to tell the user that
	"Char-fold " is on.  The same goes for other modes, if the user
	changes the default.  In contrast, if the user toggles OFF the
	default mode, they should see "Literal", to distinguish it from
	the default mode.
	(isearch--describe-regexp-mode): Return "" if describing the
	default mode, and return "literal " if describing a plain search
	and it is not default.

2015-10-25  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/simple-test.el: New file.
	Define tests for `newline' and `open-line'.

2015-10-25  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/simple.el (open-line): Integrate with electric-indent-mode.
	Also run `post-self-insert-hook' when called interactively.

2015-10-25  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/simple.el (open-line): Fix docstring.
	Also explain apparently redundant line.

2015-10-25  Thomas Fitzsimmons  <fitzsim@fitzsim.org>
	    Alexandru Harsanyi  <AlexHarsanyi@gmail.com>

	Sync with soap-client repository, version 3.0.1

	* lisp/net/soap-client.el, lisp/net/soap-inspect.el:
	Bump version to 3.0.1.

	* lisp/net/soap-client.el, lisp/net/soap-inspect.el: Update home page.

2015-10-25  Eli Zaretskii  <eliz@gnu.org>

	* lisp/progmodes/grep.el (grep): Doc fix.  (Bug#21754)

2015-10-25  Artur Malabarba  <bruce.connor.am@gmail.com>

	* src/keyboard.c (post-command-hook): Extend the docstring.
	Mainly, explain how to use it without hanging Emacs, or giving the
	impression that it is hanging.  Also mention `pre-command-hook'.
	(pre-command-hook): Mention `post-command-hook'.

2015-10-25  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/custom.el (custom-declare-variable): Shorten code again.
	Without using pcase this time.  We can't use pcase because it is
	loaded after custom in loadup.el.  Also add a comment explaining
	this to future dummies like me.

2015-10-25  Michael Albinus  <michael.albinus@gmx.de>

	* doc/lispref/os.texi (File Notifications): Document `stopped event'.

2015-10-25  Michael Albinus  <michael.albinus@gmx.de>

	Introduce `stopped' event in file notification

	* lisp/filenotify.el (file-notify--rm-descriptor): New defun.
	(file-notify-rm-watch): Use it.
	(file-notify-callback): Implement `stopped' event.
	(file-notify-add-watch): Mention `stopped' in the docstring.
	Check, that upper directory exists.

	* test/automated/file-notify-tests.el (file-notify-test01-add-watch):
	Add two test cases.
	(file-notify-test02-events): Handle also `stopped' event.
	(file-notify-test04-file-validity): Add another test case.

2015-10-25  Paul Eggert  <eggert@cs.ucla.edu>

	Revert commit that broke 'make bootstrap'

	* lisp/custom.el (custom-declare-variable): Revert commit
	79fac080d277fed07b3c192890ad59d36d9f83b6.  custom.el needs to work
	even when pcase has not been defined yet, when doing bootstrapping.

2015-10-25  Paul Eggert  <eggert@cs.ucla.edu>

	Port recent inline functions fix to Standard C

	* src/lisp.h (LISP_MACRO_DEFUN, LISP_MACRO_DEFUN_VOID): Remove.
	All uses rewritten to define the function directly rather than to
	use a macro to define the function.  This conforms to Standard C,
	which does not allow stray semicolons at the top level.  I hope it
	also avoids the problems with TAGS.  Those macros, though clever,
	were pretty confusing anyway, and it wasn’t clear they were worth
	the aggravation even without the TAGS problem.

2015-10-24  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: Make character-fold search the default again.

2015-10-24  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/character-fold.el: Many improvements.
	(character-fold-search-forward, character-fold-search-backward):
	New command.
	(character-fold-to-regexp): Remove lax-whitespace hack.
	(character-fold-search): Remove variable.  Only isearch and
	query-replace use char-folding, and they both have their own
	variables to configure that.

2015-10-24  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: Generalize definition of regexp-function toggles.
	(isearch-specify-regexp-function): New macro for specifying
	possible values of `isearch-regexp-function'.
	(isearch-toggle-character-fold, isearch-toggle-symbol)
	(isearch-toggle-word): Define with `isearch-specify-regexp-function'.

2015-10-24  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el (search-default-regexp-mode): New variable.
	(isearch-mode): Use it.

2015-10-24  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el (search-exit-option, search-slow-window-lines)
	(search-slow-speed, search-upper-case)
	(search-nonincremental-instead, search-whitespace-regexp)
	(search-invisible, isearch-hide-immediately)
	(isearch-resume-in-command-history, search-ring-max)
	(regexp-search-ring-max, search-ring-update, search-highlight)
	(isearch-fail): Delete :group entries.

2015-10-24  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/custom.el (custom-declare-variable): Shorten code a bit.

2015-10-24  Juanma Barranquero  <lekktu@gmail.com>

	addpm.c: Silence some warnings.

	* nt/addpm.c (DdeCommand): Cast pData argument of DdeClientTransaction
	to LPBYTE.
	(add_registry): Pass NULL to optional lpClass argument of
	RegCreateKeyEx, not an empty string.

2015-10-24  Juanma Barranquero  <lekktu@gmail.com>

	addpm.c: Do not add obsolete GTK libraries to the path.

	* nt/addpm.c (REG_GTK, REG_RUNEMACS_PATH): Delete.
	(add_registry): Remove variables `size' and `gtk_key'.
	Do not add the GTK DLL directory to the library search path; it is
	confusing behavior (in particular, the same Emacs version with and
	without invoking addpm will use a different path), and the GTK image
	libraries are obsolete anyway.

2015-10-24  Juanma Barranquero  <lekktu@gmail.com>

	addpm.c: Replace existing registry entries, but do not create new ones

	* nt/addpm.c (add_registry): If the Emacs registry key exists, replace
	existing values from previous versions, but do not add new ones; the
	key could exist for other reasons unrelated to old Emacsen, like X-style
	resources, or to set some environment variables like HOME or LANG, and
	in that case we don't want to populate it with obsolete values.

2015-10-24  Juanma Barranquero  <lekktu@gmail.com>

	* nt/addpm.c (add_registry): Do not compute unused return value.

2015-10-24  Juanma Barranquero  <lekktu@gmail.com>

	addpm.c: Don't pass REG_OPTION_NON_VOLATILE to RegOpenKeyEx

	* nt/addpm.c (add_registry): Pass 0 to ulOptions argument of
	RegOpenKeyEx, not REG_OPTION_NON_VOLATILE.  This doesn't change
	current behavior because REG_OPTION_NON_VOLATILE is defined to
	be 0L anyway, but that option is actually documented only for
	RegCreateKeyEx.

2015-10-24  Juanma Barranquero  <lekktu@gmail.com>

	* src/w32notify.c (Fw32notify_add_watch): Fix version check.

2015-10-24  Eli Zaretskii  <eliz@gnu.org>

	Update frame title when redisplay scrolls selected window

	* src/xdisp.c (redisplay_window): Reconsider the frame's title
	when the mode-line of the frame's selected window needs to be
	updated.

2015-10-24  Eli Zaretskii  <eliz@gnu.org>

	Update frame title when scrolling the selected window

	* src/window.c (wset_update_mode_line): New function, sets either
	the window's update_mode_line flag or the global update_mode_lines
	variable.
	(Fset_window_start, set_window_buffer, window_scroll_pixel_based)
	(window_scroll_line_based): Call it instead of only setting the
	window's update_mode_line flag.

2015-10-24  Eli Zaretskii  <eliz@gnu.org>

	An even better fix for bug#21739

	* src/window.c (set_window_buffer): If the window is the frame's
	selected window, set update_mode_lines, not the window's
	update_mode_line flag.
	* src/buffer.c (Fkill_buffer): Undo last change.
	(set_update_modelines_for_buf): Function deleted.

2015-10-24  Thomas Fitzsimmons  <fitzsim@fitzsim.org>
	    Alexandru Harsanyi  <AlexHarsanyi@gmail.com>

	Sync with soap-client repository, version 3.0.0

	* lisp/net/soap-client.el, lisp/net/soap-inspect.el:
	Bump version to 3.0.0.

	* lisp/net/soap-inspect.el: Merge in changes from Emacs master branch.

	* lisp/net/soap-client.el: Merge in changes from Emacs master branch.

	* lisp/net/soap-inspect.el: Shorten first line description.

	* lisp/net/soap-client.el: Make a small whitespace fix.

	* lisp/net/soap-inspect.el: Update copyright years.

	* lisp/net/soap-client.el (soap-encoded-namespaces): Move above
	first use in soap-encode-xs-element.

	* lisp/net/soap-client.el (soap-type-is-array?): new defun
	(soap-encode-xs-element): handle array elements in this function
	(soap-encode-xs-complex-type): flag error if asked to encode an
	array type, this is handled in `soap-encode-xs-element'

	* lisp/net/soap-inspect.el (soap-inspect-xs-attribute-group):
	Do not print type for attribute group.

	* lisp/net/soap-inspect.el (soap-sample-value-for-xs-attribute-group)
	New function.
	(soap-inspect-xs-attribute-group): Likewise.

	* lisp/net/soap-inspect.el
	(soap-resolve-references-for-xs-attribute-group): Resolve
	references of attributes in an attribute group.

	* lisp/net/soap-client.el (soap-decode-xs-attributes): Process attribute
	type directly, not through soap-wsdl-get.

	* lisp/net/soap-client.el (soap-xs-parse-attribute): Leave reference
	nil if reference attribute is nil.

	* lisp/net/soap-client.el (soap-resolve-references-for-xs-attribute):
	Convert XML schema attributes to xsd:string.

	* lisp/net/soap-inspect.el (soap-sample-value-for-xs-attribute):
	New function.
	(soap-sample-value-for-xs-simple-type): Prepend attributes to result.
	(soap-sample-value-for-xs-complex-type): Likewise.
	(soap-inspect-xs-attribute): New function.
	(soap-inspect-xs-simple-type): Print attributes.
	(soap-inspect-xs-complex-type): Likewise.

	* lisp/net/soap-inspect.el (soap-resolve-references-for-xs-simple-type):
	Resolve references for attributes.
	(soap-resolve-references-for-xs-complex-type): Likewise.

	* lisp/net/soap-client.el (soap-xml-node-find-matching-child):
	Rename from soap-xml-node-first-child.
	(soap-xs-parse-attribute): Call soap-xml-node-find-matching-child.
	(soap-xs-parse-simple-type): Likewise.

	* lisp/net/soap-client.el (soap-invoke-async): Add error checking.

	* lisp/net/soap-client.el (soap-invoke-internal): New function.
	(soap-invoke-async): Call soap-invoke-internal.
	(soap-invoke): Likewise.

	* lisp/net/soap-client.el (soap-invoke-async): Ensure buffer passed to
	url-retrieve callback is killed.

	* lisp/net/soap-client.el (soap-parse-wsdl-phase-validate-node):
	Rename function.
	(soap-parse-wsdl-phase-fetch-imports): Likewise.
	(soap-parse-wsdl-phase-parse-schema): Likewise.
	(soap-parse-wsdl-phase-fetch-schema): Likewise.
	(soap-parse-wsdl-phase-finish-parsing): Likewise.
	(soap-parse-wsdl): Update calls.

	* lisp/net/soap-client.el (soap-invoke-async): Fix callback invocation.

	* lisp/net/soap-client.el (soap-invoke-async): New function.
	(soap-invoke): Reimplement using soap-invoke-async.

	* lisp/net/soap-client.el (soap-parse-server-response):
	Improve docstring.
	(soap-invoke): Inline call to soap-parse-server-response.

	* lisp/net/soap-client.el (soap-decode-xs-complex-type):
	Prevent incorrect warning.

	* lisp/net/soap-client.el (soap-parse-server-response):
	Rename soap-process-url-response.  Destroy the mime part.
	(soap-invoke): Call soap-parse-server-response.

	* lisp/net/soap-client.el: Update copyright date.

	* lisp/net/soap-client.el: Fix checkdoc issues.

	* lisp/net/soap-client.el: Fix indentation and long lines.

	* lisp/net/soap-client.el (soap-time-format): Remove variable.
	(soap-encode-xs-basic-type): Simplify date-time format detection.
	(soap-decode-xs-basic-type): Remove soap-time-format support.

	* lisp/net/soap-client.el (soap-process-url-response): New function.
	(soap-fetch-xml-from-url): Call soap-process-url-response.
	(soap-parse-wsdl-phase-1): New function.
	(soap-parse-wsdl-phase-2): Likewise.
	(soap-parse-wsdl-phase-3): Likewise.
	(soap-parse-wsdl-phase-4): Likewise.
	(soap-parse-wsdl-phase-5): Likewise.
	(soap-parse-wsdl): Call phase functions.

	* lisp/net/soap-client.el (soap-decode-xs-basic-type):
	Remove one-argument and call.

	* lisp/net/soap-client.el (soap-decode-date-time): Improve docstring.

	* lisp/net/soap-client.el (soap-xmlschema-imports): Remove variable.
	(soap-parse-schema): Add wsdl argument.  Look up XML schema
	imports from wsdl.
	(soap-load-wsdl): Do not set soap-xmlschema-imports.
	(soap-parse-wsdl): Get XML schema imports from wsdl.

	* lisp/net/soap-client.el (soap-current-file): Remove variable.
	(soap-wsdl): Add current-file slot.
	(soap-fetch-xml-from-url): Add wsdl argument.  Look up current
	file from wsdl.
	(soap-fetch-xml-from-file): Likewise.
	(soap-fetch-xml): Likewise.
	(soap-load-wsdl): Always create wsdl object first.
	(soap-parse-wsdl): Pass wsdl to soap-fetch-xml.

	* lisp/net/soap-client.el (soap-xs-element): Add is-group slot.
	(soap-xs-parse-element): Set is-group slot.
	(soap-resolve-references-for-xs-element): Skip is-group elements.
	(soap-xs-complex-type): Add is-group slot.
	(soap-xs-parse-complex-type): Set is-group slot.
	(soap-xs-parse-sequence): Parse xsd:group elements.
	(soap-resolve-references-for-xs-complex-type): Inline elements
	from referenced xsd:group nodes.
	(soap-parse-schema): Parse xsd:group nodes.

	* lisp/net/soap-client.el (soap-invoke):
	Don't set url-http-version to 1.0.

	* lisp/net/soap-client.el (soap-decode-xs-complex-type):
	Allow choice nodes to accept multiple values.

	* lisp/net/soap-client.el (soap-encode-body): Check parameters argument
	for extra header values.

	* lisp/net/soap-client.el (soap-well-known-xmlns):
	Add wsa and wsaw tags.
	(soap-operation): Add input-action and output-action slots.
	(soap-parse-operation): Parse wsaw:Action nodes.
	(soap-encode-body): Encode service-url for WS-Addressing.
	(soap-create-envelope): Likewise.
	(soap-invoke): Update soap-create-envelope call to provide
	service-url argument.

	* lisp/net/soap-client.el (soap-decode-xs-complex-type):
	Support xsi:type override attribute.
	(soap-decode-array): Likewise.

	* lisp/net/soap-client.el (soap-parse-schema):
	Handle location attribute.

	* lisp/net/soap-client.el (soap-decode-type): Check that multiRef
	matched validation regexp.

	* lisp/net/soap-client.el (soap-encode-xs-simple-type):
	Encode xsd:list nodes.
	(soap-decode-xs-simple-type): Decode xsd:list nodes.

	* lisp/net/soap-client.el (soap-get-candidate-elements):
	Fix reference handling.

	* lisp/net/soap-client.el (soap-xs-simple-type): Add is-list slot.
	(soap-xs-parse-simple-type): Call soap-xs-add-list for xsd:list nodes.
	(soap-xs-add-list): New function.

	* lisp/net/soap-client.el (soap-encode-xs-element): When a boolean is
	expected, interpret nil as "false".

	* lisp/net/soap-client.el (soap-make-xs-basic-types): Add gYearMonth,
	gYear, gMonthDay, gDay and gMonth.

	* lisp/net/soap-client.el (soap-time-format): New variable.
	(soap-encode-xs-basic-type): Handle dateTime, time, date,
	gYearMonth, gYear, gMonthDay, gDay and gMonth.
	(soap-decode-date-time): New function.
	(soap-decode-xs-basic-type): Use soap-decode-date-time.

	* lisp/net/soap-client.el (soap-encode-xs-basic-type): Validate value
	after encoding.
	(soap-decode-xs-basic-type): Validate value before decoding.

	* lisp/net/soap-client.el (soap-validate-xs-basic-type): New function.
	(soap-validate-xs-simple-type): Call soap-validate-xs-basic-type.

	* lisp/net/soap-client.el (soap-xs-add-union): Append result to base
	instead of overwriting it.
	(soap-validate-xs-simple-type): Add union support.

	* lisp/net/soap-client.el (soap-xs-add-restriction): Translate pattern
	to Emacs regexp using xsdre-translate.
	(soap-validate-xs-simple-type): Validate value against pattern.

	* lisp/net/soap-client.el (soap-xs-add-union): Preserve WSDL order of
	inline simpleType nodes.
	(soap-decode-type): Handle union types.

	* lisp/net/soap-client.el (soap-decode-xs-attributes): Decode basic-type
	attributes.

	* lisp/net/soap-client.el (soap-get-xs-attributes-from-groups): Rename
	from soap-xs-attribute-group-consolidate, all callers updated
	(soap-get-xs-attributes): Rename from
	soap-xs-attributes-consolidate, all callers updated

	* lisp/net/soap-client.el (soap-xs-type): Add attribute-group slot.
	(soap-xs-attribute-group): New type.
	(soap-xs-parse-attribute-group): New function.
	(soap-resolve-references-for-xs-attribute-group): Likewise.
	(soap-xs-add-extension): Handle attribute groups.
	(soap-resolve-references-for-xs-simple-type): Likewise.
	(soap-xs-parse-complex-type): Likewise.
	(soap-xs-parse-extension-or-restriction): Likewise.
	(soap-resolve-references-for-xs-complex-type): Likewise.
	(soap-xs-attribute-group-consolidate): New function.
	(soap-xs-attributes-consolidate): Handle attribute groups.
	(soap-parse-schema): Likewise.

	* lisp/net/soap-client.el (soap-encode-xs-basic-type):
	Fix boolean encoding.

	* lisp/net/soap-client.el (soap-encode-xs-complex-type): Print ref
	element names in warnings.

	* lisp/net/soap-client.el (soap-decode-xs-complex-type): Fix splicing.

	* lisp/net/soap-client.el (soap-decode-xs-complex-type):
	Eliminate invalid warnings for choice types.

	* lisp/net/soap-client.el (soap-encode-xs-complex-type-attributes):
	Also encode base type attributes.

	* lisp/net/soap-client.el (soap-encode-xs-complex-type): Fix compilation
	warning.  Print e-name in warnings, or element if e-name is nil.

	* lisp/net/soap-client.el (soap-xs-element): Add alternatives slot.
	(soap-xs-parse-element): Set substitution-group.
	(soap-resolve-references-for-xs-element): Populate alternatives slot.
	(soap-get-candidate-elements): New function.
	(soap-encode-xs-complex-type): Iterate through all candidate elements.
	Handle types with nil type indicator.  Fix warning logic.

	* lisp/net/soap-client.el (soap-current-wsdl): Move declaration
	earlier in the file to prevent compiler warning.

	* lisp/net/soap-client.el (soap-node-optional): New function.
	(soap-node-multiple): Likewise.
	(soap-xs-parse-element): Call soap-node-optional and
	soap-node-multiple.
	(soap-xs-complex-type): Add optional? and multiple? slots.
	(soap-xml-get-children-fq): New function.
	(soap-xs-element-get-fq-name): Likewise.
	(soap-xs-complex-type-optional-p): Likewise.
	(soap-xs-complex-type-multiple-p): Likewise.
	(soap-xs-attributes-consolidate): Likewise.
	(soap-decode-xs-attributes): Likewise.
	(soap-decode-xs-complex-type): Decode types with nil type indicator.
	Support children that use local namespaces.  Decode attributes.
	Add type considerations to optional? and multiple? warnings.

	* lisp/net/soap-client.el (soap-xs-parse-extension-or-restriction):
	Store parsed attributes.
	(soap-encode-xs-complex-type-attributes): Encode custom attributes.

	* lisp/net/soap-client.el (soap-encode-xs-complex-type-attributes):
	Don't add the xsi:type attribute (Exchange refuses requests which have
	this attribute).

	* lisp/net/soap-client.el, soap-inspect.el: Convert to lexical binding,
	correct compiler warnings about unused function arguments and
	local variables.

	* lisp/net/soap-client.el (soap-decode-xs-complex-type): Handle nil
	type indicator.
	(soap-parse-envelope): Handle response headers.
	(soap-parse-response): Likewise.  Only return non-nil decoded values.

	* lisp/net/soap-client.el (soap-validate-xs-simple-type):
	Return validated value.

	* lisp/net/soap-client.el (soap-xs-parse-element)
	(soap-xs-parse-simple-type)
	(soap-xs-parse-complex-type)
	(soap-parse-message)
	(soap-parse-operation): Add the current namespace to the element
	being created.
	(soap-resolve-references-for-xs-element)
	(soap-resolve-references-for-xs-simple-type)
	(soap-resolve-references-for-xs-complex-type)
	(soap-resolve-references-for-operation): Resolve the namespace to
	the namespace tag.
	(soap-make-wsdl): specify a namespace tag when creating the xsd
	and soapenc namespaces
	(soap-wsdl-resolve-references): don't update namespace tags in
	elements here
	(soap-parse-port-type): bind the urn: to soap-target-xmlns
	(soap-encode-body): don't add nil namespace tags to
	soap-encoded-namespaces

	* lisp/net/soap-inspect.el: Use `soap-make-wsdl` to construct the object
	for registering the soap-inspect method.  Make debbugs tests pass.
	* lisp/net/soap-client.el (soap-decode-any-type): Use soap-l2fq on the
	type name, also skip string only nodes when decoding a structure.
	(soap-xs-parse-complex-type): (BUG) Dispatch parsing for choice
	types too.
	(soap-encode-body): Grab the header value from the param table.

	* lisp/net/soap-client.el (soap-should-encode-value-for-xs-element):
	New function.
	(soap-encode-xs-element): Don't encode nil value unless needed.

	* lisp/net/soap-client.el (soap-bound-operation): New slot `soap-body`.
	(soap-parse-binding): Parse the message parts required in the body.
	(soap-encode-body): Encode only the parts that are declared to be
	part of the body.

	* lisp/net/soap-client.el (soap-encode-xs-element): use the fq name
	when writing out the tag.
	(soap-encode-body): Remove hack that inserts the xmlns in the
	element attributes list.

	* lisp/net/soap-client.el (soap-xs-attribute): Add "default" slot.
	(soap-xs-parse-attribute): Default slot is set from the XML
	"fixed" attribute.
	(soap-encode-xs-complex-type-attributes): Encode any attributes
	that have a default value.  Also, don't put the xsi:nil attribute
	when the complex type has no content anyway.

	* lisp/net/soap-client.el (soap-well-known-xmlns):
	Add the xml namespace.
	(soap-local-xmlns): Start with the xml namespace.
	(soap-xml-node-first-child): Skip xsd:annotation nodes too.
	(soap-make-xs-basic-types): More xsd types added.
	(soap-encode-xs-basic-type, soap-decode-xs-basic-type):
	Handle "language", "time", "date", "nonNegativeInteger".
	(soap-resolve-references-for-xs-element): Don't signal an error if
	the element does not have a type.
	(soap-xs-parse-simple-type): Subtypes are handled with ecase,
	added stum for xsd:list.
	(soap-xs-add-union): Call soap-l2fq on all union members.
	(soap-xs-add-extension): Call soap-l2fq on the base member.
	(soap-resolve-references-for-xs-simple-type): Don't signal an
	error if the simple type has no base.
	(soap-resolve-references-for-xs-simple-type): Bugfix, call
	soap-wsdl-get on each type of the base.

	* lisp/net/soap-client.el (soap-resolve-references-for-xs-attribute):
	Referenced type can be eiher a simple type or a basic type.
	(soap-xs-add-restriction)
	(soap-xs-parse-extension-or-restriction): Use `soap-l2fq' on base.
	(soap-make-xs-basic-types)
	(soap-encode-xs-basic-type, soap-decode-xs-basic-type):
	Add support for more XMLSchema basic types.
	(soap-current-file, soap-xmlschema-imports): New defvars.
	(soap-parse-schema): Add locations from xsd:import tags to
	`soap-xmlschema-imports'.
	(soap-wsdl): Make destructor private.
	(soap-make-wsdl): New defun, SOAP-WSDL object constructor.
	(soap-wsdl-add-alias): Check if we try to replace aliases.
	(soap-fetch-xml-from-url, soap-fetch-xml-from-file)
	(soap-fetch-xml): New defuns.
	(soap-load-wsdl): Update to load the WSDL from either a file or
	an url.
	(soap-load-wsdl-from-url): Now an alias to `soap-load-wsdl'.
	(soap-parse-wsdl): Process wsdl:import tags and imports from
	`soap-xmlschema-imports'.
	* lisp/net/soap-client.el (soap-l2wk): Bugfix: call symbolp instead of
	symbol-name.
	(soap-l2fq): Make the name part always a string.
	(soap-name-p): New defun, used for name tests.

	* lisp/net/soap-inspect.el (soap-sample-value-for-xs-complex-type):
	Supply sample values for choice types with a special tag.
	* lisp/net/soap-client.el (soap-encode-xs-complex-type):
	Handle anonymous elements correctly.
	(soap-encode-value): Accept nodes that have no namespace tag.

	* lisp/net/soap-client.el (soap-invoke): Encode the string for
	`url-request-data' as UTF-8.  Fixes issue 16.

2015-10-24  Nicolas Petton  <nicolas@petton.fr>

	Update the new icon

	Move the E slightly to the right in the circle.

	* etc/images/icons/hicolor/128x128/apps/emacs.png:
	* etc/images/icons/hicolor/16x16/apps/emacs.png:
	* etc/images/icons/hicolor/24x24/apps/emacs.png:
	* etc/images/icons/hicolor/32x32/apps/emacs.png:
	* etc/images/icons/hicolor/48x48/apps/emacs.png:
	* etc/images/icons/hicolor/scalable/apps/emacs.svg:
	* nextstep/Cocoa/Emacs.base/Contents/Resources/Emacs.icns:
	* nt/icons/emacs.ico: New icom update.

2015-10-24  Eli Zaretskii  <eliz@gnu.org>

	Avoid missing inline functions from lisp.h in TAGS

	* src/lisp.h (LISP_MACRO_DEFUN): Mention in the commentary the
	need to end each invocation with a semi-colon.
	Add a semi-colon at the end of each invocation of LISP_MACRO_DEFUN
	and LISP_MACRO_DEFUN_VOID.  This is to avoid missing in TAGS
	inline functions defined immediately after each invocation, and
	also avoid tagging every invocation of these macros.

2015-10-24  Eli Zaretskii  <eliz@gnu.org>

	A better fix for bug#21739

	* src/buffer.c (set_update_modelines_for_buf): New function.
	(Fkill_buffer): Use it to set the global variable
	update_mode_lines if the killed buffer was displayed in some
	window.  Don't set windows_or_buffers_changed.  This is a better
	fix for bug#21739 than the previous fix, since it will cause only
	redisplay of mode lines, not of entire windows, but will still
	catch attention of x_consider_frame_title in xdisp.c, which
	redraws the frame title.

2015-10-24  Tassilo Horn  <tsdh@gnu.org>

	* lisp/dired-aux.el (dired-compress-files-alist): Add support for
	tar.bz2 and tar.xz archives.

2015-10-23  Eli Zaretskii  <eliz@gnu.org>

	Fix infloop in redisplay introduced by a recent change

	* src/xdisp.c (redisplay_internal): Avoid inflooping when
	redisplaying the selected window sets the selected frame's
	redisplay flag.  (Bug#21745)

2015-10-23  Nicolas Petton  <nicolas@petton.fr>

	* lisp/emacs-lisp/thunk.el: Better documentation.

2015-10-23  Nicolas Petton  <nicolas@petton.fr>

	Replace the old icon for Windows and Mac OSX

	* nt/icons/emacs.ico:
	* nextstep/Cocoa/Emacs.base/Contents/Resources/Emacs.icns:
	Use the new icons.

2015-10-23  Stephen Leake  <stephen_leake@stephe-leake.org>

	* lisp/emacs-lisp/package.el (package-autoload-ensure-default-file):
	`load-path' should contain only directory names.

2015-10-23  Nicolas Petton  <nicolas@petton.fr>

	New library thunk.el

	thunk.el is extracted from stream.el in ELPA, with additional tests.

	* lisp/emacs-lisp/thunk.el: New file.
	* test/automated/thunk-tests.el: New file.
	* etc/NEWS: Add information about thunk.el

2015-10-23  Michael Albinus  <michael.albinus@gmx.de>

	Fix bug#21669

	* lisp/filenotify.el (file-notify-rm-watch): Improve check for
	calling low-level functions.

	* test/automated/file-notify-tests.el (file-notify--test-timeout):
	Decrase to 6 seconds for remote directories.
	(file-notify-test02-events): Expect different number of
	`attribute-changed' events for the local and remote cases.  Apply
	short delays between the operations, in order to receive all
	events in the remote case.  Combine `attribute-change' tests.
	(Bug#21669)

2015-10-23  Eli Zaretskii  <eliz@gnu.org>

	Decode the HTML source when displaying it in EWW

	* lisp/net/eww.el (eww-view-source): Decode the HTML source
	according to its headers.

2015-10-23  Nicolas Petton  <nicolas@petton.fr>

	New default icon

	* etc/images/icons/hicolor/128x128/apps/emacs23.png:
	* etc/images/icons/hicolor/16x16/apps/emacs23.png:
	* etc/images/icons/hicolor/24x24/apps/emacs23.png:
	* etc/images/icons/hicolor/32x32/apps/emacs23.png:
	* etc/images/icons/hicolor/48x48/apps/emacs23.png:
	* etc/images/icons/hicolor/scalable/apps/emacs23.svg:
	* etc/images/icons/hicolor/scalable/mimetypes/emacs-document23.svg:
	Move the old logo files to emacs23.*.
	* etc/images/icons/hicolor/128x128/apps/emacs.png:
	* etc/images/icons/hicolor/16x16/apps/emacs.png:
	* etc/images/icons/hicolor/24x24/apps/emacs.png:
	* etc/images/icons/hicolor/32x32/apps/emacs.png:
	* etc/images/icons/hicolor/48x48/apps/emacs.png:
	* etc/images/icons/hicolor/scalable/apps/emacs.svg:
	* etc/images/icons/hicolor/scalable/mimetypes/emacs-document.svg:
	New files.
	* etc/images/icons/README: Update the copyright information.

2015-10-23  Eli Zaretskii  <eliz@gnu.org>

	Fix redisplay of frame title when current buffer is killed

	* src/buffer.c (Fkill_buffer): Set windows_or_buffers_changed to a
	non-zero value, to redisplay more than just the affected windows.
	(Bug#21739)

2015-10-23  Anders Lindgren  <andlind@gmail.com>

	NextStep maximization and NSTRACE rewrite

	Full-height, full-width, and maximized windows now cover the
	entire screen (except the menu bar), including the part where the
	system dock is placed.  The system zoom animation is no longer
	used.

	Made NonMaximized->FullWidth->FullHeight->NonMaximized restore the
	original size.

	* src/nsterm.m (ns_menu_bar_height): New function, return height of
	the menu bar, or 0 when it's hidden.
	(constrain_frame_rect): New function for constraining a frame.
	(ns_constrain_all_frames): Set frame size explicitly rather than
	relying on the system doing it for us by writing back the current
	frame size.
	(windowWillUseStandardFrame): Register non-maximized width or
	height as new user size.  When entering full width or height,
	the other size component is taken from the user size.
	(fullscreenState): New method for accessing the fullscreen state.
	(constrainFrameRect): Restrict frame to be placed under the menu bar,
	if present.  The old version, sometimes, restricted the height of a
	frame to the screen, this version never does this.
	(zoom): Perform zoom by setting the frame to the full size of the
	screen (minus the menu bar).  The default system function, with the
	zoom animation, is no longer used, as the final frame size doesn't
	cover the entire screen.

	Rework how to constrain resizing to the character grid.  The old
	system used "resizeIncrements" in NSWindows.  However, once a frame
	was resized so that it was not aligned to the text grid, it
	remained unaligned even after a resize.  In addition, it conflicted
	when resizing a fullheight window.

	* src/nsterm.m (windowWillResize): Restrict frame size to text grid,
	unless when pixelwise frame resizing is enabled.
	(updateFrameSize, initFrameFromEmacs)
	(toggleFullScreen, handleFS): Don't set resizeIncrements.

	Redesign the NS trace system.  The call structure is represented
	using indentations and vertical lines.  The NSTRACE macro accepts
	printf-style arguments.  New macros for printing various
	information.

	* src/nsterm.h (NSTRACE_ENABLED): Macro to enable trace system.
	(NSTRACE, NSTRACE_WHEN, NSTRACE_UNLESS): Macros to start a new
	block (typically a function), accept printf-style arguments.
	(NSTRACE_MSG): Macro for extra information, accepts
	printf-style arguments.
	(NSTRACE_what): Macros for printing various types.
	(NSTRACE_FMT_what): Macro with printf format string snippets.
	(NSTRACE_ARG_what): Macros for passing printf-style arguments,
	corresponds to NSTRACE_FMT_what.
	(NSTRACE_RETURN): Macro to print return value, accept
	printf-style arguments.
	(NSTRACE_RETURN_what): Macros to print return value for
	various types.

	* nsterm.m: Remove old NSTRACE macro
	* src/nsterm.m (nstrace_num): Trace counter.
	(nstrace_depth): Current call depth.
	(nstrace_leave): NSTRACE support function, called when the
	local variable "nstrace_enabled" goes out of scope using the
	"cleanup" extension.
	(ns_print_fullscreen_type_name): NSTRACE_FSTYPE support function.
	(constrain_frame_rect, ns_constrain_all_frames)
	(ns_update_auto_hide_menu_bar, ns_update_begin)
	(ns_update_window_begin, update_window_end, ns_update_end)
	(ns_focus, ns_unfocus, ns_ring_bell, ns_frame_raise_lower)
	(ns_frame_rehighlight, x_make_frame_visible)
	(x_make_frame_invisible, x_iconify_frame, x_free_frame_resources)
	(x_destroy_window, x_set_offset, x_set_window_size)
	(ns_fullscreen_hook, ns_lisp_to_color, ns_color_to_lisp)
	(ns_defined_color, frame_set_mouse_pixel_position)
	(note_mouse_movement, ns_mouse_position, ns_frame_up_to_date)
	(ns_define_frame_cursor, x_get_keysym_name, ns_redraw_scroll_bars)
	(ns_clear_frame, ns_clear_frame_area, ns_scroll_run)
	(ns_after_update_window_line, ns_shift_glyphs_for_insert)
	(dumpcursor, ns_draw_vertical_window_border)
	(ns_draw_window_divider, ns_draw_relief)
	(ns_dumpglyphs_box_or_relief, ns_maybe_dumpglyphs_background)
	(ns_dumpglyphs_image, ns_draw_glyph_string, ns_send_appdefined)
	(ns_read_socket, ns_select, ns_set_vertical_scroll_bar)
	(ns_set_horizontal_scroll_bar, ns_condemn_scroll_bars)
	(ns_redeem_scroll_bar, ns_judge_scroll_bars, ns_delete_terminal)
	(ns_create_terminal, ns_term_init, sendEvent)
	(applicationDidFinishLaunching, applicationDidBecomeActive)
	(timeout_handler, fd_handler, EmacsView_dealloc, changeFont)
	(acceptsFirstResponder, resetCursorRects, keyDown, mouseDown)
	(deltaIsZero, rightMouseDown, otherMouseDown, mouseUp)
	(rightMouseUp, otherMouseUp, scrollWheel, mouseMoved)
	(mouse_autoselect_window, in_window, mouseDragged)
	(rightMouseDragged, otherMouseDragged, windowShouldClose)
	(updateFrameSize, windowWillResize, windowDidResize)
	(windowDidBecomeKey, windowDidResignKey, windowWillMiniaturize)
	(initFrameFromEmacs, windowDidMove, windowDidDeminiaturize)
	(windowDidExpose, windowDidMiniaturize, windowWillEnterFullScreen)
	(windowDidEnterFullScreen, windowWillExitFullScreen)
	(windowDidExitFullScreen, toggleFullScreen, handleFS, setFSValue)
	(mouseEntered, mouseExited, menuDown, toolbarClicked, drawRect)
	(draggingEntered, performDragOperation, validRequestorForSendType)
	(setMiniwindowImage, constrainFrameRect, performZoom, zoom)
	(EmacsScroller_initFrame, EmacsScroller_setFrame)
	(EmacsScroller_dealloc, condemn, reprieve, judge)
	(resetCursorRects, setPosition, EmacsScroller_mouseDown)
	(EmacsScroller_mouseDragged, syms_of_nsterm): Use new trace system.

	* nsfns.m: Remove old NSTRACE macro
	* src/nsfns.m (x_set_icon_name, ns_set_name, x_explicitly_set_name)
	(x_implicitly_set_name, x_set_title, ns_set_name_as_filename)
	(ns_implicitly_set_icon_type, x_set_icon_type): Use new trace system.

	* nsimage.m: Remove old NSTRACE macro
	* src/nsimage.m (ns_image_from_XBM, ns_image_for_XPM)
	(ns_image_from_bitmap_file, ns_load_image): Use new trace system.

	* nsmenu.m: Remove old NSTRACE macro
	* src/nsmenu.m (ns_update_menubar, ns_menu_show, ns_popup_dialog):
	Use new trace system.

2015-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	No need to use eval-and-compile

	* lisp/gnus/auth-source.el: Do require epg (when compiling) before
	autoload epg functions.

2015-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	Fix auth-source-epa-make-gpg-token compilation (bug#21724)

	* lisp/gnus/auth-source.el: Add eval-and-compile to autoloads for
	epg-context-set-passphrase-callback, epg-decrypt-string, and
	epg-encrypt-string; require epg when compiling for the setf-method
	for epg-context-armor. (bug#21724)

2015-10-22  Eli Zaretskii  <eliz@gnu.org>

	Include file cleanup for w32 files in src directory

	* src/w32xfns.c: Don't include keyboard.h, window.h, charset.h,
	fontset.h, blockinput.h.
	* src/w32uniscribe.c: Don't include dispextern.h, character.h,
	charset.h, fontset.h.
	* src/w32term.c: Don't include systty.h, systime.h, charset.h,
	character.h, ccl.h, dispextern.h, disptab.h, intervals.h,
	process.h, atimer.h, keymap.h, w32heap.h.  Include bitmap/gray.xbm
	in an ifdef-ed away block.
	Include fcntl.h for CYGWIN.
	(set_frame_param): Remove unused function.
	* src/w32select.c: Don't include charset.h and composite.h.
	(setup_config, Fw32_get_clipboard_data): Avoid compiler warnings
	due to pointer signedness mismatches.
	* src/w32reg.c (w32_get_string_resource): Avoid compiler warnings
	due to pointer signedness mismatches.
	* src/w32proc.c: Include unistd.h.  Don't include systime.h,
	process.h, dispextern.h.
	(sys_spawnve, Fw32_short_file_name, Fw32_long_file_name)
	(Fw32_application_type): Avoid compiler warnings due to pointer
	signedness mismatches.
	* src/w32menu.c: Don't include keymap.h, termhooks.h, window.h,
	character.h, charset.h, dispextern.h.
	(simple_dialog_show, add_menu_item): Avoid compiler warnings due
	to pointer signedness mismatches.
	* src/w32inevt.c: Don't include dispextern.h, window.h,
	termhooks.h, w32heap.h.
	* src/w32font.c: Don't include dispextern.h, character.h,
	charset.h, fontset.h, font.h.
	(intern_font_name, add_font_entity_to_list)
	(registry_to_w32_charset, w32_to_x_charset, fill_in_logfont)
	(list_all_matching_fonts): Avoid compiler warnings due to pointer
	signedness mismatches.
	* src/w32fns.c: Don't include character.h, intervals.h,
	dispextern.h, epaths.h, charset.h, ccl.h, fontset.h, systime.h,
	termhooks.h, w32heap.h, bitmap/gray.xbm, font.h, w32font.h.
	(w32_color_map_lookup, add_system_logical_colors_to_map)
	(x_decode_color, x_set_name, FPRINTF_WM_CHARS, Fxw_color_defined_p)
	(Fxw_color_values, x_display_info_for_name, Fset_message_beep)
	(x_create_tip_frame, Fx_file_dialog, Fsystem_move_file_to_trash)
	(w32_parse_hot_key, Ffile_system_info, w32_kbd_patch_key): Avoid
	compiler warnings, mainly due to pointer signedness mismatches.
	(unwind_create_frame_1): Remove unused function.
	* src/w32console.c: Don't include character.h, disptab.h, frame.h,
	window.h, termhooks.h, dispextern.h.
	(w32con_write_glyphs, w32con_write_glyphs_with_face): Fix pointer
	signedness mismatch.
	* src/w32.c: Include c-strcase.h and systty.h.  Don't include
	w32heap.h.

2015-10-22  Tassilo Horn  <tsdh@gnu.org>

	Improve doc-view wrt. auto-revert-mode

	* lisp/doc-view.el (doc-view-revert-buffer): Don't revert when file
	is corrupted (bug#21729).
	(doc-view-mode): Set doc-view-revert-buffer as revert-buffer-function.

2015-10-22  Oleh Krehel  <ohwoeowho@gmail.com>

	Describe dired-do-compress-to in the manual

	* etc/NEWS: Update.

	* lisp/dired-aux.el: Fix typo.

	* doc/emacs/dired.texi: Add entry.

2015-10-22  Jürgen Hötzel  <juergen@archlinux.org>

	Further fix for proper locale handling in tramp-gvfs.el

	* lisp/net/tramp-gvfs.el (tramp-gvfs-handle-file-attributes):
	Just suppress LC_MESSAGES locale category settings.

2015-10-21  Paul Eggert  <eggert@cs.ucla.edu>

	New lispref section “Security Considerations”

	This attempts to document some of the issues recently discussed
	on emacs-devel, and to indicate other such issues.  The section
	could be a lot longer.
	* doc/lispref/os.texi (Security Considerations):
	New node.
	* doc/lispref/elisp.texi (Top):
	* doc/lispref/processes.texi (Shell Arguments):
	* lisp/subr.el (shell-quote-argument):
	* src/callproc.c (syms_of_callproc):
	Reference it.

2015-10-21  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib

	This incorporates:
	2015-10-18 stdalign: work around pre-4.9 GCC x86 bug
	2015-10-18 time_rz: avoid warning from bleeding-edge gcc's -Wnonnull
	* doc/misc/texinfo.tex, lib/stdalign.in.h, lib/time_rz.c:
	Copy from gnulib.

2015-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus/mailcap.el (mailcap-mime-data): Remove fboundp checks.
	(mailcap-viewer-passes-test): Do it instead.  Thanks to Stefan Monnier.

2015-10-21  Ken Brown  <kbrown@cornell.edu>

	Further include-file cleanup

	* src/sheap.c: Include stdlib.h.
	* src/unexcw.c: Include string.h.

2015-10-21  Eli Zaretskii  <eliz@gnu.org>

	Fix logic in 'server-kill-emacs-query-function'

	* lisp/server.el (server-kill-emacs-query-function): Correct the
	logic that controls whether the user is asked for confirmation.
	(Bug#21723)

2015-10-21  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el (isearch-search-fun-default): Simplify logic.
	(isearch--lax-regexp-function-p): New function.

2015-10-21  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: Support lax-whitespace in regexp-function searches.
	(isearch-search-fun-default): Let-bind `search-spaces-regexp'
	around `isearch-regexp-function'.

2015-10-21  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/isearch.el: Rename word search to regexp-function search.
	`isearch-word' went well beyond its original purpose, and the name
	no longer makes sense.  It is now called
	`isearch-regexp-function', and its value should always be a function
	that converts a string to a regexp (though setting it to t is still
	supported for now).
	(isearch-word): Make obsolete.
	(isearch-regexp-function): New variable.
	(isearch-mode, isearch-done, isearch--state, isearch--set-state)
	(with-isearch-suspended, isearch-toggle-regexp)
	(isearch-toggle-word, isearch-toggle-symbol)
	(isearch-toggle-character-fold, isearch-query-replace)
	(isearch-occur, isearch-highlight-regexp)
	(isearch-search-and-update, isearch-message-prefix)
	(isearch-search-fun-default, isearch-search)
	(isearch-lazy-highlight-new-loop, isearch-lazy-highlight-search):
	Use it.
	(isearch-lazy-highlight-regexp-function): New var.
	(isearch-lazy-highlight-word): Make obsolete.
	(isearch--describe-regexp-mode): New function.
	(isearch--describe-word-mode): Make obsolete.

	* lisp/info.el (Info-isearch-search):
	* lisp/replace.el (replace-search, replace-highlight):
	* lisp/obsolete/longlines.el (longlines-search-function):
	* lisp/hexl.el (hexl-isearch-search-function):
	* lisp/cedet/semantic/senator.el (senator-isearch-search-fun):
	Use the new var.

2015-10-21  Oleh Krehel  <ohwoeowho@gmail.com>

	Add dired-do-compress-to command bound to "c"

	* lisp/dired-aux.el (dired-shell-command): Use the caller's
	  `default-directory', return the result of `process-file'.
	(dired-compress-file-suffixes): Add comment on why "tar -zxf" isn't
	used by default.
	(dired-compress-files-alist): New defvar.
	(dired-do-compress-to): New command.

	* lisp/dired.el (dired-mode-map): Bind `dired-do-compress-to' to "c".
	(dired-do-compress-to): Add an autoload entry.

	* etc/NEWS: Add two entries.

2015-10-21  Tassilo Horn  <tsdh@gnu.org>

	Make RefTeX work with LaTeX subfiles package

	* lisp/textmodes/reftex.el (reftex-TeX-master-file): Recognize subfiles
	document class argument as master file for referencing purposes.

2015-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus/mailcap.el (mailcap-mailcap-entry-passes-test): Doc fix.

2015-10-20  Paul Eggert  <eggert@cs.ucla.edu>

	Include-file cleanup for src directory

	Omit ‘#include "foo.h"’ unless the file needs foo.h (Bug#21707).
	In a few cases, add ‘#include "foo.h"’ if the file needs foo.h
	but does not include it directly.  As a general rule, a source
	file should include foo.h if it needs the interfaces that foo.h
	defines.
	* src/alloc.c: Don’t include process.h.  Include dispextern.h,
	systime.h.
	* src/atimer.c: Don’t include blockinput.h.
	* src/buffer.c: Include coding.h, systime.h.  Don’t include
	keyboard.h, coding.h.
	* src/callint.c: Don’t include commands.h, keymap.h.
	* src/callproc.c: Don’t include character.h, ccl.h, composite.h,
	systty.h, termhooks.h.
	* src/casetab.c: Don’t include character.h.
	* src/category.c: Don’t include charset.h, keymap.h.
	* src/ccl.h: Don’t include character.h.
	* src/character.c: Don’t include charset.h.
	* src/charset.c: Don’t include disptab.h.
	* src/chartab.c: Don’t include ccl.h.
	* src/cm.c: Don’t include frame.h, termhooks.h.
	* src/cmds.c: Don’t include window.h, dispextern.h.
	* src/coding.c: Don’t include window.h, frame.h.
	* src/composite.c: Include composite.h.  Don’t include window.h,
	font.h.
	* src/data.c: Don’t include syssignal.h, termhooks.h, font.h.
	* src/dbusbind.c: Don’t include frame.h.
	* src/decompress.c: Don’t include character.h.
	* src/dired.c: Don’t include character.h, commands.h, charset.h.
	* src/dispnew.c: Don’t include character.h, indent.h, intervals.h,
	process.h, timespec.h.  Include systime.h.
	* src/doc.c: Include coding.h.  Don’t include keyboard.h.
	* src/editfns.c: Include composite.h.  Don’t include frame.h.
	* src/emacs.c: Include fcntl.h, coding.h.  Don’t include
	commands.h, systty.h..
	* src/fileio.c: Don’t include intervals.h, dispextern.h.
	Include composite.h.
	* src/filelock.c: Don’t include character.h, systime.h.
	* src/fns.c: Don’t include time.h, commands.h, keyboard.h,
	keymap.h, frame.h, blockinput.h, xterm.h.  Include composite.h.
	* src/font.c: Include termhooks.h.
	* src/font.h: Don’t include ccl.h, frame.h.  Add forward decls of
	struct composition_it, struct face, struct glyph_string.
	* src/fontset.c: Don’t include buffer.h, ccl.h, keyboard.h,
	intervals.h, window.h, termhooks.h.
	* src/frame.c: Don’t include character.h, commands.h, font.h.
	* src/frame.h: Don’t include dispextern.h.
	* src/fringe.c: Don’t include character.h.
	* src/ftcrfont.c: Don’t include dispextern.h, frame.h,
	character.h, charset.h, fontset.h.
	* src/ftfont.c: Don’t include frame.h, blockinput.h, coding.h,
	fontset.h.
	* src/ftxfont.c: Don’t include dispextern.h, character.h,
	charset.h, fontset.h.
	* src/gfilenotify.c: Don’t include frame.h, process.h.
	* src/gtkutil.c: Include dispextern.h, frame.h, systime.h.
	Don’t include syssignal.h, buffer.h, charset.h, font.h.
	* src/gtkutil.h: Don’t include frame.h.
	* src/image.c: Include fcntl.h and stdio.h instead of sysstdio.h.
	Don’t include character.h.
	* src/indent.c: Don’t include keyboard.h, termchar.h.
	* src/inotify.c: Don’t include character.h, frame.h.
	* src/insdel.c: Include composite.h.  Don’t include blockinput.h.
	* src/intervals.c: Don’t include character.h, keyboard.h.
	* src/intervals.h: Don’t include dispextern.h, composite.h.
	* src/keyboard.c: Don’t include sysstdio.h, disptab.h, puresize.h.
	Include coding.h.
	* src/keyboard.h: Don’t incldue systime.h.
	* src/keymap.c: Don’t include charset.h, frame.h.
	* src/lread.c: Include dispextern.h and systime.h.
	Don’t include frame.h.  Include systime.h.
	* src/macros.c: Don’t include commands.h, character.h, buffer.h.
	* src/menu.c: Include character.h, coding.h.  Don’t include
	dispextern.h.
	* src/menu.h: Don’t include systime.h.
	* src/minibuf.c: Don’t include commands.h, dispextern.h, syntax.h,
	intervals.h, termhooks.h.
	* src/print.c: Include coding.h.  Don’t include keyboard.h,
	window.h, dispextern.h, termchar.h, termhooks.h, font.h.
	Add forward decl of struct terminal.
	* src/process.c: Don’t include termhooks.h, commands.h,
	dispextern.h, composite.h.
	* src/region-cache.c: Don’t include character.h.
	* src/scroll.c: Don’t include keyboard.h, window.h.
	* src/search.c: Don’t include category.h, commands.h.
	* src/sound.c: Don’t include dispextern.h.
	* src/syntax.c: Don’t include command.h, keymap.h.
	* src/sysdep.c: Don’t include window.h, dispextern.h.
	* src/systime.h: Use ‘#ifdef emacs’, not ‘#ifdef EMACS_LISP_H’,
	* src/term.c: Don’t include systty.h, intervals.h, xterm.h.
	* src/terminal.c: Include character.h.
	Don’t include charset.h, coding.h.
	* src/textprop.c: Don’t include character.h.
	* src/undo.c: Don’t include character.h, commands.h, window.h.
	* src/unexsol.c: Don’t include character.h, charset.h.
	* src/widget.c: Include widget.h.  Don’t include keyboard.h,
	window.h, dispextern.h, blockinput.h, character.h, font.h.
	* src/widgetprv.h: Don’t include widget.h.
	* src/window.c: Don’t include character.h, menu.h, intervals.h.
	* src/xdisp.c: Include composite.h, systime.h.  Don’t include
	macros.h, process.h.
	* src/xfaces.c: Don’t include charset.h, keyboard.h, termhooks.h,
	intervals.h.
	* src/xfns.c: Don’t include menu.h, character.h, intervals.h,
	epaths.h, fontset.h, systime.h, atimer.h, termchar.h.
	* src/xfont.c: Don’t include dispextern.h, fontset.h, ccl.h.
	* src/xftfont.c: Don’t include dispextern.h, character.h, fontset.h.
	* src/xgselect.c: Don’t include timespec.h, frame.h.
	Include systime.h.
	* src/xgselect.h: Don’t include time.h.
	Use a forward decl to struct timespec instead.
	* src/xmenu.c: Don’t include keymap.h, character.h, charset.h,
	dispextern.h.  Include systime.h.
	* src/xml.c: Don’t include character.h.
	* src/xrdb.c [USE_MOTIF]: Don’t include keyboard.h.
	* src/xselect.c: Don’t include dispextern.h, character.h,
	buffer.h, process.h.
	* src/xsmfns.c: Don’t include systime.h, sysselect.h.
	* src/xterm.c: Don’t include syssignal.h, charset.h, disptab.h,
	intervals.h process.h, keymap.h, xgselect.h.  Include composite.h.

2015-10-20  Paul Eggert  <eggert@cs.ucla.edu>

	(/ N) now returns the reciprocal of N

	This is more compatible with Common Lisp and XEmacs (Bug#21690).  See:
	http://lists.gnu.org/archive/html/emacs-devel/2015-10/msg01053.html
	* lisp/color.el (color-hue-to-rgb, color-hsl-to-rgb)
	(color-xyz-to-srgb, color-xyz-to-lab):
	* lisp/emacs-lisp/cl-extra.el (cl-float-limits):
	* lisp/net/shr-color.el (shr-color-hue-to-rgb)
	(shr-color-hsl-to-rgb-fractions):
	Exploit the change to simplify the code a bit.
	* lisp/emacs-lisp/bytecomp.el (byte-compile-quo):
	Don’t complain about single-argument calls to ‘/’.
	* src/data.c (arith_driver, float_arith_driver):
	Implement the change.

2015-10-20  Dmitry Gutov  <dgutov@yandex.ru>

	Call vc-dir-refresh after stash operations

	* lisp/vc/vc-git.el (vc-git-stash-apply-at-point)
	(vc-git-stash-pop-at-point): Call vc-dir-refresh (bug#13960).

	* lisp/vc/vc-dir.el (vc-dir-resynch-file): Expand FNAME as well,
	since it can be abbreviated (as returned by vc-find-root).

2015-10-20  Dmitry Gutov  <dgutov@yandex.ru>

	* lisp/vc/vc-svn.el:
	* lisp/vc/vc-mtn.el:
	* lisp/vc/vc-hg.el:
	* lisp/vc/vc-cvs.el:
	* lisp/vc/vc-git.el:
	* lisp/vc/vc-bzr.el: Don't declare vc-exec-after anymore.
	Its usages have been replaced with vc-run-delayed.

2015-10-20  Dima Kogan  <dima@secretsauce.net>

	Fix memory leak in fontset handling

	* src/font.c (copy_font_spec): Make a deep copy of the input
	argument FONT.  (Bug#21651)

2015-10-20  Michael Sperber  <mike@xemacs.org>

	* lisp/gnus/mailcap.el (mailcap-mime-data):
	Conditonalize `doc-view-mode', which does not exist on XEmacs.

2015-10-20  Oleh Krehel  <ohwoeowho@gmail.com>

	Update the way directories are compressed

	* lisp/dired-aux.el (dired-compress-file-suffixes): Update the recipe
	for *.tar.gz decompression to use a pipe.
	Add an entry for the default directory compression (to *.tar.g).
	(dired-compress-file): Update.

	See https://lists.gnu.org/archive/html/emacs-devel/2015-10/msg00949.html.

2015-10-20  Michael Sperber  <mike@xemacs.org>

	Unbreak `group' option for `mail-sources'

	* nnml.el (nnml-retrieve-groups, nnml-request-scan):
	* nnmail.el (nnmail-get-new-mail-per-group)
	(nnmail-get-new-mail-1): Unbreak `group' option for `mail-sources'.

2015-10-19  Nicolas Petton  <nicolas@petton.fr>

	New function seq-position

	* lisp/emacs-lisp/seq.el (seq-position): New function.
	* test/automated/seq-tests.el: New tests for seq-position.
	* doc/lispref/sequences.texi: Add documentation for `seq-position'.

2015-10-19  Ken Brown  <kbrown@cornell.edu>

	Enable --with-wide-int build on 32-bit Cygwin

	* src/sheap.c (STATIC_HEAP_SIZE): Remove distinction between x86
	and x86_64 to enable --with-wide-int build on 32-bit Cygwin.

2015-10-19  Glenn Morris  <rgm@gnu.org>

	* doc/emacs/ack.texi (Acknowledgments): Small, sad, update.

2015-10-19  Eli Zaretskii  <eliz@gnu.org>

	Resurrect image loading under auto-image-file-mode

	* src/image.c (x_find_image_fd): Handle the case of -2 returned by
	'openp' specially.  This special case was lost in the changes on
	2015-08-18.  (Bug#21685)

2015-10-19  Eli Zaretskii  <eliz@gnu.org>

	Fix return value of 'set-file-extended-attributes'

	* lisp/files.el (set-file-extended-attributes): Return non-nil
	when setting either ACLs or SELinux context succeeds.  Document
	the return value.  (Bug#21699)

	* doc/lispref/files.texi (Changing Files): Document the return
	value of set-file-extended-attributes.

2015-10-19  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of functions that change files

	* doc/lispref/files.texi (Changing Files): Document that these
	functions signal an error on failure.

2015-10-18  Eli Zaretskii  <eliz@gnu.org>

	Fix doc string of 'shell-quote-argument'

	* lisp/subr.el (shell-quote-argument): Doc fix.  (Bug#21702)

2015-10-18  Michael Albinus  <michael.albinus@gmx.de>

	Some minor Tramp changes

	* doc/misc/tramp.texi (Obtaining Tramp): Add http git cloning.

	* lisp/net/tramp.el (tramp-handle-make-auto-save-file-name):
	Expand `tramp-auto-save-directory'.

2015-10-18  Michael Albinus  <michael.albinus@gmx.de>

	Minor edits in Tramp

	* lisp/net/tramp-adb.el (directory-listing-before-filename-regexp):
	Declare it.

	* lisp/net/tramp-compat.el (directory-listing-before-filename-regexp):
	Remove declaration.

2015-10-17  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/emacs-lisp/eldoc.el: Add back-to-indentation to the command list.

2015-10-17  Eli Zaretskii  <eliz@gnu.org>

	Avoid crashes when redisplayng a window changes faces or fonts

	* src/xdisp.c (redisplay_internal): If redisplaying the selected
	window or one of the frames turns on the frame's 'redisplay' flag,
	redisplay again.  (Bug#21428)

	* src/frame.c (x_set_font): Set the frame's 'fonts_changed' flag.

2015-10-17  Michael Albinus  <michael.albinus@gmx.de>

	Solve timimg issues in file-notify-tests.el

	* test/automated/file-notify-tests.el (file-notify-test02-events):
	Rectify `attribute-change' tests.  There are timing issues with
	gfilenotify.  (Bug#21669)

2015-10-16  Paul Eggert  <eggert@cs.ucla.edu>

	Fix quoting of data within htmlfontify doc

	* doc/misc/htmlfontify.texi (Data Structures, Customization):
	Fix quoting of data structures.  A Lisp quote is needed only
	when data appears within Lisp code.

2015-10-16  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/emacs-lisp/package.el: Reload archive-contents if
	priorities change.
	(package--old-archive-priorities): New variable.
	(package-read-all-archive-contents, package-menu--refresh): Use it
	to decide when the `package-archive-contents' needs to be read
	again.

2015-10-16  Paul Eggert  <eggert@cs.ucla.edu>

	Make src headers idempotent and standalone

	Redo src/*.h so that each include file is idempotent (that is, can
	be included multiple times with the latter inclusions having no
	effect) and standalone (that is, can be included by itself,
	with no include file other than config.h needed as a prerequisite).
	This is standard practice in GNU programs nowadays.
	* lwlib/lwlib-widget.h, src/buffer.h, src/category.h, src/character.h:
	* src/charset.h, src/coding.h, src/commands.h, src/disptab.h:
	* src/fontset.h, src/gnutls.h, src/indent.h, src/keymap.h, src/macros.h:
	* src/regex.h [emacs]:
	* src/syntax.h, src/systty.h, src/termhooks.h:
	Include lisp.h, for Lisp_Object.
	* src/buffer.h, src/category.h, src/cm.h, src/commands.h, src/disptab.h:
	* src/indent.h, src/intervals.h, src/keyboard.h, src/macros.h:
	* src/process.h, src/puresize.h, src/region-cache.h, src/syntax.h:
	* src/syssignal.h, src/sysstdio.h, src/systty.h, src/termchar.h:
	* src/termopts.h, src/tparam.h, src/unexec.h:
	Protect against multiple inclusion.
	* src/buffer.h: Include character.h, for STRING_CHAR.
	* src/emacsgtkfixed.h (struct frame):
	* src/fontset.h (struct face):
	* src/region-cache.h (struct buffer):
	* src/termhooks.h (struct glyph):
	* src/xsettings.h (struct x_display_info):
	Add possibly-forward decl.
	* src/syntax.h: Include buffer.h, for BVAR.
	* src/sysselect.h: Include lisp.h, for eassume.
	* src/termchar.h: Include <stdio.h>, for FILE.
	* src/widget.h: Include <X11/IntrinsicP.h>, for Widget.
	* src/xsettings.h: Include <X11/Xlib.h>, for XEvent.

2015-10-16  Jürgen Hötzel  <juergen@archlinux.org>

	Handle symlink targets containing spaces in tramp-gvfs.el

	* lisp/net/tramp-gvfs.el (tramp-gvfs-handle-file-attributes):
	Handle symlink targets containing spaces.

2015-10-16  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/custom.el (custom-theme-load-path): Demote to defvar.

	`custom-theme-load-path' was a defcustom, but it shouldn't be for the
	same reason that `load-path' shouldn't.  Setting it via the customize
	interface is a trap for the user.

	Installed themes commonly add themselves to this variable, which means
	its value is not fit for being saved (it will permanently remember dirs
	that don't exist anymore).

	This is aggravated by the fact that Emacs always applies the `user'
	theme on top of any theme that's loaded, since this will apply the old
	variable value and remove any new directories that had been recently
	added by themes themselves.

	Not to mention, we already have `custom-theme-directory', which is safe
	to customize.

2015-10-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/mpc.el: Rename the new toggling commands.
	(mpc-toggle-consume, mpc-toggle-repeat, mpc-toggle-single)
	(mpc-toggle-shuffle): Add "-toggle" in the name.

2015-10-16  Eli Zaretskii  <eliz@gnu.org>

	Improve the doc string of 'completion-boundaries'

	* lisp/minibuffer.el (completion-boundaries): Rename the argument
	TABLE to COLLECTION, for consistency with other high-level
	completion functions.  Document how COLLECTION is called if it
	is a function.  (Bug#21644)

2015-10-16  Oleh Krehel  <ohwoeowho@gmail.com>

	* lisp/dired-aux.el (dired-shell-command): Fix compile warning.

2015-10-16  Oleh Krehel  <ohwoeowho@gmail.com>

	Make dired-do-compress work for *.zip files

	* lisp/dired-aux.el (dired-check-process): Transform the top-level
	  comment into a docstring.
	(dired-shell-command): New command.  This mirrors
	`dired-check-process', but is more user-friendly for passing
	arguments.
	(dired-compress-file-suffixes): Allow to specify the command switches
	along with input (%i) and output (%o) inside the PROGRAM part.
	Add an entry for *.zip files, and update the entry for *.tar.gz files
	to the new style.  Update the docstring.
	(dired-compress-file): When PROGRAM matches %i or %o, use the new
	logic.
	(dired-update-file-line): Avoid an error when at end of buffer.

	Fixes bug#21637.

2015-10-16  Eli Zaretskii  <eliz@gnu.org>

	Minor improvement in documentation of internals

	* doc/lispref/internals.texi (Writing Emacs Primitives): Document QUIT.

2015-10-16  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of COLLECTION in completion functions

	* doc/lispref/minibuf.texi (Minibuffer Completion): Add a
	cross-reference to "Programmed Completion".

	* src/minibuf.c (Fcompleting_read): Improve the doc string.
	(Bug#21644)

2015-10-16  Eli Zaretskii  <eliz@gnu.org>

	Add more release info to etc/HISTORY

	* etc/HISTORY: Add more release information about 19.x and 20.x
	versions.

2015-10-15  Paul Eggert  <eggert@cs.ucla.edu>

	New file etc/HISTORY

	* admin/FOR-RELEASE: Procedure for etc/HISTORY.
	* etc/HISTORY: New file.
	* etc/NEWS: Mention it.

2015-10-15  Dmitry Gutov  <dgutov@yandex.ru>

	js-mode: Don't misindent generator methods

	* lisp/progmodes/js.el (js--looking-at-operator-p): Distinguish
	generator methods from multiplication operator
	(https://github.com/mooz/js2-mode/issues/275).

2015-10-15  Paul Eggert  <eggert@cs.ucla.edu>

	Fix animation timeout delay calculation

	* lisp/image.el (image-animate-timeout):
	Don’t assume speed is floating-point.

2015-10-15  Mark Oteiza  <mvoteiza@udel.edu>

	Add commands for controlling MPD modes

	* lisp/mpc.el (mpc-cmd-consume, mpc-cmd-random, mpc-cmd-repeat)
	(mpc-cmd-single): New functions.
	(mpc-consume, mpc-repeat, mpc-single, mpc-shuffle): New commands.
	(mpc-mode-menu): Add new commands as menu items.

2015-10-15  Dmitry Gutov  <dgutov@yandex.ru>

	Refer to `(elisp)Basic Completion' in completing-read docstring

	* src/minibuf.c (Fcompleting_read): Refer to `(elisp)Basic
	Completion' in the docstring (bug#21644).

2015-10-14  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/mpc.el (mpc-format): Always push form to pred

2015-10-14  Paul Eggert  <eggert@cs.ucla.edu>

	Spelling fixes

	* configure.ac (bitmapdir): Fix misspelling of bmd_acc.
	* test/automated/coding-tests.el (ert-test-coding-bogus-coding-systems):
	Fix misspelling of nonexistent file name.

2015-10-14  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/mpc.el (mpc-mode-menu, mpc-toggle-play): Fix docstrings

2015-10-14  Michael Albinus  <michael.albinus@gmx.de>

	Some editing fixes in Tramp

	* lisp/net/tramp-gvfs.el:
	* doc/misc/tramp.texi: "customer option" -> "custom option".

	* lisp/net/tramp.el (tramp-completion-function-alist): Fix docstring.

2015-10-14  Jürgen Hötzel  <juergen@archlinux.org>

	Use proper localization in tramp-gvfs.el

	* lisp/net/tramp-gvfs.el (tramp-gvfs-handle-file-attributes):
	Suppress localized settings in order to proper parse gfvs output.

2015-10-14  Warren Lynn  <wrn.lynn@gmail.com>  (tiny change)

	* lisp/net/tramp-sh.el (tramp-do-copy-or-rename-file-out-of-band):
	Quote argument in proper order.  (Bug#21562)

2015-10-14  Nicolas Petton  <nicolas@petton.fr>

	Fix typos in docstrings

	* lisp/emacs-lisp/map.el:
	* lisp/emacs-lisp/seq.el: Fix typos in the docstrings of the pcase
	  macros.

2015-10-14  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/mpc.el (mpc-volume-refresh): Check if buffer is live.

2015-10-14  Oleh Krehel  <ohwoeowho@gmail.com>

	Make dired-jump work with tar-subfile-mode

	* lisp/dired-x.el (dired-jump): When in `tar-subfile-mode', instead of
	  emitting an error, switch to `tar-superior-buffer'.

2015-10-14  Juanma Barranquero  <lekktu@gmail.com>

	* .gitignore: Add build-aux/ar-lib.

2015-10-14  Nicolas Petton  <nicolas@petton.fr>

	Better docstrings in seq.el and map.el

	* lisp/emacs-lisp/map.el:
	* lisp/emacs-lisp/seq.el: Improve the docstring for the pcase patterns.

2015-10-14  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib

	This incorporates:
	2015-10-13 binary-io, u64, unistd: port to strict C
	2015-09-26 c-ctype: do not worry about EBCDIC + char signed
	2015-09-25 c-ctype: port better to z/OS EBCDIC
	2015-09-25 gnulib-common.m4: fix gl_PROG_AR_RANLIB/AM_PROG_AR clash
	* doc/misc/texinfo.tex, lib/binary-io.c, lib/c-ctype.h, lib/u64.c:
	* lib/unistd.c, m4/gnulib-common.m4, m4/gnulib-comp.m4:
	Copy from gnulib.

2015-10-14  Paul Eggert  <eggert@cs.ucla.edu>

	Take XPNTR private

	* src/alloc.c (PURE_POINTER_P): Remove.
	All uses replaced with PURE_P.
	(XPNTR_OR_SYMBOL_OFFSET): New function.
	(XPNTR): Move here from lisp.h.
	Reimplement in terms of XPNTR_OR_SYMBOL_OFFSET.
	(mark_maybe_object, valid_lisp_object_p, survives_gc_p):
	Remove unnecessary cast.
	(purecopy): Use XPNTR_OR_SYMBOL_OFFSET instead of XPNTR,
	to avoid an unnecessary runtime test for symbols.
	* src/lisp.h (lisp_h_XPNTR, XPNTR): Remove, moving XPNTR to alloc.c.
	Only alloc.c needs XPNTR now.

2015-10-13  Mark Oteiza  <mvoteiza@udel.edu>

	Add MPC play/pause command

	* lisp/mpc.el (mpc-toggle-play): New command.
	(mpc-mode-map): Bind it to "s".
	(mpc-mode-menu): Add corresponding menu item.

2015-10-13  Mark Oteiza  <mvoteiza@udel.edu>

	Add bindings and menu items for prev and next tracks

	* lisp/mpc.el (mpc-mode-map): Bind ">" to mpc-next,
	"<" to mpc-prev.
	(mpc-mode-menu): Add corresponding menu items

2015-10-13  Ken Raeburn  <raeburn@raeburn.org>

	Reduce face-related consing during frame creation.

	* faces.el (face--attributes-unspecified): Compute the "unspecified"
	attribute list once.
	(face-spec-reset-face): Use it instead of building the list.

2015-10-13  Ken Raeburn  <raeburn@permabit.com>

	Do process ConfigureNotify events indicating size changes.

	* src/xterm.c (handle_one_xevent): If consecutive ConfigureNotify
	events don't have the same size, process each one.

2015-10-13  Mark Oteiza  <mvoteiza@udel.edu>

	Derive mpc-mode from special-mode

	lisp/mpc.el (mpc-mode-map): Make from sparse keymap.  Unbind g.
	(mpc-mode): Derive from special mode.
	(mpc-songs-mode-map): Don't set parent keymap.

2015-10-13  Mark Oteiza  <mvoteiza@udel.edu>

	Fix error messages for when covers are not found.

	The last change to mpc-format let the binding to file call
	mpc-file-local-copy with nil argument.  Instead, employ if-let here
	so nil bindings don't result in needless computation and errors.
	* lisp/mpc.el: Require 'subr-x at compile time.
	* lisp/mpc.el (mpc-format): Use if-let.

2015-10-13  Oleh Krehel  <ohwoeowho@gmail.com>

	Make dired-do-compress work for *.tar.gz files

	* lisp/dired-aux.el (dired-compress-file-suffixes): Associate
	  "tar -zxvf" to *.tar.gz; update docstring.

	(dired-compress-file): Allow to specify switches after the command in
	`dired-compress-file-suffixes'.

2015-10-13  Oleh Krehel  <ohwoeowho@gmail.com>

	Make dired-do-compress work for directories

	* lisp/dired-aux.el (dired-compress-file): When FILE is a directory,
	  instead of emitting an error, call "tar -czf FILE.tar.gz FILE".
	Also convert the top comment into a docstring.

2015-10-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/mpc.el (mpc-songs-refresh): Don't side-effect `active'

	... since it might come straight from the memoizing table.

2015-10-13  Juanma Barranquero  <lekktu@gmail.com>

	* src/w32fns.c (x_change_tool_bar_height): Remove unused variable frame.

2015-10-13  Mark Oteiza  <mvoteiza@udel.edu>

	Use special-mode in eww list modes

	* lisp/net/eww.el (eww-bookmark-mode, eww-history-mode)
	(eww-buffers-mode): Derive from special-mode and remove redundant
	setting of buffer-read-only.
	(eww-mode-map): Remove redundant keymap parent setting.
	(eww-bookmark-mode-map, eww-history-mode-map, eww-buffers-mode-map):
	Remove redundant keymap suppressions and mappings.

2015-10-13  Martin Rudalics  <rudalics@gmx.at>

	Allow setting frame pixel sizes from frame parameters (Bug#21415)

	Also fix some misfeatures in frame (re-)sizing code, add more
	debugging information and remove some dead code.

	* lisp/frame.el (frame-notice-user-settings, make-frame): Change
	parameter names when setting `frame-size-history'.
	(frame--size-history): New function.

	* src/frame.c (frame_inhibit_resize): If frame has not been made
	yet, return t if inhibit_horizontal_resize or
	inhibit_vertical_resize bit have been set.
	(adjust_frame_size): Simplify.
	(make_frame): Initialize inhibit_horizontal_resize,
	inhibit_vertical_resize, tool_bar_redisplayed, tool_bar_resized.
	(Fframe_after_make_frame): Reset inhibit_horizontal_resize and
	inhibit_vertical_resize slots.
	(x_set_frame_parameters): Handle `text-pixels' specification for
	width and height parameters.  Don't consider new_height or
	new_width changes.  Call adjust_frame_size instead of
	Fset_frame_size.
	(x_figure_window_size): Two new arguments x_width and y_width
	returning frame's figures width and height.  Calculate tool bar
	height before frame sizes so SET_FRAME_HEIGHT can pick it up.
	Handle `text-pixels' specification for width and height
	parameters.
	(Qtext_pixels, Qx_set_frame_parameters, Qset_frame_size)
	(Qx_set_window_size_1, Qx_set_window_size_2)
	(Qx_set_window_size_3, Qx_set_menu_bar_lines)
	(Qupdate_frame_menubar, Qfree_frame_menubar_1)
	(Qfree_frame_menubar_2): New symbols.
	* src/frame.h (structure frame): New booleans
	tool_bar_redisplayed, tool_bar_resized,
	inhibit_horizontal_resize, inhibit_vertical_resize.
	(x_figure_window_size): Update external declaration.
	* src/gtkutil.c (xg_frame_set_char_size): Set size hints before
	calling gtk_window_resize.
	(update_frame_tool_bar): Make inhibiting of frame resizing more
	discriminative.  Set tool_bar_resized bit.
	* src/nsfns.m (x_set_tool_bar_lines): Make inhibiting of frame
	resizing more discriminative.  Call adjust_frame_size instead of
	x_set_window_size.
	(Fx_create_frame): Handle x_width and x_height if
	set by x_figure_window_size.
	* src/nsterm.m (x_set_window_size): For GNUSTEP build don't
	subtract 3 from tool bar height.
	(x_set_window_size): Add frame_size_history_add call.
	(x_new_font): Call adjust_frame_size instead of
	x_set_window_size.
	* src/w32fns.c (x_change_tool_bar_height): Reset
	tool_bar_redisplayed and tool_bar_resized bits when adding tool
	bar.  Make inhibiting of frame resizing more discriminative.
	(w32_wnd_proc): Remove dead code in WM_WINDOWPOSCHANGING case.
	(Fx_create_frame): Handle x_width and x_height if set by
	x_figure_window_size.  Set size hints before adjusting frame size.
	(x_create_tip_frame): Adjust x_figure_window_size call.
	* src/w32term.c (x_set_window_size): Add frame_size_history_add
	call.
	* src/widget.c (set_frame_size): Remove dead code.  Add
	frame_size_history_add call.  When frame_resize_pixelwise is t
	use FRAME_PIXEL_WIDTH and FRAME_PIXEL_HEIGHT instead of
	pixel_width and pixel_height.
	(update_various_frame_slots): Remove dead code.
	(EmacsFrameResize): Add more information in
	frame_size_history_add call.
	(EmacsFrameQueryGeometry): Round only when frame_resize_pixelwise
	is not set.
	* src/xdisp.c (redisplay_tool_bar): Set tool_bar_redisplayed bits.
	* src/xfns.c (x_set_menu_bar_lines): Change argument name.
	(x_change_tool_bar_height): Reset tool_bar_redisplayed and
	tool_bar_resized bits when adding tool bar.  Make inhibiting of
	frame resizing more discriminative.
	(Fx_create_frame): Handle x_width and x_height if set by
	x_figure_window_size.  Set size hints before adjusting frame size.
	(x_create_tip_frame): Adjust x_figure_window_size call.
	* src/xmenu.c (update_frame_menubar): Don't handle Lucid specially.
	(set_frame_menubar): On Lucid never add core-border-width to
	avoid that adding XtNinternalBorderWidth adds it again.
	(free_frame_menubar): Handle frame_inhibit_resize true for Motif.
	* src/xterm.c (x_new_font): In non-toolkit case handle size
	change of menu bar.
	(x_set_window_size_1): Fix calls to frame_size_history_add.
	(x_wm_set_size_hint): Remove dead code.  Set
	size_hints.min_width and size_hints.min_height to base_width and
	base_height.

2015-10-13  Michael Albinus  <michael.albinus@gmx.de>

	* test/automated/file-notify-tests.el (file-notify--test-timeout):
	Add docstring.  Increase to 10 seconds for remote
	directories.  (Bug#21669)

2015-10-12  Paul Eggert  <eggert@cs.ucla.edu>

	Unmacroize ebrowse.c and etags.c a bit

	* lib-src/ebrowse.c (READ_CHUNK_SIZE): Now an enum constant.
	(streq, filename_eq, set_flag, has_flag): Now inline functions.
	(set_flag): First arg is now an address, not an lvalue.
	All callers changed.
	(filename_eq, set_flag, has_flag):
	Rename from FILENAME_EQ, SET_FLAG, HAS_FLAG.
	All callers changed.
	* lib-src/etags.c (streq, strcaseeq, strneq, strncaseeq):
	Now inline functions.  Remove asserts that are unnecessary these
	days (and in some cases were too-generous anyway).

2015-10-12  Mark Oteiza  <mvoteiza@udel.edu>

	Use highlight for current items

	* lisp/mpc.el (mpc-select-make-overlay, mpc-tagbrowser-all-select):
	Apply highlight face instead of region face.

2015-10-12  Mark Oteiza  <mvoteiza@udel.edu>

	Search for more cover image names in MPC

	* lisp/mpc.el (mpc-format): Also look for .folder.jpg or folder.jpg
	case insensitively

2015-10-12  Juanma Barranquero  <lekktu@gmail.com>

	Remove or comment out unused variables

	* src/w32fns.c (x_set_mouse_color): Comment out variables cursor,
	nontext_cursor, mode_cursor, hand_cursor and count.
	(x_change_tool_bar_height): Remove variable old_text_height.
	(deliver_wm_chars): Remove variable strip_Alt.
	(Fw32_shell_execute): Remove variable document_a.
	(Fw32_frame_geometry): Remove variable fullboth.
	* src/w32term.c (w32_setup_relief_color): Comment out variable
	w32_display_info.
	(w32_horizontal_scroll_bar_handle_click): Remove variables start, end.
	(w32_read_socket): Comment out variables rows, columns.
	* src/w32uniscribe.c (uniscribe_check_otf_1): Remove variable rest.

2015-10-12  Juanma Barranquero  <lekktu@gmail.com>

	* src/w32proc.c (sys_select): Fix bitwise test.

2015-10-12  Eli Zaretskii  <eliz@gnu.org>

	Minor typo corrections in doc strings

	* lisp/menu-bar.el (popup-menu, popup-menu-normalize-position):
	Doc fixes.

2015-10-12  Eli Zaretskii  <eliz@gnu.org>

	* nt/INSTALL: Recommend MSYS Automake/Autoconf from ezwinports.

2015-10-12  Eli Zaretskii  <eliz@gnu.org>

	Attempt to avoid crashes in plist-member

	* src/fns.c (Fplist_member): Don't call QUIT between a CONSP test
	and a call to XCDR.  (Bug#21655)

2015-10-12  Mike FABIAN  <mfabian@redhat.com>

	* lisp/select.el (gui-get-primary-selection): In
	gui-get-primary-selection use gui--selection-value-internal (Bug#20906)

2015-10-12  Tassilo Horn  <tsdh@gnu.org>

	Support RTF in doc-view

	* lisp/doc-view.el (doc-view-set-doc-type): Add entry for RTF extension.

2015-10-12  Juanma Barranquero  <lekktu@gmail.com>

	* src/w32fns.c (get_wm_chars): Increment counter, not pointer.

2015-10-11  Nicolas Petton  <nicolas@petton.fr>

	Replace the usage of an obsolete function in auth-source.el

	* lisp/gnus/auth-source.el (auth-source-epa-make-gpg-token):
	Replace an usage of `epg-context-set-armor' with `setf'.

2015-10-11  Nicolas Petton  <nicolas@petton.fr>

	* lisp/gnus/auth-source.el: Use sharp-quoting with functions.

2015-10-11  Jay Belanger  <jay.p.belanger@gmail.com>

	Have calc-yank recognize numbers in different bases.

	* lisp/calc/calc-yank.el (math-number-regexp): New function.
	(calc-yank): Use `math-number-regexp' to recognize numbers.

2015-10-11  Ken Raeburn  <raeburn@raeburn.org>

	Handle an opaque-move X11 window manager operation more efficiently

	* src/xterm.c (handle_one_xevent): If a ConfigureNotify event is
	followed by more ConfigureNotify events for the same window, process
	only the last one.

2015-10-11  Ken Raeburn  <raeburn@raeburn.org>

	Fix cursor setting for tip frame; re-enable cursor generation

	* src/xfns.c (x_create_tip_frame): Include the cursor in the window
	attributes sent when creating the new X window.  Don't skip setting
	the pointerColor parameter.

2015-10-11  Ken Raeburn  <raeburn@raeburn.org>

	Rewrite x_set_mouse_color to sync less

	We can track serial numbers of X requests and correlate error events
	with the associated requests.  This way we can identify errors for
	specific calls without having to use XSync after every one.

	* src/xfns.c (enum mouse_cursor): New type.
	(struct mouse_cursor_types, struct mouse_cursor_data): New types.
	(mouse_cursor_types): New array listing the Lisp variables and default
	cursor appearances for each cursor type.
	(x_set_mouse_color_handler): New function; checks error event serial
	number against submitted requests.
	(x_set_mouse_color): Updated to use the new error handler callback,
	and to be more table-driven, to simplify repetitious code.

2015-10-11  Ken Raeburn  <raeburn@raeburn.org>

	Add x_catch_errors_with_handler

	* src/xterm.c (struct x_error_message_stack): Add new fields for a
	callback function and associated data pointer.
	(x_error_catcher): If the callback function is set, call it after
	saving the error message string.
	(x_catch_errors_with_handler): Renamed from x_catch_errors but now
	accepts a callback function and data pointer.
	(x_catch_errors): Now a wrapper function.
	* src/xterm.h (x_special_error_handler): New typedef.
	(x_catch_errors_with_handler): Declare.

2015-10-11  Ken Raeburn  <raeburn@raeburn.org>

	Introduce x_uncatch_errors_after_check to reduce XSync calls

	Both x_had_errors_p and x_check_errors call XSync, so if they're
	immediately followed by x_uncatch_errors, its XSync call will be
	redundant, resulting in a wasted round trip to the X server.

	* src/xterm.c (x_uncatch_errors_after_check): New routine; a copy of
	x_uncatch_errors without the XSync call.
	(XTmouse_position, x_wm_supports):
	* src/xfns.c (x_set_mouse_color):
	* src/xmenu.c (Fx_menu_bar_open_internal):
	* src/xselect.c (x_own_selection, x_get_foreign_selection):
	(Fx_get_atom_name): Call it instead of x_uncatch_errors.
	* src/xterm.h (x_uncatch_errors_after_check): Declare.

2015-10-10  Jay Belanger  <jay.p.belanger@gmail.com>

	Document the optional prefix to `calc-yank'

	* doc/misc/calc.texi (Yanking into the Stack): Document the optional
	prefix to `calc-yank'.
	* lisp/calc/calc-yank.el (calc-yank): Ensure that things killed from
	the Calc buffer are yanked back unchanged.

2015-10-10  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/calendar/calendar.el: Display buffer before executing body.

	In each use of this macro, the modeline is derived from a window width
	calculation, which will be wrong if (display-buffer) splits the window
	horizontally.

2015-10-10  Paul Eggert  <eggert@cs.ucla.edu>

	Use ‘echo’ safely with ‘\’ or leading ‘-’

	POSIX says that ‘echo FOO’ produces implementation-defined output
	if FOO contains leading ‘-’, or ‘\’ anywhere, so don’t assume GNU
	behavior in that case.
	* Makefile.in (removenullpaths): Remove.
	(epaths-force): Rewrite to avoid the need for ‘echo’.
	(install-etc): Be clearer about escaping the shell metacharacters
	‘\’ and ‘$’.
	* Makefile.in (install-arch-indep, install-etcdoc):
	* admin/charsets/mapconv, admin/merge-gnulib, admin/merge-pkg-config:
	* admin/quick-install-emacs, build-aux/gitlog-to-emacslog:
	* configure.ac, lib-src/rcs2log, make-dist:
	* src/Makefile.in (lisp.mk):
	Don’t assume ‘echo’ outputs ‘\’ and leading ‘-’ unscathed.
	For example, use ‘printf '%s\n' "$foo"’ rather than ‘echo "$foo"’
	if $foo can contain arbitrary characters.
	* lisp/Makefile.in (TAGS): Use ‘ls’, not ‘echo’, to avoid ‘\’ issues.
	* doc/lispref/two-volume.make (vol1.pdf):
	* test/etags/make-src/Makefile (web ftp publish):
	Use ‘printf’ rather than ‘echo -e’.

2015-10-10  Kaushal Modi  <kaushal.modi@gmail.com>

	Allow numbers with different radixes to be yanked.

	* lisp/calc/calc-yank.el (calc-yank): Allow radixes besides the
	default base 10.

2015-10-10  Paul Eggert  <eggert@cs.ucla.edu>

	Improve CHECK_IMPURE and PURE_P speedup

	* src/data.c (Faset): Use XVECTOR and XSTRING rather than XPNTR.

2015-10-10  Jay Belanger  <jay.p.belanger@gmail.com>

	Use events instead of chars to keep track of steps.

	* lisp/calc/calc-prog.el (calc-kbd-loop): Use events instead of chars
	to keep track of steps.

2015-10-10  Paul Eggert  <eggert@cs.ucla.edu>

	Fix --enable-gcc-warnings problem with older GCC

	* src/puresize.h: Add INLINE_HEADER_BEGIN, INLINE_HEADER_END.
	This is for building with --enable-gcc-warnings with
	GCC 4.6 through 5.0.

2015-10-10  Eli Zaretskii  <eliz@gnu.org>

	Fix vertical-motion in truncated lines that end in a stretch

	* src/indent.c (Fvertical_motion): Expect overshoot when point is
	beyond window margin and lines are truncated, even if we have a
	stretch at point.  (Bug#21468)

2015-10-10  Eli Zaretskii  <eliz@gnu.org>

	Avoid link-time errors due to inline functions

	* src/emacs.c: Include puresize.h, to avoid link-time errors in
	unoptimized builds due to PURE_P and CHECK_IMPURE, which are now
	inline functions.

2015-10-10  Andreas Schwab  <schwab@linux-m68k.org>

	* src/data.c (Faset): Fix last change.

2015-10-10  Paul Eggert  <eggert@cs.ucla.edu>

	CHECK_IMPURE and PURE_P speedup

	* src/intervals.c (create_root_interval):
	Do CHECK_IMPURE only for strings; not needed for buffers.
	Prefer ! STRINGP to BUFFERP, for a tad more speed.
	* src/puresize.h (CHECK_IMPURE, PURE_P):
	Now inline functions instead of macros.
	(PURE_P): Don’t use XPNTR; that is now the caller’s responsibility.
	All callers changed.
	(CHECK_IMPURE): New argument PTR, to save us the work of running XPNTR.
	All callers changed.

2015-10-09  Noah Friedman  <friedman@splode.com>

	(tramp-open-connection-setup-interactive-shell): Send -onlcr as well.

2015-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/cc-mode.el (c-after-font-lock-init): Only *move*

	our after-change-function, rather than re-adding it if it was removed.

2015-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/cedet/ede: Silence some compiler warnings

	* lisp/cedet/ede.el: Require cl-lib.  Silence some compiler warnings.
	(ede-menu-obj-of-class-p): Use cl-some rather than `eval'.
	(ede-apply-object-keymap, ede-reset-all-buffers)
	(ede-auto-add-to-target): Use dolist.
	(ede-new, ede-flush-deleted-projects, ede-global-list-sanity-check):
	Use field names rather than initarg names in `oref'.
	(ede-load-project-file): Remove unused var `file'.
	(ede-map-any-target-p): Use cl-some rather than ede-map-targets.
	(ede-set): Remove unused var `a'.

	* lisp/cedet/ede/emacs.el: Silence some compiler warnings.
	(ede-project-autoload): Avoid the old-style "name" argument.
	(ede-emacs-find-matching-target): Use field names rather than initarg
	names in `oref'.

	* lisp/cedet/ede/linux.el: Silence some compiler warnings.
	(ede-linux-load, ede-project-autoload): Avoid the old-style
	"name" argument.
	(ede-linux-find-matching-target): Use field names rather than initarg
	names in `oref'.

2015-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/textmodes/reftex.el: Silence byte-compiler warnings.

2015-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/prolog.el (prolog-smie-rules): Try and avoid
	indenting too far after ":-".

2015-10-09  Eli Zaretskii  <eliz@gnu.org>

	Update case-table and categories of recently added characters

	* lisp/international/characters.el: Update information about Latin
	Extended-C, Latin Extended-D, Latin Extended-E, Cyrillic Extended,
	Georgian, Glagolitic, Deseret, Old Hungarian, and Warang Citi
	blocks.  (Byug#21654)

2015-10-09  Martin Rudalics  <rudalics@gmx.at>

	* src/frame.c (adjust_frame_size): In minibuffer-only windows
	don't count minibuffer height twice.  (Bug#21643)

2015-10-09  Eli Zaretskii  <eliz@gnu.org>

	Avoid inflooping in font-lock

	* lisp/font-lock.el (font-lock-extend-region-wholelines): Bind
	inhibit-field-text-motion around the call to
	line-beginning-position, to avoid inflooping.  (Bug#21615)

2015-10-09  Tassilo Horn  <tsdh@gnu.org>

	Refactor duplicated code; ensure default is in completions

	* lisp/textmodes/reftex-cite.el (reftex--query-search-regexps):
	New function.
	(reftex-extract-bib-entries): Use it.
	(reftex-extract-bib-entries-from-thebibliography): Use it.

2015-10-09  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* doc/misc/autotype.texi (Skeletons as Abbrevs): "if" -> "ifst"
	in the example.

2015-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/calc/calc.el: Silence byte-compiler warnings.
	(calc-scan-for-dels): Use ignore-errors.
	(calc-dispatch, calc-do-dispatch): Make unused arg optional.
	(calc-read-key-sequence): Remove unused var `prompt2'.
	(calc-kill-stack-buffer): Remove unused var `buflist'.
	(calc): Remove unused var `oldbuf'.
	(calc-refresh): Use inhibit-read-only.
	(calc-can-abbrev-vectors): Declare.
	(calc-record): Remove unused var `mainbuf'.
	(math-sub-bignum): Remove unused var `sum'.
	(math-svo-c, math-svo-wid, math-svo-off): Declare.

2015-10-08  Daiki Ueno  <ueno@gnu.org>

	Use g_clear_error instead of g_error_free

	* src/image.c: Define g_clear_error instead of g_error_free.
	(init_svg_functions): Resolve symbol g_clear_error instead of
	g_error_free.
	(svg_load_image): Use g_clear_error instead of g_error_free, to
	suppress GLib warnings when ERR is not set.  See bug#21641.

2015-10-08  Paul Eggert  <eggert@cs.ucla.edu>

	* src/image.c (image_size_error): Simplify.

2015-10-08  Paul Eggert  <eggert@cs.ucla.edu>

	Fix problems caught with --enable-gcc-warnings

	* src/image.c (lookup_rgb_color):
	* src/xfns.c (x_defined_color):
	* src/xterm.c (x_parse_color):
	Remove unused locals.

2015-10-08  Jay Belanger  <jay.p.belanger@gmail.com>

	* lisp/calc/calc.el (calc-digit-start-entry): Fix typo.

2015-10-08  Jay Belanger  <jay.p.belanger@gmail.com>

	Format initial input uniformly

	* lisp/calc/calc.el (calc-digit-start-entry): New function.
	* lisp/calc/calc.el (calcDigit-start):
	* lisp/calc/calc-aent.el (calc-alg-digit-entry):
	Use `calc-digit-start-entry' to format input.

2015-10-08  Ken Raeburn  <raeburn@raeburn.org>

	Disable non-working pointerColor setting for X tooltip frame

	It generates a bunch of server traffic, but there's some bug wherein
	the new mouse cursor settings don't seem to get used.  In most
	situations the cursor isn't likely to be seen anyway, so it's not
	urgent to fix.

	* src/xfns.c (x_create_tip_frame): Don't set pointerColor.

2015-10-08  Ken Raeburn  <raeburn@raeburn.org>

	Reduce some unnecessary X calls

	* src/xfns.c (x_real_pos_and_offsets): Remove a redundant XGetGeometry
	call.  If border width is wanted, get it from the XGetGeometry call
	instead of calling XGetWindowAttributes on the same window.  Skip some
	X calls if we've already detected an error from the X server.
	* src/xterm.c (x_wm_supports): Delete x_sync before x_had_errors_p.
	(handle_one_xevent): Delete XSync call before x_uncatch_errors.

2015-10-08  Ken Raeburn  <raeburn@raeburn.org>

	Reduce color allocation/query traffic in the TrueColor case

	When working with an X visual with TrueColor class, pixel values can
	be generated from the RGB values according to mask value provided by
	the server on connection.  Some of the image-handling code was already
	doing this.

	* src/xterm.h (x_make_truecolor_pixel): New function; code taken from
	lookup_rgb_color.
	(x_mutable_colormap): New function.
	* src/image.c (lookup_rgb_color): Move pixel composition code to
	x_make_truecolor_pixel.
	(x_kill_gs_process): Call x_mutable_colormap.
	* src/xfaces.c (x_free_colors, x_free_dpy_colors): Call
	x_mutable_colormap.
	* src/xftfont.c (xftfont_get_colors): Call x_query_colors.
	* src/xterm.c (x_query_colors): For a TrueColor display, decompose the
	pixel value into RGB values directly, and don't send a request to the
	server.
	(x_alloc_nearest_color): For a TrueColor display, construct the pixel
	value with x_make_truecolor_pixel.
	(x_copy_color): For an immutable color map, just return the provided
	pixel value.

2015-10-08  Ken Raeburn  <raeburn@raeburn.org>

	Cache XParseColor results in the X display info structure

	With repeated lookups of foreground and background colors for multiple
	faces per frame, we issue a lot of redundant color name lookups to the
	X server, waiting every time for the response.  On a remote network
	with, say, 30ms round-trip time, this can add nearly a full second to
	creation of a new frame.

	* src/gtkutil.c (xg_check_special_colors): Call x_parse_color.
	* src/image.c (get_spec_bg_or_alpha_as_argb):
	(xpm_init_color_cache, xpm_lookup_color):
	* src/xfns.c (x_defined_color):
	* src/xterm.c (x_parse_color): New function; caches color names not
	starting with "#" in the display-info structure.
	(x_delete_display): Delete the cache content.
	* src/xterm.h (struct color_name_cache_entry): New type.
	(x_parse_color): Declare.
	(struct x_display_info): Add a new field for the cache.

2015-10-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* src/syntax.c (syms_of_syntax): Make syntax-propertize--done local.

2015-10-07  Eli Zaretskii  <eliz@gnu.org>

	Fix segfault in image_size_error

	* src/image.c (image_size_error): Pass a Lisp string to
	image_error, not a C string.  (Bug#21641)

2015-10-07  Simen Heggestøyl  <simenheg@gmail.com>

	Highlight CSS variable definitions

	* lisp/textmodes/css-mode.el (css-nmstart-re): Tweak regexp to accept
	CSS variables.  (Bug#21638)

2015-10-07  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/tabulated-list-test.el: New file.
	Test bug#21639 and some basic functionality.

2015-10-07  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/emacs-lisp/tabulated-list.el (tabulated-list-sort):
	Check if column can be sorted before trying.  (Bug#21639)

2015-10-07  Nicolas Richard  <youngfrog@members.fsf.org>

	Add test for `self-insert-command' (bug#21633)

	* test/automated/cmds-tests.el: New file.

2015-10-07  Martin Rudalics  <rudalics@gmx.at>

	* src/window.c (resize_frame_windows): Don't set root window's
	top position when resizing horizontally.

2015-10-07  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/progmodes/prog-mode.el (prettify-symbols-alist):
	Document more possible values.

2015-10-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/textmodes/tex-mode.el: Use lexical-binding.

2015-10-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/indent.el (indent--default-inside-comment): New function.
	(indent-for-tab-command): Use it for `noindent' indentation.

2015-10-06  Paul Eggert  <eggert@cs.ucla.edu>

	Fix bug in GC_CHECK_MARKED_OBJECTS check

	* src/alloc.c (mark_object): Fix bug in checking code.
	When GC_CHECK_MARKED_OBJECTS is defined, the bug caused
	CHECK_ALLOCATED_AND_LIVE_SYMBOL to repeatedly do the
	CHECK_ALLOCATED and CHECK_LIVE tests for the first symbol in each
	bucket.  The bug did not affect behavior either in the normal case
	where GC_CHECK_MARKED_OBJECTS is not defined, or where Emacs does
	not have an internal error that a properly-written
	CHECK_ALLOCATED_AND_LIVE_SYMBOL would detect.

2015-10-06  Tassilo Horn  <tsdh@gnu.org>

	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-alist):
	Add prettified version for \\Bbb{Q}.

2015-10-06  Artur Malabarba  <bruce.connor.am@gmail.com>

	* test/automated/package-test.el (package-test-install-single):
	Add a test for bug#21625.

2015-10-06  Aaron Ecay  <aaronecay@gmail.com>

	* lisp/emacs-lisp/package.el (package-install): Fix error when pkg is
	  not a package-desc object.  Also clarify documentation.  (Bug#21625)

2015-10-06  Eli Zaretskii  <eliz@gnu.org>

	Fix display of characters adjacent to ZWJ and ZWNJ

	* src/bidi.c (bidi_resolve_neutral): Treat all Bn (a.k.a. "control")
	characters the same as directional formatting controls.
	(bidi_level_of_next_char): Include all Bn characters in rule L1,
	as mandated by the UBA.

2015-10-06  Andreas Schwab  <schwab@suse.de>

	* src/cmds.c (Fself_insert_command): Don't use XFASTINT on a negative
	number.  (Bug#21633)

2015-10-05  Xue Fuqiao  <xfq.free@gmail.com>

	* doc/lispref/objects.texi (Window Type): Add a cross reference.

	* src/buffer.c (syms_of_buffer): Typo fix.  (Bug#21622)

2015-10-05  Eli Zaretskii  <eliz@gnu.org>

	* lisp/language/misc-lang.el (composition-function-table):
	Fix entries for Arabic and Syriac.

2015-10-05  Damien Cassou  <damien@cassou.me>

	Add first unit tests for auth-source.el

	* test/automated/auth-source-tests.el: New file.

2015-10-05  Eli Zaretskii  <eliz@gnu.org>

	Remove redundant redisplay code

	* src/xdisp.c (redisplay_internal, try_cursor_movement)
	(try_window_reusing_current_matrix, try_window_id): Remove
	redundant restrictions on redisplay optimizations based on the
	frame's 'redisplay' flag.  See
	http://osdir.com/ml/general/2015-10/msg02110.html for the relevant
	discussions.

2015-10-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* src/xdisp.c (windows_or_buffers_changed): Improve docstring.

2015-10-04  Xue Fuqiao  <xfq.free@gmail.com>

	Update tutorials/TUTORIAL.cn

	* etc/tutorials/TUTORIAL.cn: Improve translation.

2015-10-04  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* src/macfont.m (macfont_encode_char, syms_of_macfont):
	Remove unused vars.

2015-10-04  Stefan Merten  <stefan@merten-home.de>

	Pull in version numbers from rst.el upstream release.

	* lisp/textmodes/rst.el (rst-cvs-header, rst-svn-rev)
	(rst-svn-timestamp, rst-official-version)
	(rst-official-cvs-rev, rst-package-emacs-version-alist):
	Update version numbers.

2015-10-04  Eli Zaretskii  <eliz@gnu.org>

	* test/automated/coding-tests.el: New file.

2015-10-04  Michael Albinus  <michael.albinus@gmx.de>

	Improve XEmacs compatibility of Tramp

	* lisp/net/tramp-compat.el (directory-listing-before-filename-regexp):
	Declare if it doesn't exist.
	(file-remote-p): Remove defalias, which was necessary for GNU Emacs 21.
	(redisplay): Make it an alias if it doesn't exist.

	* lisp/net/tramp.el (tramp-get-remote-tmpdir): Don't use
	`file-remote-p' (due to XEmacs compatibility).

	* lisp/net/trampver.el (locate-dominating-file)
	(tramp-compat-replace-regexp-in-string): Autoload.
	(tramp-repository-get-version): Do not dupe byte-compiler.

2015-09-02  K. Handa  <handa@gnu.org>

	fix for the case that M17N_FLT_USE_NEW_FEATURE is not defined

	* src/ftfont.c (ftfont_drive_otf) [not M17N_FLT_USE_NEW_FEATURE]:
	Adjusted for the change of type of elements in the array
	MFLTGlyphString.glyphs.

2015-10-04  Eli Zaretskii  <eliz@gnu.org>
	    Michael Heerdegen  <michael_heerdegen@web.de>

	shr: fix too long lines in rendered buffers (Bug#21012)

	* lisp/net/shr.el (shr-insert-document, shr-fill-text):
	Correct calculation of available width.
	(shr-find-fill-point): Don't overflow window edge if shr-kinsoku-shorten
	is nil.

2015-10-04  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	Restore blank line before next section, erroneously erased
	in my previous commit

	* etc/compilation.txt (symbol ant): Add an additional trailing blank
	line to this section, so that there are two of them immediately before
	the next section.

2015-10-04  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	Support MSW filename style for ant compilation error regexp

	* etc/compilation.txt (symbol ant):
	* lisp/progmodes/compile.el (compilation-error-regexp-alist-alist):
	Support MSW filename style.

2015-10-03  Paul Eggert  <eggert@cs.ucla.edu>

	* nt/INSTALL: Minor spelling and quote fixes.

	* lisp/ibuffer.el: Fix docstring length (Bug#21541).

2015-10-03  Simen Heggestøyl  <simenheg@gmail.com>

	Maintain ordering of JSON object keys by default

	* lisp/json.el (json-object-type): Mention order handling in doc-string.
	(json--plist-reverse): New utility function.
	(json-read-object): Maintain ordering for alists and plists.
	(json-pretty-print): Ensure that ordering is maintained.

	* test/automated/json-tests.el (test-json-plist-reverse): New test for
	`json--plist-reverse'.
	(json-read-simple-alist): Update test to accommodate for changes in
	`json-read-object'.

	* etc/NEWS: Document the new behavior of the pretty printing functions.

2015-10-03  Andreas Schwab  <schwab@linux-m68k.org>

	* src/coding.c (complement_process_encoding_system): Revert last change.

2015-10-03  Ulf Jasper  <ulf.jasper@web.de>

	* admin/MAINTAINERS: Add entry for Ulf Jasper.

2015-10-03  Xue Fuqiao  <xfq.free@gmail.com>

	Doc fix for `defmacro'

	* doc/lispref/objects.texi (Macro Type): `defmacro' is a macro now.

2015-10-03  Andreas Schwab  <schwab@linux-m68k.org>

	More validatation of coding systems

	* src/fileio.c (Finsert_file_contents): Remove redundant
	coding-system check.
	(choose_write_coding_system): Likewise.
	* src/coding.c (complement_process_encoding_system): Check argument
	for valid coding system.

2015-10-03  Eli Zaretskii  <eliz@gnu.org>

	Avoid crashes in coding_inherit_eol_type

	* src/coding.c (coding_inherit_eol_type): Check the validity of
	the arguments.  Suggested by Andreas Schwab <schwab@linux-m68k.org>.
	(Bug#21602)

2015-10-03  Eli Zaretskii  <eliz@gnu.org>

	More validatation of coding system in 'write-region'

	* src/coding.c (choose_write_coding_system): More validation of
	coding-system from various sources.  Suggested by Andreas Schwab
	<schwab@linux-m68k.org>.  (Bug#21602)

2015-10-03  Eli Zaretskii  <eliz@gnu.org>

	Avoid crashes due to invalid coding-system

	* src/fileio.c (choose_write_coding_system)
	(Finsert_file_contents): Check validity of coding-system-for-write
	and coding-system-for-read bound by the caller.  (Bug#21602)

2015-10-03  Tassilo Horn  <tsdh@gnu.org>

	Adapt to new prettify-symbols-unprettify-at-point default

	* etc/NEWS: Mention that unprettication of symbol at point is off
	by default.

2015-10-03  Tassilo Horn  <tsdh@gnu.org>

	Revert my two recent process.c changes

	Revert "Improve last commit to process.c" and "Remove callback-handled
	channels from Available set" because they did not fix bug#21313.

	This reverts commits bfa1aa8e2bdaf14adbbf1e9e824051d3f740694c and
	27f871907cc24f33a7d12ac3a4ab71a88f0bc554.

2015-10-02  Markus Triska  <triska@metalevel.at>

	* lisp/progmodes/prolog.el: Update and extend operator table.
	(prolog-smie-grammar): Add multifile, public etc.

2015-10-02  Paul Eggert  <eggert@cs.ucla.edu>

	Allow autogen even when Git is not installed

	* autogen.sh: Test ‘git status’ before trying to use Git.

2015-10-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/vc/vc-git.el (vc-git-region-history): Handle local changes.
	Adjust lto/lfrom when we have uncommitted changes.

2015-10-02  Paul Eggert  <eggert@cs.ucla.edu>

	Fix problems found by clang 3.5.0

	* src/cmds.c (Fdelete_char): Don’t assume XINT returns int.
	* src/font.c (font_parse_family_registry):
	Use &"str"[X] instead of "str"+X, to pacify clang -Wstring-plus-int.

2015-10-02  Eli Zaretskii  <eliz@gnu.org>

	* nt/INSTALL: Update instructions for running autogen.sh.

	* nt/INSTALL: Point to ezwinports for libXpm binaries.

2015-10-02  Daniel Colascione  <dancol@dancol.org>

	Fix winner in cl-lib not loaded case

	* lisp/winner.el (winner-change-fun): Don't use cl-lib functions
	without requiring CL

2015-10-02  Paul Eggert  <eggert@cs.ucla.edu>

	Fix a few problems with directed quotes

	This is in response to a problem report by Kaushal Modi in:
	http://bugs.gnu.org/21588#25
	* lisp/cedet/mode-local.el (describe-mode-local-overload):
	* lisp/emacs-lisp/bytecomp.el (byte-compile-fix-header):
	* lisp/info-xref.el (info-xref-check-all-custom):
	* lisp/mail/emacsbug.el (report-emacs-bug-hook):
	Prefer directed to undirected single quotes in diagnostics.

2015-10-01  Eli Zaretskii  <eliz@gnu.org>

	Revert "Attempt to fix slow redisplay caused by last changes"

	* src/xdisp.c (try_window_id, try_window_reusing_current_matrix)
	(try_cursor_movement): Don't relax requirements for redisplay
	optimizations for the selected frame.  (Bug#21597)

	This reverts commit c4c1fb97727ff52bcfa83ad5ed94a64a93d12e59.

2015-10-01  Eli Zaretskii  <eliz@gnu.org>

	Fix slow redisplay when daemon frame exists

	* src/xdisp.c (redisplay_internal): Don't consider daemon frames
	when looking for frames that need to be redisplayed.  (Bug#21597)

2015-10-01  Eli Zaretskii  <eliz@gnu.org>

	Attempt to fix slow redisplay caused by last changes

	* src/xdisp.c (try_window_id, try_window_reusing_current_matrix)
	(try_cursor_movement): Relax requirements for redisplay
	optimizations for the selected frame.  (Bug#21597)

2015-10-01  Stephen Leake  <stephen_leake@stephe-leake.org>

	* src/dired.c (Ffile_name_completion, Ffile_name_all_completions):
	Improve doc string.

2015-10-01  Stephen Leake  <stephen_leake@stephe-leake.org>

	* lisp/minibuffer.el (minibuffer-completion-help):
	Set default base-size, in case completion table does not set it.

2015-10-01  Eli Zaretskii  <eliz@gnu.org>

	Fix GUD display of GDB output with non-ASCII text

	* lisp/progmodes/gdb-mi.el (gdb-mi-decode-strings): New defcustom.
	(gdb-mi-decode): New function.
	(gud-gdbmi-marker-filter): If gdb-mi-decode-strings is non-nil,
	decode octal escapes in GDB output.  (Bug#21572)

2015-10-01  Eli Zaretskii  <eliz@gnu.org>

	* nt/INSTALL: Document where to find XPM support files.

2015-10-01  Tassilo Horn  <tsdh@gnu.org>

	Un- and re-prettification are not exclusive

	* lisp/progmodes/prog-mode.el (prettify-symbols--post-command-hook):
	Re-apply prettification to previous symbol also when unprettifying
	next one.

2015-10-01  Tassilo Horn  <tsdh@gnu.org>

	Don't unprettify symbol at point by default

	* lisp/progmodes/prog-mode.el (prettify-symbols-unprettify-at-point):
	Default to disabled (nil).

2015-09-30  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/progmodes/prog-mode.el (prettify-symbols-unprettify-at-point):
	Support unprettifying when point is after a symbol.

	* etc/NEWS: Document `prettify-symbols-unprettify-at-point'.

2015-09-30  Eli Zaretskii  <eliz@gnu.org>

	Avoid assertion violations in push_prefix_prop

	* src/xdisp.c (push_prefix_prop): Avoid assertion violations when
	a line that has a line-prefix defined starts with an image.  (Bug#21428)

2015-09-30  Eli Zaretskii  <eliz@gnu.org>

	Disable some display optimizations when frames need redisplay

	These optimizations were previously disabled by the
	windows_or_buffers_changed flag, which now is not set
	when only some frames need to be redrawn.
	* src/xdisp.c (redisplay_internal): Redisplay any frame whose
	'redisplay' flag is set.
	(try_window_reusing_current_matrix, try_window_id)
	(try_cursor_movement): Disable these optimizations when the
	frame's 'redisplay' flag is set.

2015-09-30  Tassilo Horn  <tsdh@gnu.org>

	Don't modify buffer by unprettification

	* lisp/progmodes/prog-mode.el (prettify-symbols--compose-symbol):
	(prettify-symbols--post-command-hook, prettify-symbols-mode): Don't
	modify buffer when setting/removing custom prettify-symbols-start/end
	text properties.  Add them to font-lock-extra-managed-props, too.

2015-09-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	Try to avoid redisplaying all frames when creating a new one

	* src/xfns.c (x_set_menu_bar_lines, x_change_tool_bar_height):
	* src/xfaces.c (Finternal_make_lisp_face, Finternal_copy_lisp_face)
	(Finternal_set_lisp_face_attribute, update_face_from_frame_parameter):
	* src/frame.c (x_set_screen_gamma): Set the specific frame's
	`redisplay' bit rather than windows_or_buffers_changed.

	* src/window.c (apply_window_adjustment): Remove redundant setting of
	windows_or_buffers_changed.

	* src/xdisp.c (redisplay_internal): Set the specific frame's
	`redisplay' bit rather than update_mode_lines in response to
	cursor_type_changed.
	(syms_of_xdisp): Use hash-tables for redisplay_*_cause tables.
	(AINC): Adjust accordingly.

2015-09-30  Tassilo Horn  <tsdh@gnu.org>

	Implement unprettification of symbol at point

	* lisp/progmodes/prog-mode.el: Implement feature for unprettifying the
	symbol at point.
	(prettify-symbols--current-symbol-bounds): New variable.
	(prettify-symbols--post-command-hook): New function.
	(prettify-symbols-unprettify-at-point): New defcustom.
	(prettify-symbols-mode): Use it.
	(prettify-symbols--compose-symbol): Use them.

2015-09-30  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* src/macfont.m (mac_font_descriptor_supports_languages):
	Regard "zh" as synonym of "zh-Hans".

2015-09-30  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	Work around crash when displaying etc/HELLO on OS X 10.11

	* src/macfont.m (mac_font_get_weight)
	(mac_font_descriptor_get_adjusted_weight): New functions.
	(macfont_store_descriptor_attributes): Adjust weight.

2015-09-30  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* src/macfont.m: Fix compilation with USE_CT_GLYPH_INFO.

2015-09-30  Nicolas Petton  <nicolas@petton.fr>

	* lisp/arc-mode.el (archive-rar-summarize): Better alignment
	of the columns.

2015-09-30  Nicolas Petton  <nicolas@petton.fr>

	Use unar and lsar to handle RAR archives in arc-mode

	* lisp/arc-mode.el (archive-rar-extract, archive-extract-by-file): Rely
	on unar and lsar instead of unrar-free for RAR archives (bug#17663).

2015-09-30  Wieland Hoffmann  <themineo@gmail.com>  (tiny change)

	Clarify :create in auth-source's docs

	* lisp/gnus/auth-source.el (auth-source-search):
	Clarify :create's meaning.

2015-09-30  Phil Sainty  <psainty@orcon.net.nz>

	Avoid empty -path arguments in rgrep

	* lisp/progmodes/grep.el (rgrep-default-command): Remove nil from
	the list produced according to grep-find-ignored-directories,
	before passing it to Find/Grep invocation.  (Bug#21548)

2015-09-30  Eli Zaretskii  <eliz@gnu.org>

	Clarify documentation of pos-visible-in-window-p

	* src/window.c (Fpos_visible_in_window_p): Clarify the meaning of
	t for POS.  See
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg01040.html
	for the original report.

	* doc/lispref/windows.texi (Window Start and End): Clarify the
	meaning of t for the POSITION argument of pos-visible-in-window-p.

2015-09-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/prolog.el: Fix various indentation cases.
	(prolog-operator-chars): New const (add \\).
	(prolog-smie-forward-token, prolog-smie-backward-token): Use it.
	(prolog-smie-rules): Add rules according to bug#21526.

2015-09-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/sh-script.el: Old "dumb" continued line indent.
	(sh-indent-after-continuation): Add new value `always' (bug#17620)
	(sh-smie-sh-rules): Remove old handling of continued lines.
	(sh-smie--indent-continuation): New function.
	(sh-set-shell): Use it.

2015-09-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/octave.el: Use grammar more; Handle enumeration fun.
	Remove redundant :group keyword args.
	(octave-begin-keywords, octave-else-keywords, octave-end-keywords):
	Remove variables.
	(octave-operator-table, octave-smie-bnf-table): Use let-when-compile to
	turn them into compile-time variables.
	Auto-generate the "foo ... end" rules from the "foo ... endfoo" rules.
	Add rules for break, continue, return, global, and persistent.
	Refine the rule for "until".
	(octave-smie--funcall-p, octave-smie--end-index-p)
	(octave-smie--in-parens-p): New functions.
	(octave-smie-backward-token, octave-smie-forward-token): Use them to
	distinguish the "enumeration" function and the "end" index from
	their corresponding keywords.
	(octave--block-offset-keywords): New constant.
	(octave-smie-rules): Use it.  Adjust rules for new global/persistent
	parsing.
	(octave-reserved-words): Redefine using octave-smie-grammar.
	(octave-font-lock-keywords): Use octave-smie--funcall-p and
	octave-smie--end-index-p.

2015-09-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/lisp-mode.el (let-when-compile): Work like let*.

2015-09-29  Eli Zaretskii  <eliz@gnu.org>

	* nt/INSTALL: Remove references to GTK site.
	That site no longer offers Windows downloads.

2015-09-29  Eli Zaretskii  <eliz@gnu.org>

	* nt/INSTALL: Add instructions for installing Git.

2015-09-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/net/shr.el (shr-colorize-region): Allow 88-color tty to
	use colors.  Suggested by Eli Zaretskii.

2015-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/net/shr.el (shr-colorize-region): Don't do it on a system
	not supporting 256 above colors (bug#21557).

2015-09-28  Dmitry Gutov  <dgutov@yandex.ru>

	Revert "Don't rely on defaults in decoding UTF-8 encoded Lisp files"

	This reverts commit db828f62f6f17414fbbc3206dac123dc73dd6055.

2015-09-28  Nicolas Petton  <nicolas@petton.fr>

	Add documentation for seq.el

	* doc/lispref/sequences.texi: Add documentation regarding extending
	seq.el, as well as missing documentation for seq-elt, seq-length, seq-p,
	seq-do and seq-map.

2015-09-28  Nicolas Petton  <nicolas@petton.fr>

	Better documentation for seq-some

	* doc/lispref/sequences.texi:
	* lisp/emacs-lisp/seq.el: Update the documentation of seq-some to
	guarantee that the returned value is the first non-nil value that
	resulted from applying the predicate.

2015-09-28  Nicolas Petton  <nicolas@petton.fr>

	* lisp/arc-mode.el: Sharp-quote function arguments.

2015-09-28  Eli Zaretskii  <eliz@gnu.org>

	Avoid redisplay error in ediff-regions-wordwise

	* lisp/vc/ediff-util.el
	(ediff-clone-buffer-for-region-comparison): Make sure the mark is
	set before activating it.  (Bug#21567)

2015-09-28  Eli Zaretskii  <eliz@gnu.org>

	Another attempt to fix crashes due to prematurely freed faces

	* src/xdisp.c (redisplay_internal): Inhibit freeing of realized
	faces for as long as we might have desired matrices that reference
	those faces.  (Bug#21428)

2015-09-28  Tassilo Horn  <tsdh@gnu.org>

	Add auctex development list email address

2015-09-28  Tassilo Horn  <tsdh@gnu.org>

	* admin/MAINTAINERS: Add entries for AUCTeX team and myself.

2015-09-28  Arash Esbati  <esbati@gmx.de>  (tiny change)

	Improve wrapfig package support and caption parsing

	* lisp/textmodes/reftex-vars.el (reftex-label-alist-builtin):
	Correct description string and add wraptable environment.
	(reftex-default-context-regexps): Improve caption regexp.

2015-09-28  Anders Lindgren  <andlind@gmail.com>

	Respect value of frame_resize_pixelwise when handling fullscreen state

	* src/nsterm.m (handleFS): Respect frame_resize_pixelwise when
	setting size increments.

2015-09-27  Michael Albinus  <michael.albinus@gmx.de>

	* src/gfilenotify.c (Fgfile_add_watch): Cleanup temporary variable.

2015-09-27  Simen Heggestøyl  <simenheg@gmail.com>

	Add prettify-symbols-alist for js-mode

	* lisp/progmodes/js.el (js--prettify-symbols-alist): New defconst.
	(js-mode): Use it.

2015-09-27  Eli Zaretskii  <eliz@gnu.org>

	* nt/subdirs.el: File deleted (no longer used).

2015-09-26  Alan Mackenzie  <acm@muc.de>

	Fix follow-scroll-up/down, making them replacements for scroll-up/down

	1. Allow point to move between follow windows in scroll operations.
	2. Fix bug where `right-char' just before EOB caused spurious scrolling,
	when EOB was isolated in the last follow window.

	* lisp/follow.el (follow-fixed-window): New variable.
	(follow-get-scrolled-point): New function.
	(follow-scrol-up, follow-scroll-down): Add autoload cookies.
	Reformulate the code.  Put `scroll-command' properties on the functions.
	Correct minor errors in ...-down's doc string and code.
	(follow-calc-win-end): Amend incomplete doc string.  Use
	`pos-visible-in-window-p' to check whether EOB is in the window.
	(follow-estimate-first-window-start): Correct an off-by-1 error.
	(follow-adjust-window): Add handling for explicit scrolling operations.

2015-09-26  Paul Eggert  <eggert@cs.ucla.edu>

	* admin/MAINTAINERS: Add self, plus list some more files
	sans maintaners.

2015-09-26  Zachary Kanfer  <zkanfer@gmail.com>  (tiny change)

	New DWIM commands for changing letter-case

	* lisp/simple.el (upcase-dwim, downcase-dwim, capitalize-dwim):
	New functions.  (Bug#21501)

2015-09-26  Eli Zaretskii  <eliz@gnu.org>

	* etc/PROBLEMS: Document problems with pasting on MS-Windows.

2015-09-26  Eli Zaretskii  <eliz@gnu.org>

	Make face realization be more frame-specific

	* src/frame.h (struct f): New flag face_change.
	* src/xfaces.c (Finternal_make_lisp_face)
	(Finternal_copy_lisp_face, Finternal_set_lisp_face_attribute)
	(update_face_from_frame_parameter): Set the face_change flag only
	for the frame whose faces are affected.
	* src/xdisp.c (init_iterator): If a frame's face_change flag is
	set, free faces only on that frame.
	(redisplay_internal): Disable "display optimization 1" if the
	frame's face_change flag is set.
	(redisplay_window): Don't allow skipping a window's redisplay if
	its frame's face_change flag is set.
	* src/frame.c (x_set_screen_gamma): Instead of calling
	Fclear_face_cache, call clear_face_cache and set
	windows_or_buffers_changed to a non-zero value.  This avoids
	setting the global face_change flag that triggers face realization
	on all frames and thorough redisplay of all of them.

	* lisp/term/tty-colors.el (tty-register-default-colors): Don't
	clear face cache if the selected frame is a GUI frame.

2015-09-26  Tassilo Horn  <tsdh@gnu.org>

	Remove font-latex specific check

	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-compose-p):
	Use syntax-ppss data to identify verbatim contents.

2015-09-25  Tassilo Horn  <tsdh@gnu.org>

	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-compose-p):
	Fix some false negatives.

2015-09-25  Eli Zaretskii  <eliz@gnu.org>

	Reorder Windows version in Emacs manifests

	* nt/emacs-x64.manifest:
	* nt/emacs-x86.manifest: Reorder Windows version from lowest to
	highest.

2015-09-25  Eli Zaretskii  <eliz@gnu.org>

	Update Emacs manifest files for Windows 10

	* nt/emacs-x86.manifest:
	* nt/emacs-x64.manifest: Declare compatibility with Windows 10.

2015-09-25  Eli Zaretskii  <eliz@gnu.org>

	Avoid non-ASCII decoding errors in C src files

	* src/nsterm.m:
	* src/lisp.h:
	* src/editfns.c:
	* src/doprnt.c: Add 'coding' cookies -- these files include
	Unicode characters and should be decoded as UTF-8.

2015-09-25  Alan Mackenzie  <acm@muc.de>

	Resurrect edebug-set-initial-mode, repurposing it to set the global mode

	* lisp/emacs-lisp/edebug.el (edebug-initial-mode-alist): Uncomment, and
	amend to match current modes and functions.
	(edebug-set-initial-mode): Uncomment and change from setting a defun's
	`edebug-initial-mode''s property to setting the variable
	`edebug-initial-mode'.
	(top level): Create new binding C-x C-a C-m for
	`edebug-set-initial-mode'.

	* doc/lispref/edebug.texi (Edebug Execution Modes): Document
	`edebug-set-initial-mode' and its new key binding.
	(Edebug Options): Mention the new command in the pertinent place.

	* etc/NEWS: Write entry for this change.

2015-09-25  Eli Zaretskii  <eliz@gnu.org>

	Avoid non-ASCII decoding errors in Texinfo files

	* doc/misc/tramp.texi:
	* doc/lispref/strings.texi:
	* doc/lispref/positions.texi:
	* doc/lispref/help.texi:
	* doc/lispref/functions.texi:
	* doc/lispintro/emacs-lisp-intro.texi:
	* doc/emacs/text.texi:
	* doc/emacs/modes.texi:
	* doc/emacs/mini.texi:
	* doc/emacs/display.texi:
	* doc/emacs/custom.texi:
	* doc/emacs/basic.texi: Add 'coding' cookies -- these files use
	Unicode characters and should be decoded as UTF-8.
	* doc/lispref/frames.texi (Size Parameters): Don't use a non-ASCII
	apostrophe unnecessarily.

2015-09-25  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib

	This incorporates:
	2015-09-25 c-ctype: rewrite to use inline functions
	2015-09-24 maint: add coding cookies to non-ASCII sources
	2015-09-24 gitlog-to-changelog: trim only trailing whitespaces
	* build-aux/gitlog-to-changelog, doc/misc/texinfo.tex:
	* lib/acl-internal.c, lib/acl-internal.h, lib/c-ctype.c:
	* lib/c-ctype.h, lib/get-permissions.c, lib/qcopy-acl.c:
	* lib/set-permissions.c:
	Copy from gnulib.

2015-09-24  Paul Eggert  <eggert@cs.ucla.edu>

	Update publicsuffix.txt from upstream

	* etc/publicsuffix.txt: Update from
	https://publicsuffix.org/list/effective_tld_names.dat
	dated 2015-09-24 17:29:21 UTC.

2015-09-24  Eli Zaretskii  <eliz@gnu.org>

	Prevent timers from messing up TTY menus

	* src/term.c (tty_menu_activate): Inhibit redisplay for as long as
	the TTY menu is open.  (Bug#21530)

2015-09-24  Paul Eggert  <eggert@cs.ucla.edu>

	No need to mention K&R C in c-mode intro

2015-09-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix recent bootstrap problems

	* src/syntax.c (parse_sexp_propertize): Fix last fix.
	* lisp/nxml/nxml-mode.el (nxml-comment-quote-nested): Fix paren typo.
	* lisp/emacs-lisp/lisp-mode.el: Require cl-lib for cl-progv.

2015-09-24  Michael Albinus  <michael.albinus@gmx.de>

	* src/gfilenotify.c (Fgfile_add_watch): Decrease polling rate.

2015-09-23  Ivan Andrus  <darthandrus@gmail.com>

	Properly quote nested xml comments (Bug#6267) (Bug#20001)

	* lisp/nxml/nxml-mode.el (nxml-comment-quote-nested): New function.
	(nxml-mode): Set comment-quote-nested-function.

2015-09-23  Ivan Andrus  <darthandrus@gmail.com>

	Allow major-modes full control over quoting nested comments

	* lisp/newcomment.el (comment-quote-nested-function): New variable.
	(comment-quote-nested-default): New function.
	(comment-quote-nested): Use `comment-quote-nested-function'.

2015-09-23  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer CALLN in a few more places

	* src/macfont.m (macfont_set_family_cache):
	* src/nsterm.m (append2):
	* src/xterm.c (x_cr_export_frames):
	Prefer CALLN to allocating the arg arrays by hand.

2015-09-23  Michael Albinus  <michael.albinus@gmx.de>

	Adapt file-notify-test02-events test case

	* test/automated/file-notify-tests.el (file-notify-test02-events):
	Create a new watch for every test.

2015-09-23  Michael Albinus  <michael.albinus@gmx.de>

	Continue gfilenotify.c implementation of missing parts

	* lisp/filenotify.el (file-notify-add-watch): Append `flags' to
	`gfile-add-watch' call.
	(file-notify-rm-watch): Modify `file-notify-descriptors' only
	after calling the low level functions.

	* src/gfilenotify.c (dir_monitor_callback): Check, whether
	event_type is expected.
	(Fgfile_add_watch): Allow also `change'and `attribute-change' for FLAGS.
	(Fgfile_rm_watch): Fix typo.
	(syms_of_gfilenotify): Declare Qchange and Qattribute_change.

2015-09-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* src/syntax.c (parse_sexp_propertize): Handle spurious
	e_property_truncated flag.
	(update_syntax_table_forward): Remove invalid assertion.

2015-09-23  Eli Zaretskii  <eliz@gnu.org>

	* src/xdisp.c (produce_stretch_glyph): Support ':relative-width'
	space display spec on text-mode terminals, by calling
	PRODUCE_GLYPHS instead of x_produce_glyphs.  Remove the
	HAVE_WINDOW_SYSTEM guards from the supporting code, as well as the
	test for a GUI frame.

2015-09-23  Oleh Krehel  <ohwoeowho@gmail.com>

	Move let-when-compile to lisp-mode.el

	This fixes the bootstrapping problem of `let-when-compile' using
	`cl-progv' while being in subr.el (i.e. before cl stuff was loaded).

2015-09-23  Thomas Fitzsimmons  <fitzsim@fitzsim.org>

	* lisp/url/url-http.el (url-http-parse-headers): Do not
	automatically include Authorization header in redirect.
	(Bug#21350)

2015-09-22  Eli Zaretskii  <eliz@gnu.org>

	Clarify documentation of ':relative-width'

	* doc/lispref/display.texi (Specified Space): Document that
	':relative-width' is only supported on GUI frames.

2015-09-22  Eli Zaretskii  <eliz@gnu.org>

	Fix 'current-column' in presence of :relative-width

	* src/indent.c (check_display_width): Support ':relative-width'
	in a display spec that specifies a stretch glyph.  (Bug#21533)

2015-09-22  Ken Manheimer  <ken.manheimer@gmail.com>

	Reformat the pdbtrack remote-file fix ChangeLog.2 entry

	... to conform better to CONTRIBUTE guidelines.

2015-09-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/prolog.el: Fix indentation of empty line

	* lisp/emacs-lisp/smie.el (smie-rules-function): Document new
	`empty-line-token' element.
	(smie-indent-empty-line): New function.
	(smie-indent-functions): Add it.

	* lisp/progmodes/prolog.el (prolog-smie-rules): Fix :list-intro
	behavior and use the new `empty-line-token' element (bug#21526).
	(prolog-mode-variables): Fix comment-start-skip setting to match
	comment-start.

	* test/indent/prolog.prolog: Add nested indentation tests.

	* lisp/newcomment.el (comment-normalize-vars): Fix default value of
	comment-start-skip not to misuse submatch 1.

2015-09-22  Alan Mackenzie  <acm@muc.de>

	Make description of `edebug-initial-mode' user friendly

	Fixes bug#21365.

	* dec/lispref/edebug.texi (Edebug Execution Modes): Change the
	description of `edebug-initial-mode' from that of its implementation
	to that of its visual effect and use.  Move the paragraph higher up.

2015-09-22  Eli Zaretskii  <eliz@gnu.org>

	lisp/progmodes/gud.el (gud-format-command): Fix last commit

	* lisp/progmodes/gud.el (gud-format-command): Don't use Tramp internal
	functions 'tramp-file-name-localname' and 'tramp-dissect-file-name'.

2015-09-22  Tassilo Horn  <tsdh@gnu.org>

	Improve last commit to process.c

2015-09-22  Michael Albinus  <michael.albinus@gmx.de>

	Implement gfile-valid-p

	* lisp/filenotify.el (file-notify-callback): Fix typo.
	(gfile-valid-p): Remove defalias.

	* src/gfilenotify.c (dir_monitor_callback): Cancel the monitor if
	the file or directory to be watched is deleted.
	(Fgfile_add_watch): Make watch_object a triple.
	(Fgfile_rm_watch): Check, whether watch is cancelled already.
	(Fgfile_valid_p): New defun.
	(syms_of_gfilenotify): Declare Sgfile_valid_p.

2015-09-22  Tassilo Horn  <tsdh@gnu.org>

	Remove callback-handled channels from Available set

	* src/process.c (wait_reading_process_output): Remove channel from
	Available set if it is handled by a callback, e.g., dbus or
	inotify (bug#21313).

2015-09-21  Mark Oteiza  <mvoteiza@udel.edu>

	Use lunate epsilon for TeX \epsilon

	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-alist):
	Add \varepsilon using GREEK SMALL LETTER EPSILON, and change
	\epsilon to use GREEK LUNATE EPSILON SYMBOL

2015-09-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/prolog.el: Fix nested electric if-then-else

	* lisp/progmodes/prolog.el (prolog-find-unmatched-paren): Use innermost
	rather than outermost paren (bug#21526).

2015-09-21  Paul Eggert  <eggert@cs.ucla.edu>

	Improve git diff hunk headers for .el, .texi

	Problem reported by Alan Mackenzie in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00826.html
	* .gitattributes (*.el, *.texi): New patterns.
	* autogen.sh: Configure diff.elisp.xfuncname and
	diff.texinfo.xfuncname if using Git.

2015-09-21  Eli Zaretskii  <eliz@gnu.org>

	Don't rely on defaults in decoding UTF-8 encoded Lisp files

	* lisp/replace.el:
	* lisp/textmodes/rst.el:
	* lisp/whitespace.el: Add an explicit UTF-8 encoding tag.

2015-09-21  Paul Eggert  <eggert@cs.ucla.edu>

	Clarify or replace a few \u escapes

	* doc/lispref/nonascii.texi (Character Properties)
	More-detailed commentary for \u escapes.
	* lisp/progmodes/python.el (python--prettify-symbols-alist):
	* lisp/replace.el (query-replace-from-to-separator):
	* lisp/textmodes/rst.el (rst-bullets, rst-re-alist-def)
	(rst-mode-syntax-table):
	* lisp/whitespace.el (whitespace-display-mappings):
	Prefer actual character to \u escape when this makes the code
	easier to follow in the usual case where Unicode chars can be
	displayed.

2015-09-21  Paul Eggert  <eggert@cs.ucla.edu>

	Pacify GCC -Wmaybe-uninitialized in xdisp.c

	* src/xdisp.c (face_before_or_after_it_pos): Use do-while rather
	than while loop to avoid GCC -Wmaybe-uninitialized diagnostic with
	charpos.  The loop should always execute at least once anyway.

2015-09-21  Tassilo Horn  <tsdh@gnu.org>

	Signal error on invalid regexp

	* lisp/textmodes/reftex-cite.el (reftex-extract-bib-entries):
	Signal an error when the user tries searching with a regexp
	matching the empty string.

2015-09-21  Eli Zaretskii  <eliz@gnu.org>

	Another fix of file-notify-tests for w32notify

	* test/automated/file-notify-tests.el (file-notify-test02-events):
	Further adaptation for w32notify: reduce the number of expected
	'changed' events.  (Bug#21435)

2015-09-21  Michael Albinus  <michael.albinus@gmx.de>

	Adapt tests and manual for w32notify

	* doc/lispref/os.texi (File Notifications): w32notify does not
	send `attribute-changed' events.

	* test/automated/file-notify-tests.el (file-notify--test-with-events):
	Simplify parameters.  Adapt all callees.
	(file-notify-test02-events): w32notify does not send
	`attribute-changed' events.
	(file-notify-test04-file-validity, file-notify-test05-dir-validity):
	Do not skip in case of w32notify.  Simply ignore this part of the test.

2015-09-21  Dima Kogan  <dima@secretsauce.net>

	Fix setting breakpoints when remote-debugging

	* lisp/progmodes/gud.el (gud-format-command): Send localized file
	names to the debugger running on the remote.  (Bug#13304)

2015-09-21  Nicolas Petton  <nicolas@petton.fr>

	Better docstring and parameter name for seq-find

	* lisp/emacs-lisp/seq.el (seq-find): Improve the docstring and rename
	the parameter `sentinel' to `default'.

	* doc/lispref/sequences.texi (Sequence Functions): Update the
	  documentation for `seq-find' accordingly.

2015-09-21  Eli Zaretskii  <eliz@gnu.org>

	Avoid infinite recursion while displaying box face

	* src/xdisp.c (face_before_or_after_it_pos): Fix calculation of
	the previous string/buffer character position under bidi
	iteration.  (Bug#21428)

2015-09-21  Anders Lindgren  <andlind@gmail.com>

	Keep upper edge unchanged when changing size of NS frame

	* src/nsterm.m (x_set_window_size): Keep upper frame edge unchanged
	(Bug#21415).

2015-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/prolog.el: Improve handling of if/then/else.
	(prolog-smie-rules): Accommodate standard if/then/else special
	indentation.
	(prolog-mode): Add . to electric-indent-chars.
	(prolog-electric--if-then-else): Re-indent the line before adding space
	after the new char (bug#21526).

2015-09-20  Mark Oteiza  <mvoteiza@udel.edu>

	Add prettify symbols to python-mode

	* lisp/progmodes/python.el (python-prettify-symbols-alist):
	New variable.
	(python-mode): Use it

2015-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/syntax.el (syntax-begin-function): Make obsolete.

2015-09-20  Jostein Kjønigsen  <jostein@secure.kjonigsen.net>  (tiny change)

	(compilation-error-regexp-alist-alist): Tone down guile-file

	* lisp/progmodes/compile.el (compilation-error-regexp-alist-alist):
	Make guile-file a bit less enthusiastic (bug#21496).

2015-09-20  Drew Csillag  <drew@thecsillags.com>

	* lisp/progmodes/m4-mode.el (m4-font-lock-keywords):
	Fix m4_* highlighting.

	* lisp/progmodes/m4-mode.el (m4-font-lock-keywords): Fix recognition
	of commands when they have a "m4_" prefix.

2015-09-20  Paul Eggert  <eggert@cs.ucla.edu>

	'.' -> `.' in doc string

	* lisp/emacs-lisp/timer.el (run-at-time): In doc string, quote
	individual chars with grave quotes instead of straight quotes, as
	this works better when they are translated to curved quotes.

2015-09-20  Michael Albinus  <michael.albinus@gmx.de>

	Improve file notifications, especially for Tramp

	* doc/lispref/files.texi (Magic File Names):
	Mention `file-notify-valid-p'.

	* doc/lispref/os.texi (File Notifications):
	Describe `file-notify-valid-p'.

	* etc/NEWS: Add `file-notify-valid-p'.

	* lisp/net/tramp-gvfs.el (tramp-gvfs-handle-file-notify-add-watch):
	Improve implementation.
	(tramp-gvfs-monitor-file-process-filter): Rename from
	`tramp-gvfs-file-gvfs-monitor-file-process-filter'.  Delete
	process if appropriate.

	* lisp/net/tramp-sh.el (tramp-sh-handle-file-notify-add-watch):
	Improve implementation.
	(tramp-sh-gvfs-monitor-dir-process-filter): Rename from
	`tramp-sh-file-gvfs-monitor-dir-process-filter'.  Delete process
	if appropriate.
	(tramp-sh-inotifywait-process-filter): Rename from
	`tramp-sh-file-inotifywait-process-filter'.  Delete process if
	appropriate.

	* lisp/net/tramp.el (tramp-handle-file-notify-rm-watch):
	Use `delete-process'.
	(tramp-handle-file-notify-valid-p): Check also, that file or
	directory to be watched still exists.

	* test/automated/file-notify-tests.el (file-notify--test-timeout):
	New defun.  Use it at all places a timeout is needed.
	(file-notify--test-cleanup): Delete directories recursively.
	Cleanup also Tramp connections.
	(file-notify-test02-events): Add tests for `attribute-change'.
	(file-notify-test04-file-validity, file-notify-test05-dir-validity):
	Add tests for `file-notify-rm-watch'.

2015-09-20  Paul Eggert  <eggert@cs.ucla.edu>

	Use %s to format strings instead of splicing them

	If FOO might contain quotes that are part of a file or variable
	name, the quotes should not be translated when showing FOO’s name
	in a diagnostic.  So, for example, (message (concat (FOO ": bar")))
	is not quite right, as it would translate FOO’s quotes.
	Change it to (message "%s: bar" FOO) instead.
	* lisp/allout.el (allout-process-exposed):
	* lisp/calc/calc-ext.el (calc-do-prefix-help):
	* lisp/calc/calc-store.el (calc-store-into):
	* lisp/calendar/todo-mode.el (todo-category-completions):
	* lisp/cedet/semantic/complete.el (semantic-completion-message):
	* lisp/org/ob-latex.el (convert-pdf):
	* lisp/org/org-crypt.el (org-crypt-check-auto-save):
	* lisp/org/ox-latex.el (org-latex-compile):
	* lisp/org/ox-man.el (org-man-compile):
	* lisp/org/ox-odt.el (org-odt--export-wrap):
	* lisp/org/ox-texinfo.el (org-texinfo-compile):
	* lisp/progmodes/ruby-mode.el (ruby-in-ppss-context-p):
	* lisp/progmodes/verilog-mode.el (verilog-batch-execute-func)
	(verilog-signals-combine-bus, verilog-read-defines)
	(verilog-getopt-file, verilog-expand-dirnames)
	(verilog-modi-lookup, verilog-modi-modport-lookup-one):
	* lisp/term/ns-win.el (ns-spi-service-call):
	Use %s to avoid translating quotes of file names etc. in diagnostics.

2015-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/js.el (js--syntax-begin-function): Remove.
	(js-mode): Don't set syntax-begin-function.

2015-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/font-lock.el (font-lock-compile-keywords): Don't assume
	syntax-begin-function is a symbol.

2015-09-20  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of 'run-at-time'
	* lisp/emacs-lisp/timer.el (run-at-time): Improve the doc string.
	In particular, don't refer to 'diary-entry-time', because it is
	unavailable until diary-lib is loaded.  Also, refer to
	'timer-duration-words', not 'timer-duration', as the latter's doc
	string says nothing about the accepted strings.

2015-09-19  Jay Belanger  <jay.p.belanger@gmail.com>

	* lisp/calc/calc-ext.el (calc-do-prefix-help): Tidy up error message.

2015-09-19  Ken Manheimer  <ken.manheimer@gmail.com>

	Repair pdbtrack remote file tracking
	* lisp/progmodes/python.el (python-pdbtrack-set-tracked-buffer):
	Rectify pdbtrack so it follows transitions from one remote source
	file to the next.

2015-09-19  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/emacs-lisp/timer.el (run-at-time): Docstring formatting.

2015-09-19  Eli Zaretskii  <eliz@gnu.org>

	Adapt vc-src to the old-new vc-checkin API
	* lisp/vc/vc-src.el (vc-src-checkin): Accept and ignore an
	additional optional parameter.

2015-09-19  Simen Heggestøyl  <simenheg@gmail.com>

	Add overflow module to CSS property list
	* lisp/textmodes/css-mode.el (css-property-ids): Add properties
	from CSS Overflow Module Level 3.

2015-09-19  Eli Zaretskii  <eliz@gnu.org>

	Fix documentation of "C-u C-x v v"
	* doc/emacs/maintaining.texi (Advanced C-x v v): Make the
	documentation of "C-u C-x v v" match what the code does.

	Resurrect the ability to specify a revision in vc-next-action
	* lisp/vc/vc-bzr.el (vc-bzr-checkin):
	* lisp/vc/vc-dav.el (vc-dav-checkin):
	* lisp/vc/vc-git.el (vc-git-checkin):
	* lisp/vc/vc-hg.el (vc-hg-checkin):
	* lisp/vc/vc-mtn.el (vc-mtn-checkin): Accept and silently ignore
	an additional optional argument, the revision to checkin.
	* lisp/vc/vc-sccs.el (vc-sccs-checkin):
	* lisp/vc/vc-cvs.el (vc-cvs-checkin):
	* lisp/vc/vc-rcs.el (vc-rcs-checkin): Allow to optionally specify
	a revision to checkin.
	* lisp/vc/vc.el (vc-next-action): Allow to optionally specify the
	revision when checking in files.
	See http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00688.html
	for the details.

2015-09-18  Wilson Snyder  <wsnyder@wsnyder.org>

	* lisp/progmodes/verilog-mode.el (verilog-forward-sexp-function)
	(verilog-decls-princ, verilog-modport-princ)
	(verilog-modi-modport-lookup-one): Fix checkdoc warnings.

2015-09-17  Jay Belanger  <jay.p.belanger@gmail.com>

	Fix the routine for help on Calc's prefixes
	* lisp/calc/calc-ext.el (calc-prefix-help-retry): New variable.
	(calc-do-prefix-help): Use `read-char' to determine the next Calc
	command.

2015-09-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/font-lock.el (font-lock-beginning-of-syntax-function): Remove.
	(font-lock-fontify-block): Don't let-bind it.
	(font-lock-compile-keywords): Don't use it.
	(font-lock-set-defaults): Don't set it.  Allow the variable alist to
	start one slot earlier, instead.
	* lisp/emacs-lisp/syntax.el (font-lock-beginning-of-syntax-function):
	Don't declare.
	(syntax-ppss): Don't use it either.
	* lisp/font-core.el (font-lock-defaults): Remove SYNTAX-BEGIN
	from docstring.
	* doc/emacs/display.texi (Font Lock): Don't mention
	font-lock-beginning-of-syntax-function.
	* doc/lispref/modes.texi (Font Lock Basics): Update description of
	font-lock-defaults.
	(Syntactic Font Lock): Remove font-lock-beginning-of-syntax-function.
	* lisp/loadhist.el (unload-feature-special-hooks):
	Remove font-lock-beginning-of-syntax-function.
	* lisp/obsolete/lazy-lock.el (lazy-lock-fontify-region):
	* lisp/emacs-lisp/lisp.el (beginning-of-defun-raw): Don't let-bind
	font-lock-beginning-of-syntax-function.

2015-09-17  Paul Eggert  <eggert@cs.ucla.edu>

	Backslash cleanup in Elisp source files
	This patch should not change behavior.  It typically omits backslashes
	where they are redundant (e.g., in the string literal "^\$").
	In a few places, insert backslashes where they make regular
	expressions clearer: e.g., replace "^\*" (equivalent to "^*") with
	"^\\*", which has the same effect as a regular expression.
	Also, use ‘\ %’ instead of ‘\%’ when avoiding confusion with SCCS IDs,
	and similarly use ‘\ $’ instead of ‘\$’ when avoiding confusion with
	RCS IDs, as that makes it clearer that the backslash is intended.

	Some more minor backslash fixes
	* test/automated/compile-tests.el (compile-tests--test-regexps-data):
	* test/automated/info-xref.el (info-xref-test-write-file):
	Double backslashes in strings.

	Fix several backslash typos in Elisp strings
	* lisp/calendar/todo-mode.el (todo-files, todo-rename-file)
	(todo-find-filtered-items-file, todo-reset-nondiary-marker)
	(todo-reset-done-string, todo-reset-comment-string)
	(todo-reset-highlight-item):
	* lisp/erc/erc-networks.el (erc-networks-alist):
	* lisp/gnus/gnus-art.el (gnus-button-handle-library):
	* lisp/gnus/gnus-group.el (gnus-read-ephemeral-gmane-group-url):
	* lisp/gnus/nntp.el (nntp-via-shell-prompt)
	(nntp-telnet-shell-prompt):
	* lisp/gnus/spam-report.el (spam-report-gmane-regex):
	* lisp/image-dired.el (image-dired-rotate-original):
	(image-dired-get-exif-file-name):
	* lisp/international/latin1-disp.el (latin1-display-ucs-per-lynx):
	* lisp/mail/undigest.el (rmail-digest-parse-rfc1153strict):
	* lisp/mh-e/mh-letter.el (mh-file-is-vcard-p):
	* lisp/mh-e/mh-mime.el (mh-file-mime-type-substitutions):
	* lisp/net/shr-color.el (shr-color->hexadecimal):
	* lisp/org/org-bibtex.el (org-bibtex-fields):
	* lisp/org/org-docview.el (org-docview-export):
	* lisp/org/org-entities.el (org-entities):
	* lisp/org/ox-icalendar.el (org-icalendar-cleanup-string):
	* lisp/progmodes/cperl-mode.el (cperl-indent-exp):
	* lisp/progmodes/ebnf2ps.el (ebnf-file-suffix-regexp)
	(ebnf-style-database):
	* lisp/progmodes/idlw-help.el (idlwave-do-context-help1):
	* lisp/progmodes/ruby-mode.el (ruby-imenu-create-index-in-block):
	* lisp/progmodes/sql.el (sql-product-alist):
	* lisp/progmodes/verilog-mode.el (verilog-error-regexp-emacs-alist)
	(verilog-error-font-lock-keywords)
	(verilog-assignment-operator-re):
	* lisp/progmodes/vhdl-mode.el (vhdl-compiler-alist):
	* lisp/textmodes/reftex-parse.el (reftex-parse-from-file):
	* lisp/vc/add-log.el (change-log-version-number-regexp-list):
	Fix typo by replacing ‘\’ with ‘\\’ in a string literal.
	For example, to get the regular expression ‘\.’ use the string
	literal "\\.", not "\." (which is equivalent to ".").
	* lisp/emulation/viper-util.el (viper-glob-unix-files):
	Remove stray ‘\j’ from string.
	* lisp/gnus/nntp.el (nntp-via-shell-prompt)
	(nntp-telnet-shell-prompt):
	Treat > like $ when matching a shell prompt.
	* lisp/progmodes/make-mode.el (makefile-browse):
	Properly quote a diagnostic.

	Fix minor quoting problems in diagnostics
	* lisp/tutorial.el (tutorial--describe-nonstandard-key):
	* lisp/vc/ediff-ptch.el (ediff-fixup-patch-map):
	Follow text-quoting-style in diagnostic, and quote a file name.

2015-09-17  Eli Zaretskii  <eliz@gnu.org>

	* doc/lispref/frames.texi (Cursor Parameters):
	Document 'x-stretch-cursor'.

2015-09-16  Paul Eggert  <eggert@cs.ucla.edu>

	Omit unnecessary \ before paren in C docstrings
	Although \( is needed in docstrings in Elisp code, it is not needed in
	docstrings in C code, since C function definitiions do not start with
	a parenthesis.  The backslashes made the docstrings a bit harder to
	read and to format in columns.  Also, some C docstrings had ( in
	column 1 and this did not appear to be causing any problems.  So,
	simplify C docstrings by replacing \( with ( and \) with ).

	A few more minor quoting fixes in a script and a text file

	Minor quoting fixes in scripts and doc
	Prefer straight quotes in random script files, as they are not
	converted.  Prefer grave quotes in a couple of places in the manual
	that were missed earlier, as these quotes are converted.

	Minor backslash fixes in manuals and scripts
	* Makefile.in (install-arch-indep):
	* admin/charsets/compact.awk:
	* admin/charsets/gb180302.awk (gb_to_index):
	* admin/charsets/gb180304.awk (gb_to_index):
	Avoid undefined behavior in Awk regular expression backslashes.
	* doc/misc/efaq.texi (Matching parentheses):
	Omit unnecessary backslashes.
	* doc/misc/gnus-faq.texi (FAQ 5-8):
	Avoid undefined behavior in suggested sed backslash usage.

	Add -Wswitch to --enable-gcc-warnings
	Make --enable-gcc-warnings a bit pickier, by also using -Wswitch.
	* configure.ac (WERROR_CFLAGS): Don’t add -Wno-switch.
	* lib-src/etags.c (main, consider_token, C_entries):
	* src/coding.c (encode_invocation_designation):
	* src/data.c (Ftype_of):
	* src/eval.c (Fdefvaralias, default_toplevel_binding)
	(Fbacktrace__locals, mark_specpdl):
	* src/lisp.h (record_xmalloc):
	* src/syntax.c (scan_lists, scan_sexps_forward):
	* src/window.c (window_relative_x_coord):
	* src/xdisp.c (push_it, pop_it):
	* src/xterm.c (xg_scroll_callback, x_check_fullscreen):
	Error out or do nothing (as appropriate) if a switch statement
	with an enum value does not cover all of the enum.
	* src/dispextern.h (struct iterator_stack_entry.u.comp):
	Remove unused member discovered by using -Wswitch.
	* src/lisp.h (record_xmalloc): Add a ‘+ 0’ to pacify -Wswitch.
	* src/vm-limit.c (check_memory_limits):
	Simplify warning-diagnostic computation by using a table.

	etags ‘fatal’ function is now printf-like
	* lib-src/etags.c (fatal): Now printf-like.  All callers changed.
	Also, now static; not clear why it needed to be extern.
	(verror): New function, with most of the old contents of ‘error’.
	(fatal, error): Use it.

2015-09-16  Eli Zaretskii  <eliz@gnu.org>

	More adaptations in file-notify-tests.el
	* test/automated/file-notify-tests.el
	(file-notify-test05-dir-validity): Skip for w32notify in
	batch-mode.  (Bug#21432)

2015-09-16  Michael Albinus  <michael.albinus@gmx.de>

	Adapt test in file-notify-tests.el
	* test/automated/file-notify-tests.el
	(file-notify-test04-file-validity): Skip for w32notify in
	batch-mode.  Add test lost last commit.

2015-09-16  Dima Kogan  <dima@secretsauce.net>

	winner no longer holds on to dead frames
	* lisp/winner.el (winner-change-fun): Cull dead frames.
	This prevents a potentially massive memory leak.  See:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00619.html

2015-09-16  Michael Albinus  <michael.albinus@gmx.de>

	Use common report_file_notify_error function
	* src/fileio.c (report_file_notify_error): New function.
	* src/inotify.c (report_inotify_error): Remove function.
	(inotify_callback, symbol_to_inotifymask, Finotify_add_watch)
	(Finotify_rm_watch): Use report_file_notify_error.
	* src/lisp.h (report_file_notify_error): Declare external function.
	* src/w32notify.c (report_w32notify_error): Remove function.
	(Fw32notify_add_watch, Fw32notify_rm_watch):
	Use report_file_notify_error.

2015-09-16  Jay Belanger  <jay.p.belanger@gmail.com>

	Fix documentation.
	* doc/misc/calc.texi (Single-Variable Statistics): Fix the wording of
	the documentation of the root mean square.

2015-09-16  Martin Rudalics  <rudalics@gmx.at>

	Remove tool_bar_redisplayed_once and associated code.
	* src/frame.h (tool_bar_redisplayed_once): Remove slot.
	* src/frame.c (make_frame, x_set_font): Remove initialization of
	f->tool_bar_redisplayed_once.
	* src/w32fns.c (x_change_tool_bar_height):
	* src/xfns.c (x_change_tool_bar_height): Don't check for
	f->tool_bar_redisplayed_once.
	* src/xdisp.c (redisplay_internal): Remove handling of
	f->tool_bar_redisplayed_once.

2015-09-16  Eli Zaretskii  <eliz@gnu.org>

	Restore some of the quoting in the manuals
	* doc/lispref/windows.texi (Coordinates and Windows)
	(Coordinates and Windows):
	* doc/lispref/variables.texi (Lexical Binding)
	(File Local Variables):
	* doc/lispref/text.texi (Format Properties):
	* doc/lispref/symbols.texi (Symbol Components):
	* doc/lispref/strings.texi (Creating Strings):
	* doc/lispref/sequences.texi (Sequence Functions):
	* doc/lispref/searching.texi (Regexp Special, Regexp Search)
	(Search and Replace):
	* doc/lispref/processes.texi (Bindat Spec):
	* doc/lispref/os.texi (Idle Timers):
	* doc/lispref/objects.texi (Basic Char Syntax):
	* doc/lispref/numbers.texi (Float Basics, Random Numbers):
	* doc/lispref/nonascii.texi (Character Properties):
	* doc/lispref/modes.texi (Major Mode Conventions, Mode Hooks)
	(Mode Line Variables):
	* doc/lispref/minibuf.texi (Text from Minibuffer):
	* doc/lispref/loading.texi (Autoload):
	* doc/lispref/keymaps.texi (Controlling Active Maps):
	* doc/lispref/frames.texi (Frame Layout, Size and Position)
	(Size Parameters, Implied Frame Resizing):
	* doc/lispref/files.texi (Changing Files, Magic File Names):
	* doc/lispref/eval.texi (Self-Evaluating Forms):
	* doc/lispref/display.texi (Progress, Abstract Display)
	(Abstract Display Example, Bidirectional Display):
	* doc/lispref/commands.texi (Event Mod):
	* doc/emacs/windows.texi (Displaying Buffers):
	* doc/emacs/trouble.texi (Bug Criteria, Checklist):
	* doc/emacs/text.texi (Enriched Text):
	* doc/emacs/programs.texi (MixedCase Words):
	* doc/emacs/picture-xtra.texi (Insert in Picture)
	(Tabs in Picture):
	* doc/emacs/misc.texi (Emacs Server, Printing):
	* doc/emacs/mini.texi (Minibuffer History):
	* doc/emacs/maintaining.texi (Old Revisions, VC Change Log)
	(Pulling / Pushing):
	* doc/emacs/killing.texi (Yanking, Cut and Paste, Clipboard):
	* doc/emacs/help.texi (Help, Help Echo):
	* doc/emacs/glossary.texi (Glossary):
	* doc/emacs/frames.texi (Mouse Commands, Creating Frames)
	(Frame Commands):
	* doc/emacs/files.texi (Reverting, Saving, Directories):
	* doc/emacs/entering.texi (Exiting):
	* doc/emacs/emacs.texi (Top):
	* doc/emacs/cmdargs.texi (Window Size X, Icons X):
	* doc/emacs/anti.texi (Antinews): Restore quoting of text where
	appropriate or replace quoting with @dfn.
	* doc/misc/ediff.texi (Window and Frame Configuration):
	* doc/lispref/processes.texi (Network Feature Testing):
	* doc/lispref/display.texi (Display Margins): Quote the phrase
	after "a.k.a." where appropriate.

2015-09-16  Tassilo Horn  <tsdh@gnu.org>

	Clarify reftex-extra-bindings docs
	* lisp/textmodes/reftex-vars.el (reftex-extra-bindings):
	* doc/misc/reftex.texi (Key Bindings): Document that the variable
	only has an effect at load-time.

2015-09-16  Daniel McClanahan  <danieldmcclanahan@gmail.com>  (tiny change)

	* lisp/emacs-lisp/lisp-mode.el (lisp--el-match-keyword): Fix
	search argument.  (Bug#21492) (Bug#21493)

2015-09-16  Tassilo Horn  <tsdh@gnu.org>

	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-alist):
	Add pretty symbols for \qquad and \varrho.

2015-09-15  Jay Belanger  <jay.p.belanger@gmail.com>

	Add new functions for the root mean square of a (Calc) vector
	* lisp/calc/calc-stats.el (calcFunc-rms, calc-vector-rms):
	New functions.
	* lisp/calc/calc-ext.el (calc-init-extensions): Add keybinding for
	`calc-vector-rms', add autoloads for `calc-vector-rms' and
	`calcFunc-rms'.
	* lisp/calc/calc-map.el (calc-u-oper-keys): Add entry for
	`calcFunc-rms'.
	* lisp/calc/calc-menu.el (calc-vectors-menu): Add entry for
	`calc-vector-rms'.
	* doc/misc/calc.texi (Single-Variable Statistics): Document the rms
	command.

2015-09-15  Stephen Leake  <stephen_leake@stephe-leake.org>

	Add monotone EDE generic project
	* lisp/cedet/ede/generic.el (ede-enable-generic-projects):
	Add monotone generic project.

	Revert premature commit
	* doc/lispref/files.texi: Revert premature commit of change to
	file-name-all-completions.

	Fix a bug in elisp--xref-find-definitions related to cl-generic defaults
	* lisp/progmodes/elisp-mode.el (elisp--xref-find-definitions): Fix bug
	with cl-generic defaults.
	(elisp--xref-find-references): Add doc string.
	* test/automated/elisp-mode-tests.el (xref-elisp-generic-*): Improve
	tests to find bug.

	Fix bugs in eieio-oref-default related to class symbols
	* lisp/emacs-lisp/eieio-core.el (class-p): Handle symbol properly.
	(eieio-oref-default): Handle class properly.

2015-09-15  Paul Eggert  <eggert@cs.ucla.edu>

	Quote “fullboth” when defining it
	* doc/lispref/frames.texi (Size Parameters): Use @dfn for “fullboth”
	and rewrite the containing paragraph, which was awkward.  (Bug#21472).

2015-09-15  Eli Zaretskii  <eliz@gnu.org>

	Minor doc fix in emacs/ack.texi
	* doc/emacs/ack.texi (Acknowledgments): Fix an xref missing the
	first argument.

2015-09-15  Michael Albinus  <michael.albinus@gmx.de>

	Adapt tests in auto-revert-tests.el
	* test/automated/auto-revert-tests.el (auto-revert--timeout):
	Make it a defconst.
	(auto-revert--wait-for-revert): New defun.
	(auto-revert-test00-auto-revert-mode)
	(auto-revert-test01-auto-revert-tail-mode)
	(auto-revert-test02-auto-revert-mode-dired): Use it.

2015-09-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/lisp-mode.el (lisp-mode-symbol-regexp): New const.
	Use it everywhere "\\(\\sw\\|\\s_\\|\\\\.\\)+" was used.
	(cl-lib-fdefs): Add defgeneric.
	(cl-kw): Add all elements of eieio-kw and cl-lib-kw.
	(eieio-kw, cl-lib-kw, el-kw): Remove.

2015-09-15  Paul Eggert  <eggert@cs.ucla.edu>

	Quote less in manuals
	The manuals often used quotes ``...'' when it is better to use @dfn or
	@code or capitalized words or no quoting at all.  For example, there is
	no need for the `` and '' in “if a variable has one effect for
	@code{nil} values and another effect for ``non-@code{nil}'' values”.
	Reword the Emacs, Lisp intro, and Lisp reference manuals to eliminate
	unnecessary quoting like this, and to use @dfn etc. instead when called
	for (Bug#21472).

2015-09-15  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/custom.el (load-theme): Only compute hash when needed.

2015-09-15  Paul Eggert  <eggert@cs.ucla.edu>

	Pacify --enable-gcc-warnings
	* src/inotify.c (report_inotify_error): Declare it _Noreturn.

2015-09-15  Michael Albinus  <michael.albinus@gmx.de>

	Improve error reports in inotify.c
	* src/inotify.c (report_inotify_error): New function.  Clone of
	report_w32notify_error.
	(inotify_callback, symbol_to_inotifymask, Finotify_add_watch)
	(Finotify_rm_watch): Use it.

2015-09-15  Eli Zaretskii  <eliz@gnu.org>

	Fix the file-notify tests for watch validation on w32
	* test/automated/file-notify-tests.el
	(file-notify-test04-file-validity): Move the directory deletion
	out of the file-notify--test-with-events macro.
	(file-notify-test04-file-validity)
	(file-notify-test05-dir-validity): Enlarge the timeout of
	read-event to 0.5, as 0.1 is borderline on w32.  (Bug#21432)

2015-09-15  Tassilo Horn  <tsdh@gnu.org>

	Use OPEN BOX instead of space for \quad.
	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-alist): Use OPEN BOX
	character for \quad instead of a space.

2015-09-15  Eli Zaretskii  <eliz@gnu.org>

	Add missing *.pbm images
	* etc/images/connect.pbm: New file.
	* etc/images/custom/down-pushed.pbm: New file.
	* etc/images/custom/down.pbm: New file.
	* etc/images/custom/right-pushed.pbm: New file.
	* etc/images/custom/right.pbm: New file.
	* etc/images/describe.pbm: New file.
	* etc/images/disconnect.pbm: New file.
	* etc/images/ezimage/bits.pbm: New file.
	* etc/images/ezimage/bitsbang.pbm: New file.
	* etc/images/ezimage/box-minus.pbm: New file.
	* etc/images/ezimage/box-plus.pbm: New file.
	* etc/images/ezimage/box.pbm: New file.
	* etc/images/ezimage/checkmark.pbm: New file.
	* etc/images/ezimage/dir-minus.pbm: New file.
	* etc/images/ezimage/dir-plus.pbm: New file.
	* etc/images/ezimage/dir.pbm: New file.
	* etc/images/ezimage/doc-minus.pbm: New file.
	* etc/images/ezimage/doc-plus.pbm: New file.
	* etc/images/ezimage/doc.pbm: New file.
	* etc/images/ezimage/info.pbm: New file.
	* etc/images/ezimage/key.pbm: New file.
	* etc/images/ezimage/label.pbm: New file.
	* etc/images/ezimage/lock.pbm: New file.
	* etc/images/ezimage/mail.pbm: New file.
	* etc/images/ezimage/page-minus.pbm: New file.
	* etc/images/ezimage/page-plus.pbm: New file.
	* etc/images/ezimage/page.pbm: New file.
	* etc/images/ezimage/tag-gt.pbm: New file.
	* etc/images/ezimage/tag-minus.pbm: New file.
	* etc/images/ezimage/tag-plus.pbm: New file.
	* etc/images/ezimage/tag-type.pbm: New file.
	* etc/images/ezimage/tag-v.pbm: New file.
	* etc/images/ezimage/tag.pbm: New file.
	* etc/images/ezimage/unlock.pbm: New file.
	* etc/images/gnus/important.pbm: New file.
	* etc/images/gnus/mail-send.pbm: New file.
	* etc/images/gnus/receipt.pbm: New file.
	* etc/images/gnus/toggle-subscription.pbm: New file.
	* etc/images/gnus/unimportant.pbm: New file.
	* etc/images/gud/all.pbm: New file.
	* etc/images/gud/rcont.pbm: New file.
	* etc/images/gud/recstart.pbm: New file.
	* etc/images/gud/recstop.pbm: New file.
	* etc/images/gud/rfinish.pbm: New file.
	* etc/images/gud/rnext.pbm: New file.
	* etc/images/gud/rnexti.pbm: New file.
	* etc/images/gud/rstep.pbm: New file.
	* etc/images/gud/rstepi.pbm: New file.
	* etc/images/gud/thread.pbm: New file.
	* etc/images/lock-broken.pbm: New file.
	* etc/images/lock-ok.pbm: New file.
	* etc/images/lock.pbm: New file.
	* etc/images/mail/copy.pbm: New file.
	* etc/images/mail/forward.pbm: New file.
	* etc/images/mail/not-spam.pbm: New file.
	* etc/images/mail/outbox.pbm: New file.
	* etc/images/mail/preview.pbm: New file.
	* etc/images/mail/save-draft.pbm: New file.
	* etc/images/mh-logo.pbm: New file.
	* etc/images/mpc/add.pbm: New file.
	* etc/images/mpc/ffwd.pbm: New file.
	* etc/images/mpc/next.pbm: New file.
	* etc/images/mpc/pause.pbm: New file.
	* etc/images/mpc/play.pbm: New file.
	* etc/images/mpc/prev.pbm: New file.
	* etc/images/mpc/rewind.pbm: New file.
	* etc/images/mpc/stop.pbm: New file.
	* etc/images/redo.pbm: New file.
	* etc/images/smilies/braindamaged.pbm: New file.
	* etc/images/smilies/cry.pbm: New file.
	* etc/images/smilies/dead.pbm: New file.
	* etc/images/smilies/evil.pbm: New file.
	* etc/images/smilies/forced.pbm: New file.
	* etc/images/smilies/grin.pbm: New file.
	* etc/images/smilies/indifferent.pbm: New file.
	* etc/images/sort-ascending.pbm: New file.
	* etc/images/sort-column-ascending.pbm: New file.
	* etc/images/sort-criteria.pbm: New file.
	* etc/images/sort-descending.pbm: New file.
	* etc/images/sort-row-ascending.pbm: New file.
	* etc/images/unchecked.pbm: New file.
	* etc/images/zoom-in.pbm: New file.
	* etc/images/README: Update instructions for PBM files.

	Add separator.pbm tool-bar image
	* etc/images/separator.pbm: New file.  Having it avoids the side
	effect of changing the tool-bar height when the default font's size
	changes and XPM image support is not available, due to the SPC
	characters that are left in the Lisp string used to display the tool
	bar, because there are no images to display instead of those SPC
	characters.

	Make show-paren-match face visible on mono-color displays
	* lisp/faces.el (show-paren-match): Use the underline face for
	mono-color displays.  (Bug#21481)

2015-09-14  Paul Eggert  <eggert@cs.ucla.edu>

	Don’t double-encode non-ASCII mail clipboard
	* lisp/mail/mailclient.el (mailclient-send-it):
	Also fix the case when mailclient-place-body-on-clipboard-flag
	is non-nil.  Problem reported by Eli Zaretskii (Bug#21471#37).

2015-09-14  Michael Albinus  <michael.albinus@gmx.de>

	Adapt file-notify-tests.el test cases
	* lisp/filenotify.el (file-notify-rm-watch): Ignore `file-notify-error'.
	* src/inotify.c (Finotify_valid_p): Adapt docstring.
	* test/automated/file-notify-tests.el
	(file-notify-test03-autorevert)
	(file-notify-test04-file-validity)
	(file-notify-test04-file-validity-remote)
	(file-notify-test05-dir-validity)
	(file-notify-test05-dir-validity-remote): Adapt docstring.
	(file-notify-test04-file-validity): Let events arrive before
	calling final `file-notify-valid-p'.  Do not ignore errors.
	(file-notify-test05-dir-validity): Do not manipulate
	`temporary-file-directory', it isn't necessary.  Let events arrive
	before calling final `file-notify-valid-p'.  Do not ignore errors.

2015-09-14  Paul Eggert  <eggert@cs.ucla.edu>

	Don’t double-encode non-ASCII for mail client
	* lisp/mail/mailclient.el (mailclient-encode-string-as-url):
	Use RFC 6068’s list of unreserved characters.
	(mailclient-send-it): When encoding the body as a URL,
	first decode it as per Content-Type: and Content-Transfer-Encoding:,
	as URLs must use percent-encoded UTF-8 (Bug#21471).
	* doc/misc/url.texi (mailto): Update RFC number.

2015-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/cc-langs.el (c-make-init-lang-vars-fun): Use dolist.

2015-09-14  Alan Mackenzie  <acm@muc.de>

	Replace `cadar' with `cadr/car', since `cadar' is problematic on Emacs
	(c-make-init-lang-vars-fun): Replace two occurrences of `cadar' with
	`cadr/car'.

2015-09-14  Eli Zaretskii  <eliz@gnu.org>

	Clarify documentation of char-table extra slots
	* doc/lispref/sequences.texi (Char-Tables): Clarify that extra
	slot numbers are zero-based.  (Bug#21467)

2015-09-14  Alan Mackenzie  <acm@muc.de>

	Elisp mode: Make font-lock and imenu handle escaped characters in symbols
	Fixes bug#21449.
	* lisp/emacs-lisp/lisp-mode.el (lisp-imenu-generic-expression)
	(lisp--el-match-keyword, lisp-el-font-lock-keywords-1)
	(lisp-cl-font-lock-keywords-1, lisp-el-font-lock-keywords-2)
	(lisp-cl-font-lock-keywords-2, lisp-string-in-doc-position-p):
	Insert "\\|\\\\." into regexps which match symbols.

2015-09-14  Eli Zaretskii  <eliz@gnu.org>

	Improve the doc string of w32notify-valid-p
	* src/w32notify.c (Fw32notify_valid_p): Mention in the doc string
	that removing a watch makes its object invalid.

2015-09-14  Tassilo Horn  <tsdh@gnu.org>

	Fix tests for file-notify-valid-p
	* test/automated/file-notify-tests.el (file-notify--test-cleanup):
	Use delete-directory to delete file-notify--test-tmpfile if it is
	a directory.  Likewise for file-notify--test-tmpfile1.
	(file-notify-test04-file-validity)
	(file-notify-test05-dir-validity): Delete the parent directory of
	the test.  Ignore errors when cleaning up after the test.

2015-09-14  Eli Zaretskii  <eliz@gnu.org>

	Report file-notify-error in w32notify.c
	* src/w32notify.c (report_w32notify_error): New function.
	(Fw32notify_add_watch, Fw32notify_rm_watch): Use it to report
	errors, instead of calling report_file_error.  (Bug#21432)

	Implement w32notify-valid-p
	* src/w32notify.c (Fw32notify_valid_p): New function.  (Bug#21432)
	* lisp/filenotify.el (w32notify-valid-p): No longer an alias for
	'identity'.

2015-09-14  Tassilo Horn  <tsdh@gnu.org>

	Test file-notify-valid-p
	* test/automated/file-notify-tests.el
	(file-notify-test04-file-validity, file-notify-test05-dir-validity):
	New tests.

2015-09-13  Eli Zaretskii  <eliz@gnu.org>

	Fix markup in ELisp manual
	* doc/lispref/frames.texi (Font and Color Parameters): Fix markup
	of the 'alpha' parameter value.  (Bug#21470)

2015-09-13  Michael Albinus  <michael.albinus@gmx.de>

	Introduce `file-notify-valid-p'
	* lisp/filenotify.el (file-notify-valid-p): New defun.
	(gfile-valid-p, w32notify-valid-p): Make them an alias to `identity'.
	* lisp/net/tramp-adb.el (tramp-adb-file-name-handler-alist)
	* lisp/net/tramp-gvfs.el (tramp-gvfs-file-name-handler-alist)
	* lisp/net/tramp-sh.el (tramp-sh-file-name-handler-alist)
	* lisp/net/tramp-smb.el (tramp-smb-file-name-handler-alist)
	<file-notify-valid-p>: Add handler.
	* lisp/net/tramp.el (tramp-file-name-for-operation):
	Add `file-notify-valid-p'.
	(tramp-handle-file-notify-valid-p): New defun.
	* src/inotify.c (Finotify_valid_p): New defun.
	(syms_of_inotify): Declare Sinotify_valid_p.

2015-09-13  Paul Eggert  <eggert@cs.ucla.edu>

	Port Unicode char detection to FreeBSD+svgalib
	Problem reported by Ashish SHUKLA in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00531.html
	* configure.ac: Check for struct unipair.unicode instead of for
	<linux/kd.h>, since that’s more specific to what the code
	actually needs.
	* src/terminal.c: Use HAVE_STRUCT_UNIPAIR_UNICODE, not HAVE_LINUX_KD_H.

	* src/indent.c (Fvertical_motion): Simplify bugfix (Bug#21468).

2015-09-13  Eli Zaretskii  <eliz@gnu.org>

	Fix vertical cursor motion across overlay strings with newlines
	* src/indent.c (Fvertical_motion): Don't leave point in the middle
	of an overlay string with newlines, as that will position the
	cursor after the string at whatever column is there.  (Bug#21468)

2015-09-12  Michael Albinus  <michael.albinus@gmx.de>

	Fix tests in file-notify-tests.el
	* test/automated/file-notify-tests.el: Remove Tramp declarations.
	(file-notify-test00-availability): Print remote command w/o Tramp
	internal functions.
	(file-notify-test02-events, file-notify-test02-events-remote):
	Adapt docstring.
	(file-notify-test03-autorevert): Use `format-message' when
	inspecting *Messages* buffer.

2015-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	Bind inhibit-modification-hooks rather than a/b-c-f
	* lisp/wid-edit.el (widget-editable-list-insert-before)
	(widget-editable-list-delete-at):
	* lisp/progmodes/cperl-mode.el (cperl-find-pods-heres)
	(cperl-font-lock-unfontify-region-function):
	* lisp/progmodes/antlr-mode.el (save-buffer-state-x):
	* lisp/obsolete/longlines.el (longlines-mode):
	* lisp/obsolete/fast-lock.el (save-buffer-state):
	* lisp/mouse.el (mouse-save-then-kill-delete-region):
	* lisp/gnus/message.el (message-hide-headers):
	* lisp/eshell/esh-mode.el (eshell-send-input, eshell-output-filter):
	* lisp/ibuffer.el (ibuffer-update-title-and-summary)
	(ibuffer-redisplay-engine): Bind inhibit-modification-hooks to t rather
	than after/before-change-functions to nil.

2015-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	(jit-lock-deferred-fontify): Pay attention to skipped redisplays
	* lisp/jit-lock.el (jit-lock-deferred-fontify): Make sure we refresh
	the buffers, even if the forced redisplay is interrupted.

	* lisp/emacs-lisp/eieio-core.el (class-p): Accept class objects

	Merge syntax-propertize--done and parse-sexp-propertize-done
	* lisp/emacs-lisp/syntax.el (syntax-propertize--done): Remove.
	(syntax-propertize): Set syntax-propertize--done even if
	syntax-propertize-function is nil.  Avoid recursive invocations.
	(syntax-propertize-chunks): New var.
	(internal--syntax-propertize): Use it.  Rename from syntax--jit-propertize.
	Simplify.
	(parse-sexp-propertize-function): Don't set any more.
	* src/syntax.c (SETUP_SYNTAX_TABLE): Call parse_sexp_propertize as needed.
	(parse_sexp_propertize): Don't assume charpos is not yet propertized.
	Call Qinternal__syntax_propertize instead of
	Vparse_sexp_propertize_function.  Truncate e_property if needed.
	(update_syntax_table_forward): Streamline.
	(syms_of_syntax): Define Qinternal__syntax_propertize.
	(syntax_propertize__done): Rename from parse_sexp_propertize_done.

2015-09-11  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer straight quoting in some text files
	Mostly this just changes ` to ' in static text.  Some exceptions:
	* INSTALL.REPO: Use curved quotes, as the diagnostic in question
	typically does that now.
	* admin/quick-install-emacs (TRY, top level):
	Use straight quoting in diagnostics.
	* src/README: Fix working-directory confusion.

	* CONTRIBUTE: Move send-email here from git-workflow.

2015-09-11  Michael Albinus  <michael.albinus@gmx.de>

	Improve file notifications in Tramp
	* lisp/net/tramp-sh.el (tramp-sh-handle-file-notify-add-watch):
	Set proper events to watch for.
	(tramp-sh-file-gvfs-monitor-dir-process-filter): Report only
	watched events.

2015-09-11  Eli Zaretskii  <eliz@gnu.org>

	Fix NS build with --enable-checking='glyphs'
	* src/nsfns.m (unwind_create_frame): Make the preprocessor
	conditionals for referencing 'dpyinfo' consistent throughout the
	function.  (Bug#21426)

2015-09-10  Nicolas Petton  <nicolas@petton.fr>

	Add seq-find
	This function is similar to `seq-some' but returns the found element.
	In the cases where nil can be the found element, a sentinel optional
	argument can be provided to avoid ambiguities.
	* lisp/emacs-lisp/seq.el (seq-find): New function.
	* test/automated/seq-tests.el (test-seq-find): Add tests for `seq-find'.
	* doc/lispref/sequences.texi (Sequence Functions): Add documentation for
	seq-find.

2015-09-10  Tassilo Horn  <tsdh@gnu.org>

	Document file-notify--test-with-events.
	* test/automated/file-notify-tests.el (file-notify--test-with-events):
	Add docstring.

2015-09-10  Michael Albinus  <michael.albinus@gmx.de>

	Report used native library in file-notify-tests.el
	* test/automated/file-notify-tests.el
	(tramp-get-remote-gvfs-monitor-dir)
	(tramp-get-remote-inotifywait): Declare them.
	(file-notify-test00-availability): Print used native library.

2015-09-10  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/mpc.el (mpc--proc-connect): Use file-name-absolute-p.
	(mpc-file-local-copy): Check for absolute path.  Check more config
	locations.

2015-09-10  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of categories
	* doc/lispref/syntax.texi (Categories): Clarify the example of
	using define-category and modify-category-entry.  (Bug#21448)

2015-09-10  Paul Eggert  <eggert@cs.ucla.edu>

	Revert some stray curved quotes I missed earlier
	Problem reported by David Kastrup in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00440.html
	* lisp/international/mule-cmds.el (leim-list-header):
	Use format-message with an ASCII-only format.

	Prefer NUMBERP to spelling it out
	* src/editfns.c (styled_format):
	* src/frame.h (NUMVAL):
	* src/image.c (parse_image_spec):
	* src/lisp.h (CHECK_NUMBER_OR_FLOAT)
	(CHECK_NUMBER_OR_FLOAT_COERCE_MARKER):
	* src/process.c (Fsignal_process):
	* src/xdisp.c (calc_pixel_width_or_height, on_hot_spot_p):
	* src/xfaces.c (check_lface_attrs):
	* src/xselect.c (x_fill_property_data, x_send_client_event):
	Use NUMBERP rather than INTEGERP || FLOATP.

2015-09-10  Tassilo Horn  <tsdh@gnu.org>

	Improve file-notify-tests
	* test/automated/file-notify-tests.el: Use lexical-binding.
	(file-notify--test-cleanup): New function.
	(file-notify-test00-availability, file-notify-test01-add-watch)
	(file-notify-test02-events, file-notify-test03-autorevert): Use it.
	(file-notify--test-with-events): New macro.
	(file-notify-test02-events): Use it.

2015-09-10  Paul Eggert  <eggert@cs.ucla.edu>

	Add patch-sending instructions to git-workflow
	From a suggestion by Mitchel Humpherys in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00421.html
	* admin/notes/git-workflow (Sending patches): New section.

	Port to GIFLIB 5.0.6 and later
	Problem reported by Mitchel Humpherys in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00420.html
	* src/image.c (HAVE_GIFERRORSTRING) [HAVE_GIF]: New macro.
	(GifErrorString, init_gif_functions) [HAVE_GIF && WINDOWSNT]:
	(gif_load) [HAVE_GIF]: Use it.

2015-09-10  Glenn Morris  <rgm@gnu.org>

	* lisp/cedet/ede/auto.el (ede-project-autoload): Doc fix.

2015-09-09  Glenn Morris  <rgm@gnu.org>

	* test/automated/file-notify-tests.el (file-notify-test02-events):
	Fix recent change.

2015-09-09  Paul Eggert  <eggert@cs.ucla.edu>

	Refix movemail GCC pacification
	Problem reported by Ken Brown in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00406.html
	* lib-src/movemail.c (main): Fix previous change.

2015-09-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/calendar/time-date.el (time-to-seconds, time-less-p):
	Mark unused vars with underscore.

	* src/syntax.c (SETUP_SYNTAX_TABLE): Move truncation...
	(parse_sexp_propertize): ...from here.

	* lisp/filenotify.el: Use lexical-binding
	(file-notify-add-watch): Avoid add-to-list.

2015-09-09  Tassilo Horn  <tsdh@gnu.org>

	Start checking event types in file-notify tests
	* test/automated/file-notify-tests.el (file-notify--test-events):
	New variable.
	(file-notify--test-event-handler): Append received event to
	file-notify--test-events for later analysis.
	(file-notify-test02-events): Assert that the expected notifications have
	arrived in the expected order.

2015-09-09  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib and texinfo
	This incorporates:
	2015-08-03 Improve port of stdalign to C++11
	* lib/stdalign.in.h: Copy from gnulib.
	* doc/misc/texinfo.tex: Copy from texinfo.

2015-09-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make syntax.c call syntax-propertize on demand
	* lisp/emacs-lisp/syntax.el (syntax--jit-propertize): New function.
	(parse-sexp-propertize-function): Use it.
	(syntax-propertize): Disable parse-sexp-propertize-function.
	* src/syntax.c (parse_sexp_propertize, update_syntax_table_forward):
	New functions.
	(syms_of_syntax): New vars `parse-sexp-propertize-done' and
	`parse-sexp-propertize-function'.
	* src/syntax.h (struct gl_state_s): Add `e_property_truncated' field.
	(UPDATE_SYNTAX_TABLE_FORWARD): Use update_syntax_table_forward.
	(SETUP_BUFFER_SYNTAX_TABLE): Set e_property_truncated.
	* lisp/progmodes/elisp-mode.el (elisp-byte-code-syntax-propertize):
	Don't assume `point' is set.

2015-09-09  Eli Zaretskii  <eliz@gnu.org>

	Fix indentation of an @example in ELisp manual
	* doc/lispref/syntax.texi (Categories): Untabify the example.
	(Bug#21448)

2015-09-09  Paul Eggert  <eggert@cs.ucla.edu>

	Define internal-char-font even if --without-x
	The function is used now even in non-graphical environments.
	Problem reported by Glenn Morris in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00401.html
	* src/font.c (Finternal_char_font): Move here ...
	* src/fontset.c (Finternal_char_font): ... from here.

2015-09-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/cl-generic.el (cl-generic-generalizers):
	Remove warning.

2015-09-09  Eli Zaretskii  <eliz@gnu.org>

	Fix display of complex local data types in GDB-MI
	* lisp/progmodes/gdb-mi.el (gdb-locals-handler-custom): If a
	variable has no value, display "<complex data type>" as a
	placeholder, instead of a confusing "nil".  (Bug#21438)

2015-09-09  Oleh Krehel  <ohwoeowho@gmail.com>

	Remove redundant redefinition of seq-drop-while from seq.el
	* lisp/emacs-lisp/seq.el (seq-drop-while): Define only once.

2015-09-09  Phil Sainty  <psainty@orcon.net.nz>

	* lisp/emacs-lisp/package.el (package--ensure-init-file):
	More robust check for `package-initialize' calls in init file.
	This function accepts an optional argument, but calls passing
	an argument would not have been detected.

2015-09-09  Paul Eggert  <eggert@cs.ucla.edu>

	Port movemail to RHEL 6 with --enable-gcc-warnings
	* lib-src/movemail.c (main): Declare local only if needed.

	Port recent Linux console changes to RHEL 6
	* src/terminal.c [HAVE_LINUX_KD_H]: Include <sys/ioctl.h>.

	Improvements for curved quotes on Linux consule
	This should help Emacs work better out-of-the-box on Linux consoles,
	which have only limited support for displaying Unicode characters.
	Also, undo the recent change that caused text-quoting-style to
	affect quote display on terminals, so that the two features are
	independent.  See Alan Mackenzie in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00244.html
	Finally, add a style parameter to startup--setup-quote-display,
	so that this function can also be invoked after startup, with
	different styles depending on user preference at the time.
	* configure.ac: Check for linux/kd.h header.
	* doc/emacs/display.texi (Text Display): Document quote display.
	* doc/lispref/display.texi (Active Display Table):
	* etc/NEWS:
	* lisp/startup.el (startup--setup-quote-display, command-line):
	text-quoting-style no longer affects quote display.
	* doc/lispref/frames.texi (Terminal Parameters): Fix typo.
	* lisp/international/mule-util.el (char-displayable-p):
	* lisp/startup.el (startup--setup-quote-display):
	On a text terminal supporting glyph codes, use the reported
	glyph codes instead of the terminal coding system, as this
	is more accurate on the Linux console.
	* lisp/startup.el (startup--setup-quote-display):
	New optional arg STYLE.
	* src/fontset.c (Finternal_char_font):
	Report glyph codes for a text terminal, if they are available.
	Currently this is supported only for the Linux console.
	* src/termhooks.h (struct terminal): New member glyph-code-table.
	* src/terminal.c [HAVE_LINUX_KD_H]: Include <errno.h>, <linux/kd.h>.
	(calculate_glyph_code_table) [HAVE_LINUX_KD_H]: New function.
	(terminal_glyph_code): New function.

2015-09-08  Juri Linkov  <juri@linkov.net>

	* lisp/info.el (Info-fontify-node): Don't stop at the non-title
	underline.  (Bug#21433)

2015-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/calendar/time-date.el (with-decoded-time-value): Fix debug spec.

2015-09-08  Tassilo Horn  <tsdh@gnu.org>

	Fix double-reporting of rename events with inotify
	* lisp/filenotify.el (file-notify-callback): Fix double-reporting
	of rename events with inotify (bug#21435).

2015-09-08  Vasilij Schneidermann  <v.schneidermann@gmail.com>  (tiny change)

	* lisp/play/tetris.el (tetris-move-down): New command (bug#21360).
	(tetris-mode-map): Use it.

2015-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	Remove a few simple cases of global redisplay
	* src/dispnew.c (redraw_frame): Don't redisplay all frames.
	* src/xdisp.c (echo_area_display): Set the frame's `redisplay' bit
	rather than returning a "resized_p" boolean.
	(redisplay_internal): Adjust call accordingly.
	* src/xfaces.c (free_realized_faces): Don't redisplay all frames.
	(free_all_realized_faces): Set windows_or_buffers_changed so as to ease
	tracking of this undesirable situation.

	* src/process.c (status_notify): Avoid global redisplay (bug#11822)
	* src/process.c (status_notify): Only set the update_mode_line on the
	relevant buffers rather than setting it globally.

2015-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/electric.el (electric-quote-post-self-insert-function):
	Don't use syntax-ppss if comment-use-syntax is nil (e.g. message-mode).
	(electric-quote-mode): Activate everywhere in message-mode.

2015-09-07  Paul Eggert  <eggert@cs.ucla.edu>

	Go back to grave quoting in source-code docstrings etc.
	This reverts almost all my recent changes to use curved quotes
	in docstrings and/or strings used for error diagnostics.
	There are a few exceptions, e.g., Bahá’í proper names.
	* admin/unidata/unidata-gen.el (unidata-gen-table):
	* lisp/abbrev.el (expand-region-abbrevs):
	* lisp/align.el (align-region):
	* lisp/allout.el (allout-mode, allout-solicit-alternate-bullet)
	(outlineify-sticky):
	* lisp/apropos.el (apropos-library):
	* lisp/bookmark.el (bookmark-default-annotation-text):
	* lisp/button.el (button-category-symbol, button-put)
	(make-text-button):
	* lisp/calc/calc-aent.el (math-read-if, math-read-factor):
	* lisp/calc/calc-embed.el (calc-do-embedded):
	* lisp/calc/calc-ext.el (calc-user-function-list):
	* lisp/calc/calc-graph.el (calc-graph-show-dumb):
	* lisp/calc/calc-help.el (calc-describe-key)
	(calc-describe-thing, calc-full-help):
	* lisp/calc/calc-lang.el (calc-c-language)
	(math-parse-fortran-vector-end, math-parse-tex-sum)
	(math-parse-eqn-matrix, math-parse-eqn-prime)
	(calc-yacas-language, calc-maxima-language, calc-giac-language)
	(math-read-giac-subscr, math-read-math-subscr)
	(math-read-big-rec, math-read-big-balance):
	* lisp/calc/calc-misc.el (calc-help, report-calc-bug):
	* lisp/calc/calc-mode.el (calc-auto-why, calc-save-modes)
	(calc-auto-recompute):
	* lisp/calc/calc-prog.el (calc-fix-token-name)
	(calc-read-parse-table-part, calc-user-define-invocation)
	(math-do-arg-check):
	* lisp/calc/calc-store.el (calc-edit-variable):
	* lisp/calc/calc-units.el (math-build-units-table-buffer):
	* lisp/calc/calc-vec.el (math-read-brackets):
	* lisp/calc/calc-yank.el (calc-edit-mode):
	* lisp/calc/calc.el (calc, calc-do, calc-user-invocation):
	* lisp/calendar/appt.el (appt-display-message):
	* lisp/calendar/diary-lib.el (diary-check-diary-file)
	(diary-mail-entries, diary-from-outlook):
	* lisp/calendar/icalendar.el (icalendar-export-region)
	(icalendar--convert-float-to-ical)
	(icalendar--convert-date-to-ical)
	(icalendar--convert-ical-to-diary)
	(icalendar--convert-recurring-to-diary)
	(icalendar--add-diary-entry):
	* lisp/calendar/time-date.el (format-seconds):
	* lisp/calendar/timeclock.el (timeclock-mode-line-display)
	(timeclock-make-hours-explicit, timeclock-log-data):
	* lisp/calendar/todo-mode.el (todo-prefix, todo-delete-category)
	(todo-item-mark, todo-check-format)
	(todo-insert-item--next-param, todo-edit-item--next-key)
	(todo-mode):
	* lisp/cedet/ede/pmake.el (ede-proj-makefile-insert-dist-rules):
	* lisp/cedet/mode-local.el (describe-mode-local-overload)
	(mode-local-print-binding, mode-local-describe-bindings-2):
	* lisp/cedet/semantic/complete.el (semantic-displayor-show-request):
	* lisp/cedet/srecode/srt-mode.el (srecode-macro-help):
	* lisp/cus-start.el (standard):
	* lisp/cus-theme.el (describe-theme-1):
	* lisp/custom.el (custom-add-dependencies, custom-check-theme)
	(custom--sort-vars-1, load-theme):
	* lisp/descr-text.el (describe-text-properties-1, describe-char):
	* lisp/dired-x.el (dired-do-run-mail):
	* lisp/dired.el (dired-log):
	* lisp/emacs-lisp/advice.el (ad-read-advised-function)
	(ad-read-advice-class, ad-read-advice-name, ad-enable-advice)
	(ad-disable-advice, ad-remove-advice, ad-set-argument)
	(ad-set-arguments, ad--defalias-fset, ad-activate)
	(ad-deactivate):
	* lisp/emacs-lisp/byte-opt.el (byte-compile-inline-expand)
	(byte-compile-unfold-lambda, byte-optimize-form-code-walker)
	(byte-optimize-while, byte-optimize-apply):
	* lisp/emacs-lisp/byte-run.el (defun, defsubst):
	* lisp/emacs-lisp/bytecomp.el (byte-compile-lapcode)
	(byte-compile-log-file, byte-compile-format-warn)
	(byte-compile-nogroup-warn, byte-compile-arglist-warn)
	(byte-compile-cl-warn)
	(byte-compile-warn-about-unresolved-functions)
	(byte-compile-file, byte-compile--declare-var)
	(byte-compile-file-form-defmumble, byte-compile-form)
	(byte-compile-normal-call, byte-compile-check-variable)
	(byte-compile-variable-ref, byte-compile-variable-set)
	(byte-compile-subr-wrong-args, byte-compile-setq-default)
	(byte-compile-negation-optimizer)
	(byte-compile-condition-case--old)
	(byte-compile-condition-case--new, byte-compile-save-excursion)
	(byte-compile-defvar, byte-compile-autoload)
	(byte-compile-lambda-form)
	(byte-compile-make-variable-buffer-local, display-call-tree)
	(batch-byte-compile):
	* lisp/emacs-lisp/cconv.el (cconv-convert, cconv--analyze-use):
	* lisp/emacs-lisp/chart.el (chart-space-usage):
	* lisp/emacs-lisp/check-declare.el (check-declare-scan)
	(check-declare-warn, check-declare-file)
	(check-declare-directory):
	* lisp/emacs-lisp/checkdoc.el (checkdoc-this-string-valid-engine)
	(checkdoc-message-text-engine):
	* lisp/emacs-lisp/cl-extra.el (cl-parse-integer)
	(cl--describe-class):
	* lisp/emacs-lisp/cl-generic.el (cl-defgeneric)
	(cl--generic-describe, cl-generic-generalizers):
	* lisp/emacs-lisp/cl-macs.el (cl--parse-loop-clause, cl-tagbody)
	(cl-symbol-macrolet):
	* lisp/emacs-lisp/cl.el (cl-unload-function, flet):
	* lisp/emacs-lisp/copyright.el (copyright)
	(copyright-update-directory):
	* lisp/emacs-lisp/edebug.el (edebug-read-list):
	* lisp/emacs-lisp/eieio-base.el (eieio-persistent-read):
	* lisp/emacs-lisp/eieio-core.el (eieio--slot-override)
	(eieio-oref):
	* lisp/emacs-lisp/eieio-opt.el (eieio-help-constructor):
	* lisp/emacs-lisp/eieio-speedbar.el:
	(eieio-speedbar-child-make-tag-lines)
	(eieio-speedbar-child-description):
	* lisp/emacs-lisp/eieio.el (defclass, change-class):
	* lisp/emacs-lisp/elint.el (elint-file, elint-get-top-forms)
	(elint-init-form, elint-check-defalias-form)
	(elint-check-let-form):
	* lisp/emacs-lisp/ert.el (ert-get-test, ert-results-mode-menu)
	(ert-results-pop-to-backtrace-for-test-at-point)
	(ert-results-pop-to-messages-for-test-at-point)
	(ert-results-pop-to-should-forms-for-test-at-point)
	(ert-describe-test):
	* lisp/emacs-lisp/find-func.el (find-function-search-for-symbol)
	(find-function-library):
	* lisp/emacs-lisp/generator.el (iter-yield):
	* lisp/emacs-lisp/gv.el (gv-define-simple-setter):
	* lisp/emacs-lisp/lisp-mnt.el (lm-verify):
	* lisp/emacs-lisp/macroexp.el (macroexp--obsolete-warning):
	* lisp/emacs-lisp/map-ynp.el (map-y-or-n-p):
	* lisp/emacs-lisp/nadvice.el (advice--make-docstring)
	(advice--make, define-advice):
	* lisp/emacs-lisp/package-x.el (package-upload-file):
	* lisp/emacs-lisp/package.el (package-version-join)
	(package-disabled-p, package-activate-1, package-activate)
	(package--download-one-archive)
	(package--download-and-read-archives)
	(package-compute-transaction, package-install-from-archive)
	(package-install, package-install-selected-packages)
	(package-delete, package-autoremove, describe-package-1)
	(package-install-button-action, package-delete-button-action)
	(package-menu-hide-package, package-menu--list-to-prompt)
	(package-menu--perform-transaction)
	(package-menu--find-and-notify-upgrades):
	* lisp/emacs-lisp/pcase.el (pcase-exhaustive, pcase--u1):
	* lisp/emacs-lisp/re-builder.el (reb-enter-subexp-mode):
	* lisp/emacs-lisp/ring.el (ring-previous, ring-next):
	* lisp/emacs-lisp/rx.el (rx-check, rx-anything)
	(rx-check-any-string, rx-check-any, rx-check-not, rx-=)
	(rx-repeat, rx-check-backref, rx-syntax, rx-check-category)
	(rx-form):
	* lisp/emacs-lisp/smie.el (smie-config-save):
	* lisp/emacs-lisp/subr-x.el (internal--check-binding):
	* lisp/emacs-lisp/tabulated-list.el (tabulated-list-put-tag):
	* lisp/emacs-lisp/testcover.el (testcover-1value):
	* lisp/emacs-lisp/timer.el (timer-event-handler):
	* lisp/emulation/viper-cmd.el (viper-toggle-parse-sexp-ignore-comments)
	(viper-toggle-search-style, viper-kill-buffer)
	(viper-brac-function):
	* lisp/emulation/viper-macs.el (viper-record-kbd-macro):
	* lisp/env.el (setenv):
	* lisp/erc/erc-button.el (erc-nick-popup):
	* lisp/erc/erc.el (erc-cmd-LOAD, erc-handle-login, english):
	* lisp/eshell/em-dirs.el (eshell/cd):
	* lisp/eshell/em-glob.el (eshell-glob-regexp)
	(eshell-glob-entries):
	* lisp/eshell/em-pred.el (eshell-parse-modifiers):
	* lisp/eshell/esh-opt.el (eshell-show-usage):
	* lisp/facemenu.el (facemenu-add-new-face)
	(facemenu-add-new-color):
	* lisp/faces.el (read-face-name, read-face-font, describe-face)
	(x-resolve-font-name):
	* lisp/files-x.el (modify-file-local-variable):
	* lisp/files.el (locate-user-emacs-file, find-alternate-file)
	(set-auto-mode, hack-one-local-variable--obsolete)
	(dir-locals-set-directory-class, write-file, basic-save-buffer)
	(delete-directory, copy-directory, recover-session)
	(recover-session-finish, insert-directory)
	(file-modes-char-to-who, file-modes-symbolic-to-number)
	(move-file-to-trash):
	* lisp/filesets.el (filesets-add-buffer, filesets-remove-buffer):
	* lisp/find-cmd.el (find-generic, find-to-string):
	* lisp/finder.el (finder-commentary):
	* lisp/font-lock.el (font-lock-fontify-buffer):
	* lisp/format.el (format-write-file, format-find-file)
	(format-insert-file):
	* lisp/frame.el (get-device-terminal, select-frame-by-name):
	* lisp/fringe.el (fringe--check-style):
	* lisp/gnus/nnmairix.el (nnmairix-widget-create-query):
	* lisp/help-fns.el (help-fns--key-bindings)
	(help-fns--compiler-macro, help-fns--parent-mode)
	(help-fns--obsolete, help-fns--interactive-only)
	(describe-function-1, describe-variable):
	* lisp/help.el (describe-mode)
	(describe-minor-mode-from-indicator):
	* lisp/image.el (image-type):
	* lisp/international/ccl.el (ccl-dump):
	* lisp/international/fontset.el (x-must-resolve-font-name):
	* lisp/international/mule-cmds.el (prefer-coding-system)
	(select-safe-coding-system-interactively)
	(select-safe-coding-system, activate-input-method)
	(toggle-input-method, describe-current-input-method)
	(describe-language-environment):
	* lisp/international/mule-conf.el (code-offset):
	* lisp/international/mule-diag.el (describe-character-set)
	(list-input-methods-1):
	* lisp/mail/feedmail.el (feedmail-run-the-queue):
	* lisp/mouse.el (minor-mode-menu-from-indicator):
	* lisp/mpc.el (mpc-playlist-rename):
	* lisp/msb.el (msb--choose-menu):
	* lisp/net/ange-ftp.el (ange-ftp-shell-command):
	* lisp/net/imap.el (imap-interactive-login):
	* lisp/net/mairix.el (mairix-widget-create-query):
	* lisp/net/newst-backend.el (newsticker--sentinel-work):
	* lisp/net/newst-treeview.el (newsticker--treeview-load):
	* lisp/net/rlogin.el (rlogin):
	* lisp/obsolete/iswitchb.el (iswitchb-possible-new-buffer):
	* lisp/obsolete/otodo-mode.el (todo-more-important-p):
	* lisp/obsolete/pgg-gpg.el (pgg-gpg-process-region):
	* lisp/obsolete/pgg-pgp.el (pgg-pgp-process-region):
	* lisp/obsolete/pgg-pgp5.el (pgg-pgp5-process-region):
	* lisp/org/ob-core.el (org-babel-goto-named-src-block)
	(org-babel-goto-named-result):
	* lisp/org/ob-fortran.el (org-babel-fortran-ensure-main-wrap):
	* lisp/org/ob-ref.el (org-babel-ref-resolve):
	* lisp/org/org-agenda.el (org-agenda-prepare):
	* lisp/org/org-clock.el (org-clock-notify-once-if-expired)
	(org-clock-resolve):
	* lisp/org/org-ctags.el (org-ctags-ask-rebuild-tags-file-then-find-tag):
	* lisp/org/org-feed.el (org-feed-parse-atom-entry):
	* lisp/org/org-habit.el (org-habit-parse-todo):
	* lisp/org/org-mouse.el (org-mouse-popup-global-menu)
	(org-mouse-context-menu):
	* lisp/org/org-table.el (org-table-edit-formulas):
	* lisp/org/ox.el (org-export-async-start):
	* lisp/proced.el (proced-log):
	* lisp/progmodes/ada-mode.el (ada-get-indent-case)
	(ada-check-matching-start, ada-goto-matching-start):
	* lisp/progmodes/ada-prj.el (ada-prj-display-page):
	* lisp/progmodes/ada-xref.el (ada-find-executable):
	* lisp/progmodes/ebrowse.el (ebrowse-tags-apropos):
	* lisp/progmodes/etags.el (etags-tags-apropos-additional):
	* lisp/progmodes/flymake.el (flymake-parse-err-lines)
	(flymake-start-syntax-check-process):
	* lisp/progmodes/python.el (python-shell-get-process-or-error)
	(python-define-auxiliary-skeleton):
	* lisp/progmodes/sql.el (sql-comint):
	* lisp/progmodes/verilog-mode.el (verilog-load-file-at-point):
	* lisp/progmodes/vhdl-mode.el (vhdl-widget-directory-validate):
	* lisp/recentf.el (recentf-open-files):
	* lisp/replace.el (query-replace-read-from)
	(occur-after-change-function, occur-1):
	* lisp/scroll-bar.el (scroll-bar-columns):
	* lisp/server.el (server-get-auth-key):
	* lisp/simple.el (execute-extended-command)
	(undo-outer-limit-truncate, list-processes--refresh)
	(compose-mail, set-variable, choose-completion-string)
	(define-alternatives):
	* lisp/startup.el (site-run-file, tty-handle-args, command-line)
	(command-line-1):
	* lisp/subr.el (noreturn, define-error, add-to-list)
	(read-char-choice, version-to-list):
	* lisp/term/common-win.el (x-handle-xrm-switch)
	(x-handle-name-switch, x-handle-args):
	* lisp/term/x-win.el (x-handle-parent-id, x-handle-smid):
	* lisp/textmodes/reftex-ref.el (reftex-label):
	* lisp/textmodes/reftex-toc.el (reftex-toc-rename-label):
	* lisp/textmodes/two-column.el (2C-split):
	* lisp/tutorial.el (tutorial--describe-nonstandard-key)
	(tutorial--find-changed-keys):
	* lisp/type-break.el (type-break-noninteractive-query):
	* lisp/wdired.el (wdired-do-renames, wdired-do-symlink-changes)
	(wdired-do-perm-changes):
	* lisp/whitespace.el (whitespace-report-region):
	Prefer grave quoting in source-code strings used to generate help
	and diagnostics.
	* lisp/faces.el (face-documentation):
	No need to convert quotes, since the result is a docstring.
	* lisp/info.el (Info-virtual-index-find-node)
	(Info-virtual-index, info-apropos):
	Simplify by generating only curved quotes, since info files are
	typically that ways nowadays anyway.
	* lisp/international/mule-diag.el (list-input-methods):
	Don’t assume text quoting style is curved.
	* lisp/org/org-bibtex.el (org-bibtex-fields):
	Revert my recent changes, going back to the old quoting style.

2015-09-07  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/emacs-lisp/package.el: Reduce autoloading before compiling.
	(package--autoloads-file-name)
	(package--activate-autoloads-and-load-path): New function.
	(package-activate-1): Delegate autoloading and load-path
	configuration to `package--activate-autoloads-and-load-path'.
	(package--compile): Before compilation, call
	`package--activate-autoloads-and-load-path' instead of
	`package-activate-1'.

2015-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* src/keyboard.c (read_key_sequence): Complete last fix (bug#21403).

2015-09-07  Eli Zaretskii  <eliz@gnu.org>

	Fix deletion of symlinks to directories on MS-Windows
	* src/w32.c (sys_unlink): If 'unlink' fails, and the argument is a
	symlink to a directory, try again with 'rmdir'.
	(is_symlink): If the argument is a symlink to a directory, set a
	bit in the return value to indicate that fact.

2015-09-07  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/emacs-lisp/package.el (package-initialize): Set enable-at-startup
	When `package-initialize' is called as part of loading the init file,
	the user probably doesn't want it to be called again afterwards.
	In this situation, `package-initialize' now sets
	`package-enable-at-startup' to nil to prevent that.  The user can have
	the old behavior by setting this variable to t after the call to
	`package-initialize'.  (Bug#21423)
	* doc/emacs/package.texi (Package Installation): Document it.
	* doc/lispref/package.texi (Packaging Basics): Document it.
	* etc/NEWS: Document it.

2015-09-06  Thomas Fitzsimmons  <fitzsim@fitzsim.org>

	Bump version of ntlm.el to 2.00
	* lisp/net/ntlm.el: Bump version to 2.00.  New maintainer.
	Add comm keyword.

2015-09-06  Adam Sjøgren  <asjo@koldfront.dk>

	* doc/misc/gnus.texi (Mail Source Specifiers):
	Allow :mailbox to be a list.

2015-09-06  Dmitry Gutov  <dgutov@yandex.ru>

	* lisp/progmodes/etags.el (etags-tags-completion-table):
	Allow even one non-regular character before the implicit tag name.
	Reported at http://emacs.stackexchange.com/questions/15269/.

2015-09-06  Thomas Fitzsimmons  <fitzsim@fitzsim.org>

	Add support for NTLMv2 authentication
	* lisp/net/ntlm.el (ntlm): New customization group.
	(ntlm-compatibility-level): New defcustom.
	(ntlm-compute-timestamp): New function.
	(ntlm-generate-nonce): Likewise.
	(ntlm-build-auth-response): Add support for NTLMv2 authentication.

2015-09-06  Artur Malabarba  <bruce.connor.am@gmail.com>

	* lisp/emacs-lisp/package.el: Rename custom faces.
	All of the recently introduced faces, like `package-name-face', have
	been renamed to no end in `-face' to comply with the convention
	described in (info "(elisp) Defining Faces").
	(package-name, package-description)
	(package-status-built-in, package-status-external)
	(package-status-available, package-status-new)
	(package-status-held, package-status-disabled)
	(package-status-installed, package-status-dependency)
	(package-status-unsigned, package-status-incompat)
	(package-status-avail-obso): New faces.
	(package-menu--print-info-simple): Use them.

2015-09-06  Adam Sjøgren  <asjo@koldfront.dk>

	mail-source.el: Make the imap mail-source's :mailbox handle a list
	* lisp/gnus/mail-source.el (mail-source-fetch-imap):
	Allow :mailbox to be  a list.

2015-09-06  Eric Abrahamsen  <eric@ericabrahamsen.net>

	nnimap.el: Handle nil arg to nnimap-request-group
	* lisp/gnus/nnimap.el (nnimap-request-group): Handle nil "info" arg.
	This arg isn't always passed in, check it's not nil before making it
	into a list.  The active arg will also be nil if the group is new,
	check for that.

2015-09-06  Michael Albinus  <michael.albinus@gmx.de>

	File notifications: Support renaming over directory boundaries
	* lisp/filenotify.el (file-notify-handle-event):
	(file-notify--pending-event): Adapt docstring.
	(file-notify--descriptor, file-notify-callback): Reimplement in
	order to support renaming over directory boundaries.
	(file-notify-add-watch): Adapt `file-notify--descriptor' call.
	* doc/lispref/os.texi (File Notifications): Remove limitation of
	file renaming to the same directory.

2015-09-05  Paul Eggert  <eggert@cs.ucla.edu>

	Spelling fix (Bug#21420)

2015-09-05  Nicolas Petton  <nicolas@petton.fr>

	Improve the semantic of map-some
	Update map-some to return the returned by the predicate, similar to
	seq-some.
	* lisp/emacs-lisp/map.el (map-some): Update the function to return the
	  return value of the predicate.
	* test/automated/map-tests.el (test-map-some): Update the test to check
	  for non-nil values only.

	Rename map-contains-key-p and map-some-p
	Remove the "-p" suffix from both function names.
	* lisp/emacs-lisp/map.el (map-contains-key, map-some):
	  Rename the functions.
	* test/automated/map-tests.el (test-map-contains-key, test-map-some):
	  Update both test functions.

	Improve the semantic of seq-some
	Update seq-some to return non-nil if the predicate returns non-nil for
	any element of the seq, in which case the returned value is the one
	returned by the predicate.
	* lisp/emacs-lisp/seq.el (seq-some): Update the function and its
	  docstring.
	* test/automated/seq-tests.el (test-seq-some): Add a regression test.
	* doc/lispref/sequences.texi (Sequence Functions): Update the
	  documentation for seq-some.

	Rename seq-some-p to seq-some and seq-contains-p to seq-contains
	* lisp/emacs-lisp/seq.el (seq-some, seq-contains): Rename the functions
	  without the "-p" prefix.
	* test/automated/seq-tests.el (test-seq-some, test-seq-contains): Update
	  the tests accordingly.
	* doc/lispref/sequences.texi (Sequence Functions): Update the
	  documentation for seq.el.

2015-09-05  Paul Eggert  <eggert@Penguin.CS.UCLA.EDU>

	text-quoting-style for usage of fn names with ‘’
	* lisp/help.el (help--docstring-quote): Don’t assume
	text-quoting-style is ‘curve’ when generating usage strings for
	functions whose names contain curved quotes.

2015-09-05  Paul Eggert  <eggert@cs.ucla.edu>

	Fix fix for describe-function keybinding confusion
	This fixes a bug introduced by the previous patch.
	* lisp/help-fns.el (help-fns--signature):
	Last arg of help-fns--signature is now a buffer, or nil if a
	raw signature is wanted.  All callers changed.
	(describe-function-1): Use this to do the right thing with signatures.

2015-09-05  Johan Bockgård  <bojohan@gnu.org>

	* doc/lispref/frames.texi (Mouse Tracking): Fix typo.

	Use PAT rather than UPAT in pcase macros
	* lisp/emacs-lisp/cl-macs.el (cl-struct) <pcase-defmacro>:
	* lisp/emacs-lisp/eieio.el (eieio) <pcase-defmacro>: Use PAT rather
	  than UPAT.

2015-09-05  Paul Eggert  <eggert@cs.ucla.edu>

	Fix describe-function keybinding confusion
	* lisp/help-fns.el (describe-function-1): Compute signature
	in the original buffer, not in standard-output, so that
	substitute-command-keys uses the proper keybindings.
	This fixes Bug#21412, introduced in commit
	2015-06-11T10:23:46-0700!eggert@cs.ucla.edu.

2015-09-05  Xue Fuqiao  <xfq.free@gmail.com>

	* doc/emacs/programs.texi (Program Modes): Remove an index entry.

2015-09-05  Robert Pluim  <rpluim@gmail.com>  (tiny change)

	Avoid read error messages from 'inotify'
	* src/process.c (wait_reading_process_output): Add a
	'tls_available' set and manipulate it instead of 'Available' when
	checking TLS inputs.  Assign the value to 'Available' only if we
	find any TLS data waiting to be read.  This avoids error messages
	from 'inotify' that tries to read data it shouldn't.  (Bug#21337)

2015-09-05  Eli Zaretskii  <eliz@gnu.org>

	Avoid errors in thing-at-point with 2nd argument non-nil
	* lisp/thingatpt.el (thing-at-point): Only call 'length' on
	sequences.  (Bug#21391)

2015-09-05  Philip  <pipcet@gmail.com>  (tiny change)

	Fix segfaults due to using a stale face ID
	* src/xdisp.c (forget_escape_and_glyphless_faces): New function.
	(display_echo_area_1, redisplay_internal): Call it to avoid
	reusing stale face IDs for 'escape-glyph' and 'glyphless-char'
	faces, which could case a segfault if the frame's face cache was
	freed since the last redisplay.  (Bug#21394)
	* src/xfaces.c (free_realized_faces):
	Call forget_escape_and_glyphless_faces.
	* src/dispextern.h (forget_escape_and_glyphless_faces): Add prototype.

2015-09-04  Paul Eggert  <eggert@cs.ucla.edu>

	Fix minor problems with " in manual

2015-09-04  Michael Albinus  <michael.albinus@gmx.de>

	* doc/misc/tramp.texi (Frequently Asked Questions): New item for ad-hoc
	multi-hop files.

2015-09-04  Paul Eggert  <eggert@cs.ucla.edu>

	Support automated ‘make check’ in non-C locale
	This lets the builder optionally test Emacs behavior in other locales.
	The C locale is still the default for tests.
	* test/automated/Makefile.in (TEST_LOCALE): New macro.
	(emacs): Use it.
	* test/automated/flymake-tests.el (flymake-tests--current-face):
	Use C locale for subprocesses so that tests behave as expected.
	* test/automated/python-tests.el:
	(python-shell-prompt-validate-regexps-1)
	(python-shell-prompt-validate-regexps-2)
	(python-shell-prompt-validate-regexps-3)
	(python-shell-prompt-validate-regexps-4)
	(python-shell-prompt-validate-regexps-5)
	(python-shell-prompt-validate-regexps-6)
	(python-shell-prompt-set-calculated-regexps-1):
	Adjust expected output to match locale.
	* test/automated/tildify-tests.el (tildify-test--test)
	(tildify-space-test--test, tildify-space-undo-test--test):
	This test assumes UTF-8 encoding.

2015-09-03  Paul Eggert  <eggert@cs.ucla.edu>

	Fix some more docstring etc. quoting problems
	Mostly these fixes prevent the transliteration of apostrophes
	that should stay apostrophes.  Also, prefer curved quotes in
	Bahá’í proper names, as that’s the preferred Bahá’í style and
	these names are chock-full of non-ASCII characters anyway.
	* lisp/emacs-lisp/eieio-core.el (eieio-defclass-autoload)
	(eieio-defclass-internal):
	* lisp/emacs-lisp/eieio.el (defclass):
	* lisp/hi-lock.el (hi-lock-mode):
	Don’t transliterate Lisp apostrophes when generating a
	doc string or diagnostic.
	* lisp/international/mule-diag.el (list-coding-systems-1):
	* lisp/international/ogonek.el (ogonek-jak, ogonek-how):
	* lisp/mail/sendmail.el (sendmail-query-user-about-smtp):
	* lisp/vc/ediff-mult.el (ediff-redraw-registry-buffer):
	* lisp/vc/ediff-ptch.el (ediff-fixup-patch-map):
	Substitute quotes before putting them in the help buffer.

2015-09-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	Re-add the notion of echo_prompt lost in the translation
	* src/keyboard.h (struct kboard): Replace echo_after_prompt with new
	echo_prompt which contains the actual string.  Update all uses.
	* src/keyboard.c (kset_echo_prompt): New function.
	(echo_update): Add echo_prompt at the very beginning.
	(read_char): Remove workaround for bug#19875, not needed any more.
	(read_key_sequence): Set echo_prompt rather than echo_string
	(bug#21403).
	(mark_kboards): Mark echo_prompt.

	Fix disassembly of non-compiled lexical functions (bug#21377)
	* lisp/emacs-lisp/bytecomp.el (byte-compile): Handle `closure' arg.
	* lisp/emacs-lisp/disass.el: Use lexical-binding.
	(disassemble): Recognize `closure's as well.
	(disassemble-internal): Use indirect-function and
	help-function-arglist, and accept `closure's.
	(disassemble-internal): Use interactive-form.
	(disassemble-1): Use functionp.

	* lisp/textmodes/tex-mode.el (tex--prettify-symbols-compose-p):
	Don't compose inside verbatim blocks!

2015-09-03  Mark Oteiza  <mvoteiza@udel.edu>

	* lisp/thingatpt.el (thing-at-point-uri-schemes): Add "man:"
	(bug#19441).

	* lisp/mpc.el (mpc--proc-connect): Handle unix sockets (bug#19394).

2015-09-03  Dmitry Gutov  <dgutov@yandex.ru>

	vc-git-mode-line-string: Explicitly re-apply the face
	* lisp/vc/vc-git.el (vc-git-mode-line-string): Explicitly re-apply
	the face (bug#21404).

2015-09-02  Paul Eggert  <eggert@cs.ucla.edu>

	Treat initial-scratch-message as a doc string
	* doc/emacs/building.texi (Lisp Interaction):
	* doc/lispref/os.texi (Startup Summary):
	* etc/NEWS: Document this.
	* lisp/startup.el (initial-scratch-message):
	Look up find-file’s key rather than hardcoding it.
	(command-line-1): Substitute the doc string.
	This also substitutes the quotes, which will help test display
	quoting at startup.

	Fix describe-char bug with glyphs on terminals
	* lisp/descr-text.el (describe-char): Terminals can have glyphs in
	buffers too, so don’t treat them differently from graphic displays.
	Without this fix, describe-char would throw an error on a terminal
	if given a glyph with a non-default face.

	Follow text-quoting-style in display table init
	This attempts to fix a problem reported by Alan Mackenzie in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00112.html
	* doc/lispref/display.texi (Active Display Table):
	Mention how text-quoting-style affects it.
	* doc/lispref/help.texi (Keys in Documentation):
	Say how to set text-quoting-style in ~/.emacs.
	* etc/NEWS: Document the change.
	* lisp/startup.el (startup--setup-quote-display):
	Follow user preference if text-quoting-style is set.
	(command-line): Setup quote display again if user expresses
	a preference in .emacs.

2015-09-02  K. Handa  <handa@gnu.org>

	Fix typo
	* src/ftfont.c (ftfont_drive_otf): otf_positioning_type_components_mask
	-> OTF_positioning_type_components_mask.

	Fix previous change
	* src/ftfont.c (ftfont_drive_otf): Remember some bits of
	OTF_Glyph->positioning_type in MFLTGlyphFT->libotf_positioning_type.

2015-09-01  David Caldwell  <david@porkrind.org>  (tiny change)

	* lisp/vc/vc-hooks.el (vc-refresh-state): New command.
	Rename from vc-find-file-hook and make interactive.
	(vc-find-file-hook): Redefine as obsolete alias.

2015-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	Escape ` and ' in doc
	Escape apostrophes and grave accents in docstrings if they are
	are supposed to stand for themselves and are not quotes.  Remove
	apostrophes from docstring examples like ‘'(calendar-nth-named-day
	-1 0 10 year)’ that confuse source code with data.  Do some other
	minor docstring fixups as well, e.g., insert a missing close quote.

2015-09-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	Generalize the prefix-command machinery of C-u
	* lisp/simple.el (prefix-command-echo-keystrokes-functions)
	(prefix-command-preserve-state-hook): New hooks.
	(internal-echo-keystrokes-prefix): New function.
	(prefix-command--needs-update, prefix-command--last-echo): New vars.
	(prefix-command-update, prefix-command-preserve): New functions.
	(reset-this-command-lengths): New compatibility definition.
	(universal-argument--mode): Call prefix-command-update.
	(universal-argument, universal-argument-more, negative-argument)
	(digit-argument): Call prefix-command-preserve-state.
	* src/keyboard.c: Call internal-echo-keystrokes-prefix to build
	the "prefix argument" to echo.
	(this_command_key_count_reset, before_command_key_count)
	(before_command_echo_length): Delete variables.
	(echo_add_key): Always add a space.
	(echo_char): Remove.
	(echo_dash): Don't give up when this_command_key_count is 0, since that
	is now the case after a prefix command.
	(echo_update): New function, extracted from echo_now.
	(echo_now): Use it.
	(add_command_key, read_char, record_menu_key): Remove old disabled code.
	(command_loop_1): Don't refrain from pushing an undo boundary when
	prefix-arg is set.  Remove other prefix-arg special case, now handled
	directly in the prefix commands instead.  But call echo_now if there's
	a prefix state to echo.
	(read_char, record_menu_key): Use echo_update instead of echo_char.
	(read_key_sequence): Use echo_now rather than echo_dash/echo_char.
	(Freset_this_command_lengths): Delete function.
	(syms_of_keyboard): Define Qinternal_echo_keystrokes_prefix.
	(syms_of_keyboard): Don't defsubr Sreset_this_command_lengths.
	* lisp/simple.el: Use those new hooks for C-u.
	(universal-argument--description): New function.
	(prefix-command-echo-keystrokes-functions): Use it.
	(universal-argument--preserve): New function.
	(prefix-command-preserve-state-hook): Use it.
	(command-execute): Call prefix-command-update if needed.
	* lisp/kmacro.el (kmacro-step-edit-prefix-commands)
	(kmacro-step-edit-prefix-index): Delete variables.
	(kmacro-step-edit-query, kmacro-step-edit-insert): Remove ad-hoc
	support for prefix arg commands.
	(kmacro-step-edit-macro): Don't bind kmacro-step-edit-prefix-index.
	* lisp/emulation/cua-base.el (cua--prefix-override-replay)
	(cua--shift-control-prefix): Use prefix-command-preserve-state.
	Remove now unused arg `arg'.
	(cua--prefix-override-handler, cua--prefix-repeat-handler)
	(cua--shift-control-c-prefix, cua--shift-control-x-prefix):
	Update accordingly.
	(cua--prefix-override-timeout): Don't call reset-this-command-lengths
	any more.
	(cua--keep-active, cua-exchange-point-and-mark): Don't set mark-active
	if the mark is not set.

2015-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	Rework quoting in Emacs Lisp Introduction
	* doc/lispintro/emacs-lisp-intro.texi (Sample let Expression)
	(if in more detail, type-of-animal in detail, else): Rework the
	early example to use " rather than ' so that we don’t burden
	complete novices with the low-priority detail of text quoting style.
	(Complete zap-to-char, kill-region, Complete copy-region-as-kill)
	(kill-new function, kill-ring-yank-pointer)
	(Complete forward-sentence, Loading Files)
	(Code for current-kill, Code for current-kill, yank):
	Resurrect the Emacs 22 versions of the code, which uses grave
	quoting style in doc strings.
	(Complete zap-to-char): Mention how quoting works in doc strings.

	Setup quote display only if interactive
	* lisp/startup.el (command-line):
	Skip call to startup--setup-quote-display if noninteractive.
	Without this change, python-shell-prompt-validate-regexps-1
	fails in test/automated/python-tests.el when run in an
	en_US.utf8 locale on Fedora.

2015-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	Use defalias at the top level
	* lisp/gnus/gnus-util.el (gnus-format-message):
	* lisp/net/tls.el (tls-format-message): Use defalias at the top level
	so as to make eval-and-compile unnecessary.  Thanks to Stefan Monnier.

2015-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	terminal-init-w32console mimicks command-line
	Problem reported by Eli Zaretskii.
	* lisp/startup.el (startup--setup-quote-display):
	New function, refactored from a part of ‘command-line’.
	(command-line): Use it.
	* lisp/term/w32console.el (terminal-init-w32console):
	Use it, so that this function stays consistent with ‘command-line’.

	Display replacement quotes with shadow glyphs
	* lisp/startup.el (command-line): When displaying ASCII
	replacements for curved quotes, use a shadow glyph instead of a
	regular one, to avoid ambiguity.

2015-09-01  Michael Albinus  <michael.albinus@gmx.de>

	* lisp/net/tramp-sh.el (tramp-methods) <sudo>: Mask "Password:".

2015-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	Docstring fixes re quotes in C code
	Fix some docstring quoting problems, mostly by escaping apostrophe.

2015-09-01  Michael Albinus  <michael.albinus@gmx.de>

	Some Tramp password fixes
	* lisp/net/tramp.el (tramp-clear-passwd): Clear also the passwords
	of the hops.
	* lisp/net/tramp-sh.el (tramp-methods) <sudo>: Move "-p" "Password:"
	at the beginning of the command.  Otherwise, it could be
	interpreted as password prompt if the remote host echoes the
	command.
	(tramp-remote-coding-commands): Add "openssl enc -base64".

2015-09-01  Dmitry Gutov  <dgutov@yandex.ru>

	Make vc-git-working-revision always return the commit hash
	* lisp/vc/vc-git.el (vc-git-working-revision):
	Return the commit hash (bug#21383).
	(vc-git--symbolic-ref): New function, extracted from above.
	(vc-git-mode-line-string): Use it.

2015-09-01  K. Handa  <handa@gnu.org>

	Use the new type MFLTGlyphFT for MFLTGlyphString.glyphs
	* src/ftfont.c (MFLTGlyphFT): New type.
	(ftfont_get_glyph_id, ftfont_get_metrics, ftfont_drive_otf)
	(ftfont_shape_by_flt): Make MFLTGlyphFT the actual type of
	elements in the array MFLTGlyphString.glyphs.

2015-09-01  Stephen Leake  <stephen_leake@stephe-leake.org>

	Improve comments in elisp-mode.el, elisp-mode-tests.el
	* lisp/progmodes/elisp-mode.el: Clean up FIXMEs, comments.

	Delete Emacs 25 test in mode-local.el
	* lisp/cedet/mode-local.el (describe-mode-local-overload):
	Fix missed an edit in previous commit.

	Show all known mode-local overrides in *Help*
	* lisp/cedet/mode-local.el (describe-mode-local-overload):
	Assume Emacs 25. Add all known mode-local overrides.

2015-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus/gnus-sum.el (gnus-summary-search-article):
	Ensure that the article where the search word is found is displayed
	and pointed to in the summary buffer.

2015-08-31  Zachary Kanfer  <zkanfer@gmail.com>  (tiny change)

	* lisp/newcomment.el (comment-dwim): Use `use-region-p'.
	When the region is active, but is empty (length 0), act as though
	the region was not active; that is, put a comment at the end of
	the line.  (Bug#21119)

2015-08-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	Port tls.el to older Emacs
	* lisp/net/tls.el (tls-format-message):
	Alias to format-message, or format if not available.
	(open-tls-stream): Use it.

2015-08-31  Rüdiger Sonderfeld  <ruediger@c-plusplus.net>

	hideif.el: Recognize .h++ as C++ header
	* lisp/progmodes/hideif.el (hide-ifdef-header-regexp): Add .h++.

	isearch: Document character folding mode
	* lisp/isearch.el (isearch-forward):
	Mention `isearch-toggle-character-fold' in doc string.

2015-08-31  Paul Eggert  <eggert@cs.ucla.edu>

	Quoting fixes in ERC and Eshell
	* lisp/erc/erc-autoaway.el (erc-autoaway-set-away):
	* lisp/erc/erc-backend.el (define-erc-response-handler):
	* lisp/erc/erc-fill.el (erc-fill-static-center):
	* lisp/eshell/em-dirs.el (eshell-save-some-last-dir):
	* lisp/eshell/em-glob.el (eshell-glob-entries):
	* lisp/eshell/em-hist.el (eshell-save-some-history):
	* lisp/eshell/em-unix.el (eshell-remove-entries, eshell/rm)
	(eshell-shuffle-files):
	* lisp/eshell/esh-cmd.el (eshell-do-eval):
	* lisp/eshell/esh-proc.el (eshell-process-interact)
	(eshell-query-kill-processes):
	Respect ‘text-quoting-style’ in diagnostics and doc strings.

	Quoting fixes in Gnus
	* lisp/gnus/gnus-agent.el:
	(gnus-agent-possibly-synchronize-flags-server):
	* lisp/gnus/gnus-art.el (gnus-article-browse-delete-temp-files):
	* lisp/gnus/gnus-eform.el (gnus-edit-form):
	* lisp/gnus/gnus-group.el (gnus-group-edit-group)
	(gnus-group-nnimap-edit-acl):
	* lisp/gnus/gnus-topic.el (gnus-topic-edit-parameters):
	* lisp/gnus/mail-source.el (mail-source-delete-old-incoming):
	* lisp/gnus/message.el (message-strip-subject-encoded-words)
	(message-check-recipients, message-send-form-letter):
	* lisp/gnus/mm-decode.el (mm-display-part):
	* lisp/gnus/mm-uu.el (mm-uu-pgp-signed-extract-1):
	* lisp/gnus/mml-smime.el (mml-smime-get-dns-cert)
	(mml-smime-get-ldap-cert):
	* lisp/gnus/spam-report.el (spam-report-process-queue):
	Respect ‘text-quoting-style’ in diagnostics.
	* lisp/gnus/gnus-art.el (article-display-face)
	* lisp/gnus/gnus-fun.el (gnus-display-x-face-in-from):
	Use straight quoting in email.
	* lisp/gnus/rfc2231.el (rfc2231-decode-encoded-string):
	Escape apostrophes in doc strings.

	Quoting fixes in lisp mail, mh-e, net, url
	* lisp/mail/emacsbug.el (report-emacs-bug)
	(report-emacs-bug-hook): Use straight quotes in outgoing email,
	* lisp/mail/feedmail.el (feedmail-message-action-help-blat):
	* lisp/mail/rmail.el (rmail-unknown-mail-followup-to):
	* lisp/mail/rmailout.el (rmail-output-read-file-name):
	* lisp/net/imap.el (imap-interactive-login):
	* lisp/net/tls.el (open-tls-stream):
	* lisp/url/url-auth.el (url-register-auth-scheme):
	Respect ‘text-quoting-style’ in diagnostics.
	* lisp/mh-e/mh-e.el (mh-sortm-args):
	Quote docstring example using text quotes, not as a Lisp quote.

2015-08-31  Stephen Leake  <stephen_leake@stephe-leake.org>

	Fix some byte-compiler warnings in EDE
	This fixes a bug that caused ede-generic-new-autoloader to overwrite the
	existing autoloader list, rather than add to it.
	* lisp/cedet/ede/auto.el (ede-project-class-files): Delete obsolete name
	argument to eieio class constructor.
	(ede-show-supported-projects): New.
	(ede-add-project-autoload): Replace obsolete `eieio-object-name-string'
	with (oref ... name).
	(ede-auto-load-project): Use slot name, not initarg key.
	* lisp/cedet/ede/generic.el (ede-generic-load)
	(ede-generic-find-matching-target): Use slot name, not initarg key.
	(ede-find-target): Use oref-default on class name.
	(ede-generic-new-autoloader): Delete obsolete name argument to eieio
	class constructor.
	(ede-enable-generic-projects): Make project type names unique.

2015-08-31  Eli Zaretskii  <eliz@gnu.org>

	Fix directory accessibility tests for w32 network volumes
	* src/w32.c (faccessat): Don't fail with network volumes without a
	share.
	(w32_accessible_directory_p): Handle network volumes without a
	share.

	Fix handling long file names in readdir on MS-Windows
	* src/w32.c (sys_readdir): Append "\*" to the directory after
	converting it to UTF-16/ANSI, not before, to avoid overflowing the
	260-character limit on file names in filename_to_utf16/ansi.

	Make file-accessible-directory-p reliable on MS-Windows
	* src/w32.c (w32_accessible_directory_p): New function.
	* src/w32.h (w32_accessible_directory_p): Add prototype.
	* src/fileio.c (file_accessible_directory_p) [WINDOWSNT]: Call
	w32_accessible_directory_p to test a directory for accessibility
	by the current user.  (Bug#21346)
	(Ffile_accessible_directory_p): Remove the w32 specific caveat
	from the doc string.

2015-08-31  Martin Rudalics  <rudalics@gmx.at>

	Don't call do_pending_window_change in signal handlers (Bug#21380)
	* src/gtkutil.c (xg_frame_resized):
	* src/xterm.c (x_set_window_size):
	* src/w32term.c (x_set_window_size): Don't call
	do_pending_window_change.

2015-08-31  Paul Eggert  <eggert@cs.ucla.edu>

	Quoting fixes in lisp/org
	* lisp/org/org-agenda.el (org-search-view, org-todo-list)
	(org-tags-view):
	* lisp/org/org-capture.el (org-capture-mode)
	* lisp/org/org-ctags.el (org-ctags-visit-buffer-or-file)
	(org-ctags-ask-append-topic):
	* lisp/org/org.el (org-time-string-to-time)
	(org-time-string-to-absolute):
	* lisp/org/org-ctags.el (org-ctags-visit-buffer-or-file)
	(org-ctags-ask-append-topic):
	* lisp/org/org.el (org-time-string-to-time)
	(org-time-string-to-absolute):
	Respect ‘text-quoting-style’ in diagnostics.
	* lisp/org/org-agenda.el (org-agenda-custom-commands)
	(org-agenda-dim-blocked-tasks): Plural of TODO is TODOs, not TODO’s.
	* lisp/org/org-capture.el (org-capture-fill-template):
	Avoid contraction in output file that might be ASCII.
	* lisp/org/org-compat.el (format-message):
	Define if not already defined, for backward compatibility.
	* lisp/org/org-src.el (org-edit-src-save):
	* lisp/org/org.el (org-cycle, org-ctrl-c-ctrl-c):
	Escape apostrophes in diagnostics.

	Treat “instead” strings as docstrings
	* lisp/emacs-lisp/bytecomp.el (byte-compile-form):
	* lisp/emacs-lisp/macroexp.el (macroexp--obsolete-warning):
	Substitute quotes in instead strings.

2015-08-31  Nicolas Petton  <nicolas@petton.fr>

	Better documentation of seq-let
	* doc/lispref/sequences.texi (Sequence Functions): Rephrase the
	documentation of seq-let.

2015-08-31  Paul Eggert  <eggert@cs.ucla.edu>

	* lisp/international/ccl.el: Fix quoting.

	Quoting fixes in lisp/international and lisp/leim
	* lisp/international/ccl.el (ccl-dump, ccl-dump-call):
	* lisp/international/ja-dic-utl.el (skkdic-lookup-key):
	* lisp/international/mule-cmds.el:
	(select-safe-coding-system-interactively, leim-list-file-name):
	* lisp/international/quail.el (quail-use-package, quail-help):
	* lisp/international/titdic-cnv.el (tit-process-header)
	(miscdic-convert):
	Respect text quoting style in doc strings and diagnostics.
	* lisp/international/quail.el (lisp/international/quail.el):
	* lisp/leim/quail/ethiopic.el ("ethiopic"):
	Escape apostrophes in doc strings.

	Make ‘text-quoting-style’ a plain defvar
	It doesn’t need customization, as it’s likely useful only by experts.
	Suggested by Stefan Monnier in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-08/msg01020.html
	* lisp/cus-start.el: Remove doc.c section for builtin customized vars.

	Quoting fixes in lisp/textmodes
	* lisp/textmodes/bibtex.el (bibtex-validate)
	(bibtex-validate-globally, bibtex-search-entries):
	* lisp/textmodes/ispell.el (ispell-command-loop):
	* lisp/textmodes/page-ext.el (search-pages, pages-directory):
	* lisp/textmodes/texinfmt.el (texinfmt-version)
	(texinfo-format-region, texinfo-format-buffer-1):
	* lisp/textmodes/two-column.el (2C-split):
	Respect text quoting style in doc strings and diagnostics.
	* lisp/textmodes/conf-mode.el (conf-mode-map, conf-quote-normal):
	* lisp/textmodes/sgml-mode.el (sgml-specials, sgml-mode):
	Escape apostrophes in doc strings.

	Documentation fixes re quotes
	Prefer curved quotes in examples if users will typically see
	curved quotes when the examples run.
	Mention format-message when appropriate.
	Don’t use @code in examples.
	Quote an apostrophe with @kbd.

	Quoting fixes in lisp/progmodes
	* lisp/progmodes/cc-engine.el (c-bos-report-error):
	* lisp/progmodes/cpp.el (cpp-edit-reset):
	* lisp/progmodes/ebrowse.el (ebrowse-tags-apropos):
	* lisp/progmodes/etags.el (etags-tags-apropos-additional)
	(etags-tags-apropos, list-tags, tags-apropos):
	* lisp/progmodes/executable.el (executable-set-magic):
	* lisp/progmodes/octave.el (octave-sync-function-file-names)
	(octave-help, octave-find-definition-default-filename)
	(octave-find-definition):
	Respect text quoting style in doc strings and diagnostics.
	* lisp/progmodes/cc-langs.el (c-populate-syntax-table):
	* lisp/progmodes/verilog-mode.el (verilog-auto-reset-widths):
	* lisp/progmodes/vhdl-mode.el (vhdl-electric-quote):
	Escape apostrophes in doc strings.
	* lisp/progmodes/cmacexp.el (c-macro-expansion):
	Use straight quoting in ASCII comment.
	* lisp/progmodes/idlwave.el (idlwave-auto-fill-split-string)
	(idlwave-pad-keyword):
	* lisp/progmodes/vhdl-mode.el (vhdl-widget-directory-validate)
	(vhdl-electric-open-bracket, vhdl-electric-close-bracket):
	(vhdl-electric-semicolon, vhdl-electric-comma)
	(vhdl-electric-period, vhdl-electric-equal):
	Use directed quotes in diagnostics and doc strings.

2015-08-30  Xue Fuqiao  <xfq.free@gmail.com>

	Minor documentation and NEWS tweak
	* doc/lispintro/emacs-lisp-intro.texi (fwd-para let):
	Add an index entry.
	* etc/NEWS: Fix a typo in character-fold-to-regexp.

2015-08-30  Michael Albinus  <michael.albinus@gmx.de>

	* lisp/net/tramp-sh.el (tramp-convert-file-attributes):
	Revert patch from 2015-08-24.  Tramp shall behave like for local files.
	* test/automated/tramp-tests.el (tramp-test18-file-attributes):
	Adapt test.

2015-08-30  Paul Eggert  <eggert@cs.ucla.edu>

	Text quoting fixes in cedet, emulation, emacs-lisp
	* lisp/cedet/ede.el (ede-check-project-directory):
	* lisp/cedet/semantic/analyze/debug.el
	(semantic-analyzer-debug-insert-include-summary):
	* lisp/cedet/semantic/bovine/c.el (semantic-c-describe-environment):
	* lisp/cedet/semantic/decorate/include.el
	(semantic-decoration-unknown-include-describe)
	(semantic-decoration-all-include-summary):
	* lisp/cedet/semantic/ia.el (semantic-ia-fast-jump):
	* lisp/emulation/edt.el (edt-load-keys):
	* lisp/emulation/viper-cmd.el
	(viper-display-current-destructive-command)
	(viper-query-replace, viper-brac-function):
	* lisp/emulation/viper-ex.el (viper-get-ex-token, ex-compile):
	* lisp/emulation/viper-macs.el (viper-unrecord-kbd-macro):
	Respect text quoting style in doc string or diagnostic.
	* lisp/cedet/mode-local.el (describe-mode-local-overload):
	Use format-message to avoid overtranslating quotes.
	* lisp/emacs-lisp/checkdoc.el (checkdoc-in-sample-code-p):
	Escape an apostrophe in a docstring.
	* lisp/emacs-lisp/warnings.el (lwarn): Fix doc string.

2015-08-29  Daniel Colascione  <dancol@dancol.org>

	Fix which-func for curly quotes: look for symbol, not message
	* lisp/progmodes/which-func.el (which-func-ff-hook): Look for new
	imenu-unavailable error symbol instead of trying to match message
	exactly.
	* lisp/imenu.el (imenu-unavailable): New error.
	(imenu-unavailable-error): New function.

2015-08-29  Eli Zaretskii  <eliz@gnu.org>

	Fix Python tests on MS-Windows
	* test/automated/python-tests.el
	(python-shell-calculate-command-1): Run python-shell-interpreter
	through shell-quote-argument before comparing with what
	python-shell-calculate-command returns.
	(python-shell-calculate-pythonpath-1)
	(python-shell-calculate-pythonpath-2)
	(python-shell-calculate-process-environment-2): Use path-separator
	instead of a literal ':'.
	(python-shell-calculate-exec-path-2)
	(python-shell-calculate-exec-path-3)
	(python-shell-calculate-exec-path-4)
	(python-shell-with-environment-1)
	(python-shell-with-environment-2): Run "/env/bin" through
	expand-file-name before comparing with exec-path.  (Bug#21375)

2015-08-29  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	Use Core Text types/functions/variables/enumerators directly
	* src/macfont.h (FontDescriptorRef, FontRef, FontSymbolicTraits)
	(CharacterCollection): Remove typedefs.  All uses replaced with
	definitions.
	(MAC_FONT_NAME_ATTRIBUTE, MAC_FONT_FAMILY_NAME_ATTRIBUTE)
	(MAC_FONT_TRAITS_ATTRIBUTE, MAC_FONT_SIZE_ATTRIBUTE)
	(MAC_FONT_CASCADE_LIST_ATTRIBUTE)
	(MAC_FONT_CHARACTER_SET_ATTRIBUTE, MAC_FONT_LANGUAGES_ATTRIBUTE)
	(MAC_FONT_FORMAT_ATTRIBUTE, MAC_FONT_SYMBOLIC_TRAIT)
	(MAC_FONT_WEIGHT_TRAIT, MAC_FONT_WIDTH_TRAIT)
	(MAC_FONT_SLANT_TRAIT): Remove macros.  All uses replaced with
	definitions.
	(MAC_FONT_TRAIT_ITALIC, MAC_FONT_TRAIT_BOLD)
	(MAC_FONT_TRAIT_MONO_SPACE, MAC_FONT_TRAIT_COLOR_GLYPHS)
	(MAC_FONT_FORMAT_BITMAP)
	(MAC_CHARACTER_COLLECTION_IDENTITY_MAPPING)
	(MAC_CHARACTER_COLLECTION_ADOBE_JAPAN1): Remove enumerators.
	All uses replaced with definitions.
	(kCTFontTraitItalic, kCTFontTraitBold, kCTFontTraitMonoSpace)
	(kCTFontTraitColorGlyphs, kCTCharacterCollectionIdentityMapping)
	(kCTCharacterCollectionAdobeJapan1 kCTFontOrientationDefault):
	Add compatibility enumerators for older versions.
	(mac_font_descriptor_create_with_attributes)
	(mac_font_descriptor_create_matching_font_descriptors)
	(mac_font_descriptor_create_matching_font_descriptor)
	(mac_font_descriptor_copy_attribute)
	(mac_font_descriptor_supports_languages)
	(mac_font_create_with_name, mac_font_get_size)
	(mac_font_copy_family_name, mac_font_copy_character_set)
	(mac_font_get_glyphs_for_characters, mac_font_get_ascent)
	(mac_font_get_descent, mac_font_get_leading)
	(mac_font_get_underline_position)
	(mac_font_get_underline_thickness, mac_font_copy_graphics_font)
	(mac_font_copy_non_synthetic_table): Remove macros.  All uses
	replaced with definitions.
	(mac_font_create_preferred_family_for_attributes)
	(mac_font_get_advance_width_for_glyph)
	(mac_font_get_bounding_rect_for_glyph)
	(mac_font_create_available_families, mac_font_shape):
	Remove macros for renamed functions.
	(mac_nsctfont_copy_font_descriptor): Remove unused macro.
	* src/macterm.m (mac_font_descriptor_supports_languages):
	Rename from mac_ctfont_descriptor_supports_languages.
	(mac_font_create_preferred_family_for_attributes): Rename from
	mac_ctfont_create_preferred_family_for_attributes.
	(mac_font_get_advance_width_for_glyph): Rename from
	mac_ctfont_get_advance_width_for_glyph.
	Use kCTFontOrientationDefault also for older versions.
	(mac_font_get_bounding_rect_for_glyph): Rename from
	mac_ctfont_get_bounding_rect_for_glyph.
	Use kCTFontOrientationDefault also for older versions.
	(mac_font_create_available_families): Rename from
	mac_ctfont_create_available_families.
	(mac_font_equal_in_postscript_name): Rename from
	mac_ctfont_equal_in_postscript_name.  All uses changed.
	(mac_font_create_line_with_string_and_font): Rename from
	mac_ctfont_create_line_with_string_and_font.  All uses changed.
	(mac_font_shape): Rename from mac_ctfont_shape.
	(mac_font_family_compare): Remove unused declaration.

2015-08-29  Paul Eggert  <eggert@cs.ucla.edu>

	Fix minor text quoting in calc, calendar, vc
	* lisp/calc/calc-ext.el (calc-shift-Z-prefix-help):
	* lisp/calc/calc-help.el (calc-j-prefix-help):
	* lisp/calc/calc-misc.el (calc-help):
	* lisp/calc/calc.el (calc-algebraic-mode, calc-mode):
	Escape an apostrophe in a docstring.
	* lisp/calc/calc-forms.el (calc-hms-notation):
	* lisp/calc/calc-mode.el (calc-display-raw, calc-algebraic-mode):
	Escape an apostrophe in a diagnostic.
	* lisp/calc/calc-misc.el (calc-help):
	* lisp/calendar/diary-lib.el (diary-include-files):
	* lisp/calendar/todo-mode.el (todo-prefix, todo-item-mark):
	* lisp/vc/diff-mode.el (diff-delete-trailing-whitespace):
	* lisp/vc/ediff-diff.el (ediff-same-contents):
	* lisp/vc/ediff-merg.el (ediff-re-merge):
	* lisp/vc/ediff-ptch.el (ediff-patch-file-internal):
	* lisp/vc/ediff-util.el (ediff-test-save-region)
	(ediff-status-info):
	* lisp/vc/ediff.el (ediff-merge-revisions)
	(ediff-merge-revisions-with-ancestor):
	* lisp/vc/pcvs.el (cvs-mode-checkout, cvs-vc-command-advice):
	* lisp/vc/vc-cvs.el (vc-cvs-mode-line-string):
	Respect text quoting style in doc string or diagnostic.
	* lisp/calc/calc-prog.el (calc-kbd-push, calc-kbd-pop):
	* lisp/vc/add-log.el (change-log-goto-source):
	Avoid double-formatting.
	* lisp/vc/ediff-init.el (format-message):
	New backward-compatibility alias.

2015-08-28  Paul Eggert  <eggert@cs.ucla.edu>

	Fix minor text quoting problems in lisp top level
	* lisp/apropos.el (apropos-describe-plist):
	* lisp/cus-theme.el (customize-themes):
	* lisp/dired.el (dired-log):
	* lisp/help-fns.el (describe-variable):
	* lisp/hexl.el (hexl-insert-multibyte-char):
	* lisp/info.el (Info-finder-find-node):
	* lisp/json.el (json-read-string):
	* lisp/novice.el (disabled-command-function)
	(disabled-command-function):
	* lisp/startup.el (normal-mouse-startup-screen):
	* lisp/woman.el (WoMan-log, WoMan-warn):
	Respect text quoting style in doc string or diagnostic.
	* lisp/replace.el (replace-character-fold):
	* src/syntax.c (Fmodify_syntax_entry):
	Escape an apostrophe in a docstring.
	* lisp/tempo.el (tempo-define-template):
	Remove confusing apostrophe from docstring.
	* lisp/whitespace.el (whitespace-mark-x):
	Use directed quotes in docstring.

2015-08-28  Simen Heggestøyl  <simenheg@gmail.com>

	Fix indentation rule in css-mode
	* lisp/textmodes/css-mode.el (css-smie-rules): Fix indentation of
	brackets in presence of pseudo-selectors.  (Bug#21328)

2015-08-28  Eli Zaretskii  <eliz@gnu.org>

	Fix a bug in recording a macro while flyspell-mode is active
	* lisp/subr.el (sit-for): Don't call read-event when recording a
	macro.  (Bug#21329)

2015-08-27  Paul Eggert  <eggert@Penguin.CS.UCLA.EDU>

	Tweak startup screen quoting
	* lisp/startup.el (normal-splash-screen): Use standard
	"M-" abbrevation rather than a confusingly-different one.
	(normal-no-mouse-startup-screen): Follow ‘text-quoting-style’.

2015-08-27  Paul Eggert  <eggert@cs.ucla.edu>

	Add test case for ‘format’ bug and refactor
	* src/editfns.c (styled_format): Refactor internally, mostly by
	moving declarations closer to uses.  This should not affect behavior.
	* test/automated/textprop-tests.el (textprop-tests-format): New test.

	Fix ‘format’ bug with property offsets
	* src/editfns.c (styled_format): Fix recently-introduced ‘format’
	bug in calculating string property offsets (Bug#21351).

	Use straight quotes in lib-src diagnostics
	These auxiliary programs can’t use Emacs’s text-quoting-style,
	and it’s too much trouble to redo that mechanism by hand.
	So just use straight quotes for now.
	* lib-src/ebrowse.c (main):
	* lib-src/emacsclient.c (decode_options, main):
	* lib-src/etags.c (Ada_help, default_C_help, Cplusplus_help)
	(Forth_help, HTML_help, Lisp_help, Makefile_help, Objc_help)
	(Perl_help, PHP_help, Python_help, Scheme_help, TeX_help, auto_help)
	(none_help, print_language_names, print_help, add_regex)
	(suggest_asking_for_help):
	* lib-src/make-docfile.c (write_c_args, scan_c_stream):
	Use straight quotes in diagnostics.

	‘text-quoting-style’ fixes for admin
	* admin/admin.el (cusver-scan, cusver-check):
	* admin/authors.el (authors-canonical-file-name):
	* admin/bzrmerge.el (bzrmerge-missing):
	Respect ‘text-quoting-style’ in diagnostics.

2015-08-26  Paul Eggert  <eggert@cs.ucla.edu>

	Assume GC_MARK_STACK == GC_MAKE_GCPROS_NOOPS
	This removes the need for GCPRO1 etc.  Suggested by Stefan Monnier in:
	http://lists.gnu.org/archive/html/emacs-devel/2015-08/msg00918.html
	* doc/lispref/internals.texi (Writing Emacs Primitives):
	* etc/NEWS:
	Document the change.
	* src/alloc.c (gcprolist, dump_zombies, MAX_ZOMBIES, zombies)
	(nzombies, ngcs, avg_zombies, max_live, max_zombies, avg_live)
	(Fgc_status, check_gcpros, relocatable_string_data_p, gc-precise):
	* src/bytecode.c (mark_byte_stack) [BYTE_MARK_STACK]:
	* src/eval.c (gcpro_level) [DEBUG_GCPRO]:
	* src/lisp.h (struct handler.gcpro, struct gcpro, GC_MARK_STACK)
	(GC_USE_GCPROS_AS_BEFORE, GC_MAKE_GCPROS_NOOPS)
	(GC_MARK_STACK_CHECK_GCPROS, GC_USE_GCPROS_CHECK_ZOMBIES)
	(BYTE_MARK_STACK, GCPRO1, GCPRO2, GCPRO3, GCPRO4, GCPRO5, GCPRO6)
	(GCPRO7, UNGCPRO, RETURN_UNGCPRO):
	Remove.  All uses removed.  The code now assumes
	GC_MARK_STACK == GC_MAKE_GCPROS_NOOPS.
	* src/bytecode.c (relocate_byte_stack):
	Rename from unmark_byte_stack, since it now only relocates.
	All callers changed.
	* src/frame.c (make_frame): Add an IF_LINT to pacify GCC 5.2
	with GCPROs removed.
	* src/systime.h: Use EMACS_LISP_H as the canary instead of GCPRO1.
	* test/automated/finalizer-tests.el (finalizer-basic)
	(finalizer-circular-reference, finalizer-cross-reference)
	(finalizer-error):
	* test/automated/generator-tests.el (cps-test-iter-close-finalizer):
	Remove tests, as they depend on gc-precise.

2015-08-26  Nicolas Petton  <nicolas@petton.fr>

	Improve seq-concatenate for new sequence types
	Use the new `seq-into-sequence' in seqs passed to `seq-concatenate' to
	ensure that concatenation happens on sequences only.  This makes it
	possible to use `seq-concatenate' for new types of seqs.
	* lisp/emacs-lisp/seq.el (seq-into-sequence, seq-concatenate):
	New function used in `seq-concatenate'.
	* test/automated/seq-tests.el (test-seq-into-sequence): New unit test
	for seq-into-sequence.

2015-08-26  Stephen Leake  <stephen_leake@stephe-leake.org>

	Add mode local overrides to xref-find-definitions
	* lisp/cedet/mode-local.el (xref-mode-local--override-present)
	(xref-mode-local-overload): New; add mode local overrides to
	xref-find-definitions.
	* test/automated/elisp-mode-tests.el: Add mode local override tests.
	(xref-elisp-test-run): Handle indented defuns.
	(xref-elisp-generic-*): Improve doc strings.
	* lisp/progmodes/elisp-mode.el (elisp-xref-find-def-functions): New.
	(elisp--xref-find-definitions): Use it.

	Add mode local overrides to describe-function
	* lisp/cedet/mode-local.el (describe-mode-local-overload):
	New; add mode local overrides to describe-function.
	* etc/NEWS: Document change.

2015-08-26  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer straight quoting in some etc text files
	These files are plain text and might be used by non-Emacs apps.
	They’re mostly ASCII, so just use straight quotes.

	Fix quoting in ‘message_with_string’
	* src/nsfont.m (nsfont_open): Use directed quotes in format; they
	should work now.
	* src/xdisp.c (message_to_stderr): New function, refactored from
	part of ‘message3_nolog’.
	(message3_nolog): Use it.
	(message_with_string): Use it.  Don’t mishandle NUL bytes when
	noninteractive.  Prefer AUTO_STRING when it’s most likely faster.
	Use ‘format-message’, not ‘format’, so that quotes are translated.

2015-08-26  Eli Zaretskii  <eliz@gnu.org>

	Mention false positives of file-accessible-directory on w32
	* src/fileio.c (Ffile_accessible_directory_p): Doc fix.
	(Bug#21346)

2015-08-26  Paul Eggert  <eggert@cs.ucla.edu>

	Treat error strings as help
	* src/print.c (print_error_message): Translate quotes and command
	keys in errmsg so that users see, e.g., "Symbol’s value as
	variable is void: foo" when text-quoting-style is curved.

2015-08-26  Michael Albinus  <michael.albinus@gmx.de>

	* lisp/net/tramp-cache.el (top): Use `message', not `format-message'.

2015-08-26  Paul Eggert  <eggert@cs.ucla.edu>

	Top-level elisp files respect ‘text-quoting-style’
	In top-level elisp files, use format-message in diagnostic formats,
	so that they follow user preference as per ‘text-quoting-style’
	rather than being hard-coded to quote `like this'.
	* lisp/allout.el (allout-get-configvar-values):
	* lisp/apropos.el (apropos-symbols-internal):
	* lisp/dired-aux.el (dired-do-shell-command, dired-create-files)
	(dired-do-create-files-regexp, dired-create-files-non-directory):
	* lisp/dired-x.el (dired-do-run-mail):
	* lisp/dired.el (dired-log, dired-dnd-handle-local-file):
	* lisp/disp-table.el (standard-display-european):
	* lisp/find-dired.el (find-dired):
	* lisp/forms.el (forms-mode):
	* lisp/ido.el (ido-buffer-internal):
	* lisp/info.el (Info-index-next):
	* lisp/outline.el (outline-invent-heading):
	* lisp/printing.el (pr-ps-outfile-preprint, pr-i-ps-send):
	* lisp/proced.el (proced-log):
	* lisp/ps-print.el (ps-print-preprint, ps-get-size):
	* lisp/recentf.el (recentf-open-files, recentf-save-list):
	* lisp/savehist.el (savehist-save):
	* lisp/server.el (server-ensure-safe-dir):
	* lisp/ses.el (ses-rename-cell):
	* lisp/simple.el (list-processes--refresh):
	* lisp/startup.el (command-line):
	* lisp/strokes.el (strokes-unset-last-stroke)
	(strokes-execute-stroke):
	Use format-message so that quotes are restyled.
	* lisp/cus-edit.el (custom-raised-buttons, customize-browse):
	Don’t quote ‘raised’.
	* lisp/descr-text.el (describe-char):
	* lisp/dirtrack.el (dirtrack-debug-message):
	* lisp/hexl.el (hexl-insert-multibyte-char):
	Apply substitute-command-keys to help string.
	* lisp/wdired.el (wdired-do-renames, wdired-do-symlink-changes)
	(wdired-do-perm-changes):
	Let dired-log do the formatting.

2015-08-25  Paul Eggert  <eggert@cs.ucla.edu>

	Go back to grave quoting in Tramp
	* lisp/net/tramp-adb.el:
	* lisp/net/tramp-cache.el:
	* lisp/net/tramp-compat.el:
	* lisp/net/tramp-gvfs.el:
	* lisp/net/tramp-gw.el:
	* lisp/net/tramp-sh.el:
	* lisp/net/tramp-smb.el:
	* lisp/net/tramp.el:
	Stick with grave quoting in diagnostics strings.  This is more
	portable to older Emacs, desirable for Tramp.
	* lisp/net/tramp-cache.el: Use ‘format-message’, not ‘format’,
	for diagnostic that needs requoting.
	* lisp/net/tramp-compat.el (format-message):
	Fall back on simple ‘format’, since that’s good enough now.

	Go back to grave quoting in Gnus
	* lisp/gnus/auth-source.el (auth-source-netrc-parse-entries):
